<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.01  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* con_projects.inc.php: last changed 05/11/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$modoption = "list_projects";	//default choice
if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}

if (IsSet ($_GET['project_id']))
{
	$project_id = sanitize($_GET['project_id'], 5 , 'I');
}
if (IsSet ($_POST['check']))
{
	$check = sanitize($_POST['check'], 1, 'I');
}
if (IsSet ($_POST['check1']))
{
	$check1 = sanitize($_POST['check1'], 1 , 'I');
}
if (IsSet ($_POST['send_email']))
{
	$send_email = sanitize($_POST['send_email'], 80, 'A');
}
if (IsSet ($_POST['project_name']))
{
	$project_name = sanitize($_POST['project_name'], 40 , 'S');
}
if (IsSet ($_POST['title_id']))
{
	$title_id = $_POST['title_id'];
}
if (IsSet ($_POST['sort_id']))
{
	$sort_id = $_POST['sort_id'];
}
if (IsSet ($_POST['sort']))
{
	$sort = intval($_POST['sort']);
}
if (IsSet ($_POST['project_pages']))
{
	$project_pages = sanitize($_POST['project_pages'], 3 , 'I');
}
else
{
	$project_pages = $sas_config['number_pupilpages'];
}
if (IsSet ($_POST['welcome_text']))
{
	$welcome_text = sanitize($_POST['welcome_text'], 500 , 'H'); //sanitize the input, leave html tags in tact
}
if (IsSet ($_POST['recent_first']))
{
	$recent_first = sanitize($_POST['recent_first'], 1, 'I');
}
$d = date("Y-m-d"); //todays date

include ("interface/header.inc.php");
?>

<script language="JavaScript" type="text/javascript">
function checkinput ( form )
{
	if (form.project_name.value == "")
    {
    alert( "<?php echo $sas_lang['input_error'] ?>" );
    form.project_name.focus();
    return false ;
    }
	if ((document.form.send_email[0].checked==true) && (document.form.check[0].checked==true))
	{
	alert("<?php echo $sas_lang['student_project_warning'] ?>");
	return false ;
	}
  return true ;
}
</script>
<?php
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
print "<li>&nbsp;</li>";	//dummy menu item.
include ("interface/menuend.inc.php");

if (substr($access, 15, 1) != 1) //bit 16 off the accessrights
{
	print "<span class=\"sas_module_title\">" . $sas_lang['noaccess'] . "<br></span>";
	print "" . $sas_lang['noaccess_introduction'] . "</span><br><br><br>";
	include ("interface/footer.inc.php");
	exit;
}
print "<span class=\"sas_module_title\">" . $sas_lang['student_projects'] . "</span><p>";

switch ($modoption) // start of switch
{

	case save_project :
	
		$result = mysql_query("SELECT id FROM $table_classes WHERE name = '$project_name' AND id != '$project_id'");
		if (mysql_num_rows($result) == 0)
		{
			if ($project_id == 0) //if $project_id is 0 we have a new project.
			{
				mysql_query("INSERT INTO $table_classes (id, name, teachers, project, welcome, sort, recent_first) 
				VALUES (NULL, '$project_name', '', '1', '$welcome_text', '$sort', '$recent_first')");
				//class is a project class, create a pupil with same name
	
				$result = mysql_query("SELECT id FROM $table_classes WHERE name = '$project_name'");
				//$project_id = mysql_result($result, 0);
				
				//mysql_query("INSERT INTO $table_users (id, name, username, password, type , class) 
				//						  VALUES (NULL, '$project_name', '$project_name', '$project_name', '0', '$project_id')");
				
				//$result = mysql_query("SELECT id FROM $table_users WHERE name = '$project_name'"); //get the id just inserted
				$dir_number = "P" . mysql_result($result, 0);	//projects get a directory starting with a "P"
				
				mysql_query("UPDATE $table_classes SET dir_number = '$dir_number' WHERE name = '$project_name'");
	
				for ($i = 1; $i <= $project_pages; $i++)
				{
					mysql_query("INSERT INTO $table_studentpages (studentid, content, newcontent, pcheck, approved, send_email, title, dir_number, change_date, sort, invisible)
								 VALUES ('', '', '', '$check', '', '$send_email', '[$i]', '$dir_number', '$d', '$i' , '0')");
				}
	
				$custompath = $serverpath . "/studentpages/$dir_number";
	
				if (!is_dir($custompath))
				{
					$perm = $sas_config['file_permissions'];
					mkdir($custompath, 0755);
					chmod($custompath, octdec($perm)); //chmod it with permissions stored in configuration table.
				}
			}
			else
			{
				//mysql_query("UPDATE $table_users SET name = '$project_name', username = '$project_name', password = '$project_name'
				//					   WHERE class = '".$project_id."' AND type = 0 ");
				mysql_query("UPDATE $table_classes SET name = '$project_name', welcome = '$welcome_text', sort = '$sort', recent_first = '$recent_first' WHERE id = '".$project_id."'");
	
				$query = "SELECT dir_number FROM $table_classes WHERE id = '".$project_id."'";
				$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
				$dir_number = stripslashes(mysql_result($result, 0, 0));
				
				mysql_query("UPDATE $table_studentpages SET pcheck = '$check', send_email = '$send_email' WHERE dir_number = '$dir_number'");

				
				if(count($title_id) > 0)
				{
					foreach ($title_id as $key => $value)
					{
						$value = sanitize($value, 50 , 'S');
						mysql_query("UPDATE $table_studentpages SET title = '$value' WHERE studentid = '$key'");
					}
					foreach ($sort_id as $key => $value)
					{
						$value = intval($value);
						mysql_query("UPDATE $table_studentpages SET sort = '$value' WHERE studentid = '$key'");
					}
				}
			}
		}
		else
		{
			print "<script language=\"Javascript\">
				   <!--
				   alert (\"" . $sas_lang['project_name_exists'] . "\");
				   history.go(-1) ;	
				   //-->
				   </script>";
		}
		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=projects'</script>";
	
	break;

	case delete_project :
	
		mysql_query("UPDATE $table_users SET project = '' WHERE project = '$project_id'"); //blank out project field for pupils
		$result = mysql_query("SELECT dir_number FROM $table_classes WHERE id = '$project_id'"); //get the project id for dummy user
		$dir_number = mysql_result($result, 0, 'dir_number');
	
		mysql_query("DELETE FROM $table_studentpages WHERE dir_number = '$dir_number'"); //delete the project pages
		//mysql_query("DELETE FROM $table_users WHERE type = 0 AND class = '$project_id'"); //delete dummy project user
		mysql_query("DELETE FROM $table_classes WHERE id = '$project_id'"); //delete the project from classes table
	
		if (IsSet ($_GET['delete_project_files']))
		{
			$delete_project_files = $_GET['delete_project_files'];
		}
		else
		{
			$delete_project_files = "";
		}
	
		$project_path = $sas_config['serverpath'] . $sas_config['user_path'] . "/studentpages/" . $dir_number . "/";
	
		if (file_exists($project_path)) //first check if the project directory exists
		{
			delete_files($dir_number); //delete all the file in the project directory
			rmdir($project_path); //delete the project root directory
		}
		//return to the projecs view
		print "<script language='javascript'>
				  window.location = 'index.php?option=configuration&suboption=projects'
				  </script>";
		
	break;

	case add_project :
	
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['project_new'] . "</span><p>\n";
		print "<FORM METHOD=\"POST\" NAME=\"theForm\" 
				ACTION=\"" . $_SERVER['PHP_SELF'] . "?option=configuration&suboption=projects&modoption=save_project&project_id=0\">\n";
		
		print "<table cellspacing=\"2\" cellpadding=\"2\" bgcolor=\"#CECECE\">";
		print "<tr><td class=\"sas_row_color_even\" >" . $sas_lang['student_project'] . " (*):</td>
				<td class=\"sas_row_color_even\" ><input type=\"text\" size=\"60\" class=\"textfield\" name=\"project_name\" value=\"$project_name\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\" >".$sas_lang['order'] . ":</td>\n
				<td class=\"sas_row_color_even\" ><input type=\"text\" name=\"sort\" size=\"10\" class=\"textfield\"></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\"  colspan=\"2\">" . $sas_lang['sitemap_welcome_text'] . ": &nbsp;</td></tr>
				<tr><td colspan=\"2\" width=\"620\" bgcolor=\"#F7F7F7\">";
			   
		// call basic ckeditor for welcome text
		small_editor('welcome_text', "", 'editor1');
		
		print "</td></tr>";
		print" <tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['student_page_check'] ;
		print "&nbsp;" . $sas_lang['yes'] ;
		print "&nbsp;<input type=\"radio\" value=\"1\" name=\"check\">";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
		print "&nbsp;<input type=\"radio\" name=\"check\" value=\"0\" checked></td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['student_page_email'] ;
		print "&nbsp;" . $sas_lang['yes'] ;
		print "&nbsp;<input type=\"radio\" value=\"1\" name=\"send_email\">";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
		print "&nbsp;<input type=\"radio\" name=\"send_email\" value=\"0\" checked></td></tr>";

		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['number_of_project_pages'] . ":";
		print "&nbsp;<input type=\"text\" size=\"5\" class=\"textfield\" name=\"project_pages\" value=\"$project_pages\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\"><span class=\"sas_module_lbl2\">" . $sas_lang['required_fields'] . "</td></tr>";
		print "</table>";
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=projects'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;

	case edit_project :
	
		$query = "SELECT name, project, welcome, sort, dir_number, recent_first FROM $table_classes WHERE id = '".$project_id."'";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$project_name = stripslashes(mysql_result($result, 0, 'name'));
		$project = mysql_result($result, 0, 'project');
		$welcome_text = mysql_result($result, 0, 'welcome');
		$sort = mysql_result($result, 0, 'sort'); 
		$dir_number = stripslashes(mysql_result($result, 0, 'dir_number'));
		$recent_first = mysql_result($result, 0, 'recent_first');

		$query2 = "SELECT pcheck, send_email, title, studentid, dir_number, sort 
		               FROM $table_studentpages 
		               WHERE dir_number = '$dir_number' ORDER BY sort"; // get the check and email bit   
		$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 

		if (mysql_num_rows($result2) != 0)
		{
			$studentpages_list = mysql_fetch_array($result2);
			$check = $studentpages_list[0];
			$send_email = $studentpages_list[1];
			$first_title = $studentpages_list[2];
			$first_id = $studentpages_list[3];
			$dir_number = $studentpages_list[4];
			$first_sort = $studentpages_list[5];
		}
		
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['edit'] . " " . $sas_lang['student_project'] . "</span><br>";
		print "<FORM METHOD=\"POST\" NAME=\"theForm\" ACTION=\"index.php?option=configuration&suboption=projects&modoption=save_project&project_id=$project_id\">\n";
		print "<input type=\"hidden\" size=\"5\"  name=\"project_id\" value=\"$project_id\">";
		
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"720\" bgcolor=\"#CECECE\">";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['student_project'] . ":</td><td class=\"sas_row_color_even\">
		        <input type=\"text\" size=\"60\" class=\"textfield\" name=\"project_name\" value=\"$project_name\"></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">". $sas_lang['order'] . ":</td><td class=\"sas_row_color_even\">\n
				<input type=\"text\" name=\"sort\" size=\"10\" value=\"$sort\" class=\"textfield\"></td></tr>\n";
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['sitemap_welcome_text'] . ": &nbsp;</td></tr>
				<tr><td colspan=\"2\" width=\"620\" bgcolor=\"#F7F7F7\">";
			   
		// call basic ckeditor for welcome text
		small_editor('welcome_text', $welcome_text, 'editor1');

		
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['student_page_check'] . "&nbsp;</td>
				<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
		if ($check == "1")
		{
			print "&nbsp;<input type=\"radio\" value=\"1\" name=\"check\" checked>";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "&nbsp;<input type=\"radio\" name=\"check\" value=\"0\"></td>";
		}
		else
		{
			print "&nbsp;<input type=\"radio\" value=\"1\" name=\"check\">";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "&nbsp;<input type=\"radio\" name=\"check\" value=\"0\" checked></td>";
		}
		print "</tr><tr><td class=\"sas_row_color_even\">" . $sas_lang['student_page_email'] . "&nbsp;</td>
				<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;

		if ($send_email == "1")
		{
			print "&nbsp;<input type=\"radio\" value=\"1\" name=\"send_email\" checked>";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "&nbsp;<input type=\"radio\" name=\"send_email\" value=\"0\"></td>";
		}
		else
		{
			print "&nbsp;<input type=\"radio\" value=\"1\" name=\"send_email\">";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "&nbsp;<input type=\"radio\" name=\"send_email\" value=\"0\" checked></td>";
		}

		print "</tr><tr><td class=\"sas_row_color_even\">" . $sas_lang['project_recent_first'] . ":&nbsp;</td>
				<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;

		if ($recent_first == "1")
		{
			print "&nbsp;<input type=\"radio\" value=\"1\" name=\"recent_first\" checked>";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "&nbsp;<input type=\"radio\" name=\"recent_first\" value=\"0\"></td>";
		}
		else
		{
			print "&nbsp;<input type=\"radio\" value=\"1\" name=\"recent_first\">";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "&nbsp;<input type=\"radio\" name=\"recent_first\" value=\"0\" checked></td>";
		}

		print "</tr><tr><td class=\"sas_row_color_even\" valign=\"top\"><table>";

		if (mysql_num_rows($result2) != 0)
		{
			print "<tr><td colspan=\"2\" valign=\"top\" width=\"300\">
					" . $sas_lang['student_project_page_names'] . ":</td>
					<td valign=\"top\" class=\"sas_row_color_even\">" . $sas_lang['order'] . ":</td></tr>";
			print "<tr><td colspan=\"5\">1 :&nbsp;</span>
					<input type=\"text\" size=\"30\" class=\"textfield\" name=\"title_id[$first_id]\" value=\"$first_title\"></td>
					<td align=\"right\"><input type=\"text\" size=\"4\" class=\"textfield\" name=\"sort_id[$first_id]\" value=\"$first_sort\"></td></tr>";
		}
		$i = 2;
		while ($project_titles = mysql_fetch_array($result2))
		{
			print "<tr><td colspan=\"5\" class=\"sas_row_color_even\">$i :&nbsp;</span>
					<input type=\"text\" size=\"30\" class=\"textfield\" name=\"title_id[$project_titles[3]]\" value=\"$project_titles[2]\"></td>
					<td align=\"right\" class=\"sas_row_color_even\"><input type=\"text\" size=\"4\" class=\"textfield\" name=\"sort_id[$project_titles[3]]\" value=\"$project_titles[5]\"></td></tr>";
			$i++;
		}

		print "<tr><td colspan=\"5\">&nbsp;</td></tr></table><td valign=\"top\" class=\"sas_row_color_even\">
				<table>
					<tr><td class=\"sas_row_color_even\">" . $sas_lang['student_project_members'] . "</td></tr>";
		
		$query3 = "SELECT name, type FROM $table_users 
					WHERE (project LIKE '%,$project_id,%' OR project LIKE '$project_id,%' OR project LIKE '%,$project_id' OR project LIKE '$project_id')
					AND (type = 1 OR type = 21 OR type = 2 OR type = 22) ORDER BY name"; //get project members
		$result3 = mysql_query($query3) or trigger_error(mysql_error().'"<br>Query : "' . $query3 . '".',E_USER_WARNING); 

		if (mysql_num_rows($result3) > 0)
		{
			while ($project_list = mysql_fetch_array($result3))
			{
				print "<tr><td class=\"sas_row_color_even\"><b>" . $project_list[0] . "</b>";
				if (($project_list[1] == 2) OR ($project_list[1] == 22))
				{
					print " (*)";
				}
				print "</td></tr>";
			}
		}

		$query3 = "SELECT id FROM $table_modules WHERE location = 'sn_studentpages'";
		$result3 = mysql_query($query3) or trigger_error(mysql_error().'"<br>Query : "' . $query3 . '".',E_USER_WARNING); 
		$module_id = mysql_result($result3, 0); //get the module id for the link

		print "<tr><td><span class=\"sas_module_lbl2\">(*) " . $sas_lang['teachers'] . "</span></td></tr></table></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['student_directory'] . " <b>$dir_number</b>&nbsp;<span class=\"link\">\n
				<a href=\"index.php?option=modulemanager&module=$module_id&modoption=project\">(" . $sas_lang['student_project_page_names'] . ")</a></span></td></tr></table>\n";

		print "\n<p><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=projects'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>\n";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>\n";
		print "</form>\n";
		
	break;

	case list_projects :
	
		print "" . $sas_lang['projects_introduction'] . "</span><br><br>\n";
		$query = "SELECT id, name FROM $table_classes WHERE project = 1 ORDER BY sort";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$RecordCount = mysql_num_rows($result);
		if ($RecordCount > 0)
		{
			while ($project_list = mysql_fetch_array($result))
			{
				$project_name = stripslashes($project_list[1]);
		
				print "<a href=\"index.php?option=configuration&suboption=projects&modoption=delete_project&project_id=$project_list[0]\" onClick=\"return confirm('" . $sas_lang['project_delete_confirm'] . "')\">
						<img border=\"0\" src=\"graphics/delete.gif\" width=\"16\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" height=\"16\" class=\"tooltip\"></a>\n";
				print "<span class=link><a href=\"index.php?option=configuration&suboption=projects&modoption=edit_project&project_id=$project_list[0]\">
						<img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  ></a>\n";
				print "&nbsp;<a href=\"index.php?option=configuration&suboption=projects&modoption=edit_project&project_id=$project_list[0]\">$project_name</a></span><p>";
		
			}
		}
		else
		{
			print "<br />" . $sas_lang['empty_list'] . "<p><br />";
		}
		
		print "<br><img src=\"graphics/add.gif\" alt=\"" . $sas_lang['project_new'] . "\">&nbsp;<a href=\"index.php?option=configuration&suboption=projects&modoption=add_project\">" . $sas_lang['project_new'] . "</a>\n";
		print "\n<p><br /><button onclick=\"javascript:parent.location='index.php?option=configuration'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";

	break;
	
} //end switch

include ("interface/footer.inc.php");
?>