<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.5): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* Copyright (C) 2007-2013: Fred Stuurman (fc.stuurman@gmail.com)
* =============================================================================== *
* Software Version: 3.0.10 
* editor.php: last changed 10/01/2013  by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

print "<form method=\"POST\" action=\"index.php?option=pagemanager&savepage=$pageid&section=$section&site=$site\">";
?>
<table  class="editor_table" cellSpacing="0" cellPadding="0" width="<?php echo $sas_config['editor_width']; ?>">
<tbody>
<tr><td height="30" valign="bottom">
<?php


if (IsSet ($_GET['template']))
{
	$template_path = $sas_config['serverpath'] . $sas_config['user_path'] . "/" . $media . "/templates";
	$template = preg_replace('/[^a-zA-Z0-9\-_.]*/' , '', $_GET['template']);
	$pos = strrpos($template, ".");	//get last point
	$template = substr($template,0,$pos);	//remove extention, be sure it is a html file
	$filename = $template_path . "/" . $template . ".html";

	if (file_exists($filename))
	{
		$handle = fopen($filename, "r");
		$content = fread($handle, filesize($filename));
		fclose($handle);
	}
}

print "&nbsp;" . $sas_lang['title'] . ":&nbsp;<input type=\"text\" name=\"title\" size=\"27\" value=\"$title\">
       &nbsp;" . $sas_lang['category'] . ":&nbsp;<input type=\"text\" name=\"category\" size=\"17\" value=\"$category\">
       &nbsp;" . $sas_lang['order'] . ":&nbsp;<input type=\"text\" name=\"sort\" size=\"1\" value=\"$sort\">";
print "&nbsp;" . $sas_lang['section'] . ":&nbsp;<select class=\"text\" size=\"1\" name=\"newsection\">\n";
$query = "SELECT id, name FROM $table_sections";
$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
while ($section_list = mysql_fetch_array($result))
{
	if ((in_array($section_list[0], $user_sections)) OR ($user_sections[0] == "")) //is user allowed to edit this section?
	{
		if ($section_list[0] == $section)
		{
			print "<option selected value=\"$section_list[0]\">$section_list[1]</option>\n";
		}
		else
		{
			print "<option value=\"$section_list[0]\">$section_list[1]</option>\n";
		}
	}
}
print "</select></td></tr><tr><td height=\"30\">";

$template_path = $sas_config['serverpath'] . $sas_config['user_path'] . "/" . $media . "/templates";
if (is_dir($template_path))
{
	print "&nbsp;" . $sas_lang['template'] . ":&nbsp;&nbsp;<select class=\"text\" size=\"1\" name=\"template\" 
		onchange=\"parent.location.href='index.php?option=pagemanager&suboption=editpage&page=$pageid&section=$section&site=$site&template=' + this.options[this.selectedIndex].value\">>\n";
	
	$dir_handle = @ opendir($template_path); //read template directory.
	print "<option value=\"" . $sas_lang['choose_one'] . "\">" . $sas_lang['choose_one'] . "</option>";
	
	$file_array = array();
	while ($file = readdir($dir_handle))
	{
		if ((preg_match('/.html/', $file)) OR (preg_match('/.htm/', $file)))
		{
			$file_array[] = $file ;
			//order the files naterually
			$array_lowercase = array_map('strtolower', $file_array); //convert to lowercase first
			array_multisort($array_lowercase, SORT_ASC, SORT_REGULAR, $file_array); //do the sorting
		}
	}
	closedir($dir_handle);
	
	foreach($file_array as $value)
	{
		echo "<option value=\"$value\">$value</option>";
	}
	print "</select>";
}
if ($invisible == "yes")
{
	print "&nbsp;<input type=\"checkbox\" name=\"invisible\" value=\"yes\" checked>" .
	$sas_lang['invisible'] . "&nbsp;<img align=\"middle\" src=\"graphics/help.gif\" ONMOUSEOVER=\"popup('" . $sas_lang['invisible_tip'] . "','CCDAEC')\"; ONMOUSEOUT=\"kill()\">";
}
else
{
	print "&nbsp;<input type=\"checkbox\" name=\"invisible\" value=\"yes\">" .
	$sas_lang['invisible'] . "&nbsp;<img align=\"middle\" src=\"graphics/help.gif\" ONMOUSEOVER=\"popup('" . $sas_lang['invisible_tip'] . "','CCDAEC')\"; ONMOUSEOUT=\"kill()\">";
}
if ($hidden == "yes")
{
	print "&nbsp;<input type=\"checkbox\" name=\"hidden\" value=\"yes\" checked>" .
	$sas_lang['hidden'] . "&nbsp;<img align=\"middle\" src=\"graphics/help.gif\" ONMOUSEOVER=\"popup('" . $sas_lang['hidden_tip'] . "','CCDAEC')\"; ONMOUSEOUT=\"kill()\"><br>";
}
else
{
	print "&nbsp;<input type=\"checkbox\" name=\"hidden\" value=\"yes\">" .
	$sas_lang['hidden'] . "&nbsp;<img align=\"middle\" src=\"graphics/help.gif\" ONMOUSEOVER=\"popup('" . $sas_lang['hidden_tip'] . "','CCDAEC')\"; ONMOUSEOUT=\"kill()\"><br>";
}

print "</td></tr>
  <tr><td>";
$theme_css = $sas_config['url'] . $cmsdir . "/themes/" . $sas_config['theme'] . "/style.css";
$height = $sas_config['htmlarea_editor_rows'] * 20;
$fck_lang = strtolower($sas_config['language']);
print "<textarea cols=\"80\" id=\"editor_v2\" name=\"content\" rows=\"".$sas_config['htmlarea_editor_rows']."\">$content</textarea>";
?>
	<script type="text/javascript">
	//<![CDATA[

		CKEDITOR.replace( 'editor_v2',
			{
				language : '<?php echo $fck_lang ?>',
				font_names: '<?php load_webfont_names(); ?>',
				contentsCss : ['<?php echo $theme_css ?>'<?php load_webfonts(); ?>],
				height : <?php echo $height ?>,
				width : <?php echo $sas_config['editor_width']; ?>,
				toolbar : 'Full',
				filebrowserBrowseUrl : 'editors/ckeditor/filemanager/browser.php?type=link',
				filebrowserImageBrowseUrl : 'editors/ckeditor/filemanager/browser.php?type=image',
				filebrowserFlashBrowseUrl : 'editors/ckeditor/filemanager/browser.php?type=flash',
				filebrowserFLVPlayerBrowseUrl : 'editors/ckeditor/filemanager/browser.php?type=flash',
				customConfig: "sas_config.js"

			});

	//]]>
	</script>
<?php
print "</td><tr></table>";
print "<br><button onclick=\"javascript:parent.location='index.php?option=pagemanager&section=$section&site=$site'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['cancel']."</span></em></button>";
print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>
		&nbsp;<input type=\"checkbox\" name=\"return_to_editor\" value=\"yes\">" . $sas_lang['return_to_editor'] . "
		&nbsp;<input type=\"checkbox\" name=\"save_as_template\" value=\"yes\">" . $sas_lang['save_as_template'] . "
		<input type=\"text\" name=\"template_title\" size=\"27\"><br><br></form>";

include ("interface/footer.inc.php");
?>