<?php

/*
*	SyndeoCMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* SyndeoCMS Software Version: 3.0.00
* Copyright (C) 2010: Fred Stuurman (fc.stuurman@gmail.com)
* 
* install.php: last changed 01/01/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

define('IN_SAS', true);

if (IsSet ($_GET['language']))
{
	$language = $_GET['language'];
}
$valid_langs = array (
	"NL",
	"EN",
	"DE",
	"ES",
	"DA",
	"FR"
);
$language = strtoupper($language);

if ((in_array($language, $valid_langs)) AND (file_exists($language . ".php")))
{
	include ($language . ".php");
}
else
{
	include ("EN.php");
}

include ("../core/common.inc.php");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<meta http-equiv="Content-Language" content="nl">
<TITLE><?php print $sas_lang['lang_install_1'] ?></TITLE>
<META http-equiv=Content-Type content="text/html; charset=windows-1252">
<STYLE>A:link {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #638ab9; TEXT-DECORATION: none
}
A:active {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #638ab9; TEXT-DECORATION: none
}
A:visited {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #638ab9; TEXT-DECORATION: none
}
A:hover {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #ff0000; TEXT-DECORATION: none
}
TEXTAREA {
	COLOR: #000000; FONT-FAMILY: verdana, arial; BACKGROUND-COLOR: #ccdaec
}

SELECT {
	BORDER-RIGHT: #ccdaec 1px inset; BORDER-TOP: #ccdaec 1px inset; BORDER-LEFT: #ccdaec 1px inset; COLOR: #000000; BORDER-BOTTOM: #ccdaec 1px inset; FONT-FAMILY: verdana, arial; BACKGROUND-COLOR: #ccdaec
}
.text {
	FONT-SIZE: 10pt; FONT-FAMILY: Verdana, Arial
}
.link {
	FONT-WEIGHT: bold; FONT-SIZE: 10pt; COLOR: #000000; FONT-FAMILY: Verdana, Arial
}
.sas_module_title {
	FONT-WEIGHT: bold; FONT-SIZE: 13pt; COLOR: #000000; FONT-FAMILY: Verdana, Arial
}


INPUT.textfield {
	BORDER-RIGHT: #ccdaec 1px inset; BORDER-TOP: #ccdaec 1px inset; BORDER-LEFT: #ccdaec 1px inset; BORDER-BOTTOM: #ccdaec 1px inset; BACKGROUND-COLOR: #ccdaec
}
</STYLE>
<script language="JavaScript" type="text/javascript">
function checkinput ( form )
{  
  if (form.username.value == "") {
    alert( "<?php print $sas_lang['lang_install_error1'] ?>" );
    form.username.focus();
    return false ;
    }
  if (form.password.value == "") {
    alert( "<?php print $sas_lang['lang_install_error2'] ?>" );
    form.password.focus();
    return false ;
    }
  if (form.email.value == "") {
    alert( "<?php print $sas_lang['lang_install_error3'] ?>" );
    form.email.focus();
    return false ;
    }
  return true ;
}
</script>

</HEAD>
<BODY style="FONT-SIZE: 10pt; FONT-FAMILY: Verdana, Arial, Helvetica" bottomMargin=0 vLink=#000000 aLink=#466c9b link=#000000 bgColor=#ffffff leftMargin=0 topMargin=0 rightMargin=0>


<TABLE height=45 bgcolor="#0D85BB" cellSpacing=0 cellPadding=0 width="100%" border=0>
  <TBODY>
  <TR>
    <TD align=left width="5%"></TD>
    <TD width="5%">&nbsp;</TD>
    <TD align=right width="90%">
    <b><font size="6" color="#FFFFFF"><?php print $sas_lang['lang_install_2'] ?></font></b></TD>
    <TD align=right width="3%"></TD></TR></TBODY></TABLE> 
<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
  <TBODY>
  <TR>
    <TD vAlign=top>
      <TABLE cellPadding=5 width="100%" border="0">
        <TBODY>
        <TR>
          <TD>
          <TABLE cellSpacing=0 cellPadding=4 width="100%" border=0>
              <TBODY>
              <TR>
                <TD valign="center" align=center width="20%" rowspan="3"><img border="0" src="../graphics/logo_small.png">
                </TD>
<?php

//building the current installation url
//using this site as reference for server compatibility: http://koivi.com/apache-iis-php-server-array.php

//checking if this link is using SSL or normal http
$proto = ((!isset($_SERVER["HTTPS"]) || $_SERVER["HTTPS"] != "on")) ? 'http://' : 'https://';
$url = $proto . $_SERVER['HTTP_HOST'];

$url .= str_replace("//", "/", str_replace('starnet/install/install.php', '', $_SERVER["SCRIPT_NAME"]));
if ($_GET["step"] == "" AND $step == "")
{
?>                        
                <TD vAlign=top align=left width="65%">
                <SPAN class=\"sas_module_title\"><?php print $sas_lang['lang_install_5'] ?><BR></SPAN><span class="text"><?php print $sas_lang['lang_install_3'] ?></span></TD>
                <TD vAlign=top align=middle width="10%" rowspan="3">&nbsp;</TD>
              </TR>
              <TR>
                <TD vAlign=top align=middle width="65%">
                <form method="POST" action="install.php?language=<?php echo $language ?>&step=1">
                <table border="1" height="300" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#E5E5E5" width="100%" bgcolor="#F7F7F7">
                  <tr>
                    <td width="100%" valign="top"><span class=text><?php print $sas_lang['lang_install_4'] ?></span></td>
                  </tr>
                </table>
                </TD></TR>
              <TR>
                <TD vAlign=top align=right width="65%">
                <input type="submit" value="<?php print $sas_lang['lang_install_continue'] ?>" name="B1" class="BUTTON">
                  </p>
                </form>
<?php
}

if ($_GET["step"] == "1" OR $step == "1")
{
	$installdir = $_SERVER["DOCUMENT_ROOT"] . "/";
	$installdir = str_replace("//", "/", $installdir);
?>                          
                <TD vAlign=top align=left width="65%">
                <SPAN class=\"sas_module_title\"><?php print $sas_lang['lang_install_step1'] ?><BR></SPAN><span class="text"><?php print $sas_lang['lang_install_6'] ?></span></TD>
                <TD vAlign=top align=middle width="10%" rowspan="3">&nbsp;</TD>
              </TR>
              <TR>
                <TD vAlign=top align=middle width="65%">
                <table border="1" height="300" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#E5E5E5" width="100%" id="AutoNumber4" bgcolor="#F7F7F7">
                  <tr>
                    <td width="100%" valign="top"><span class=text>
<form method="POST" action="install.php?language=<?php echo $language ?>&step=2">
<table border=0 cellpadding=3 cellspacing=0>
<tr>
	<td valign=top width=120><span class=link><?php print $sas_lang['lang_install_7'] ?></span></td>
	<td colspan="2"><input type=text name="sitename" size=36 value=""><br>
	<font size=1><?php print $sas_lang['lang_install_8'] ?></font></td>
</tr>
<tr><td colspan="3">&nbsp;</td></tr>
<tr>
	<td valign=top width=120><span class=link><?php print $sas_lang['lang_install_9'] ?></span></td>
	<td><input type=text name="serverpath" size=50 value="<?php print "$installdir"; ?>"></td>
  <td><input type=text name="userpath" size=20 value="starnet"><br></td>
</tr>
<tr>
  <td>&nbsp;</td>
  <td valign="top"><font size=1>
  <?php print $sas_lang['lang_install_10'] ?></font></td> 
  <td><font size=1><?php print $sas_lang['lang_install_11'] ?></font></td>
</tr>
<tr><td colspan="3">&nbsp;</td></tr>
<tr>
	<td valign=top><span class=link><?php print $sas_lang['lang_install_12'] ?></span></td>
	<td colspan="2"><input type=text name="serverurl" size=36 value="<?php echo $url ?>"><br>
	<font size=1><?php print $sas_lang['lang_install_13'] ?> </font></td>
</tr>
<tr><td colspan="3">&nbsp;</td></tr>
<tr>
	<td valign=top><span class=link><?php print $sas_lang['lang_install_14'] ?></span></td>
	<td colspan="2"><input type=password name="sessioncode" size=36 value="syndeocms"><br>
	<font size=1><?php print $sas_lang['lang_install_15'] ?></font></td>
</tr>
</table><br><br></td>
                  </tr>
                </table>
                </TD>
                </TR>
              <TR>
                <TD vAlign=top align=right width="65%">
                <p>
                  <input type="submit" value="<?php print $sas_lang['lang_install_continue'] ?>" name="B1" class="BUTTON">
                  <input type="reset" value="<?php print $sas_lang['lang_install_reset'] ?>" name="B2" class="BUTTON"></p>
                </form>
<?php

}
if ($_GET["step"] == "2" OR $step == "2")
{
	@ rename("../configuration/database.inc.org", "../configuration/database.inc.php");
	@ chmod("../configuration/database.inc.php", 0644);
	// Nevertheless changed permissions to 0755 (IMHO it should NOT be 0777!) 2006-05-30/PF
	@ chmod("../media", 0755);
	@ chmod("../configuration/studentpages", 0755);
	@ chmod("../configuration/languages", 0755);
	$sitename = $_POST['sitename'];
	$serverurl = $_POST['serverurl'];
	$serverpath = $_POST['serverpath'];
	$userpath = $_POST['userpath'];
	$sessioncode = $_POST['sessioncode'];

	if (strrpos($serverurl, '/') != strlen($serverurl) - 1)
	{
		$serverurl .= '/';
	} //add last slash if not present
	if (strrpos($serverpath, '/') != strlen($serverpath) - 1)
	{
		$serverpath .= '/';
	} //add last slash if not present

	if (is_dir("$serverpath$userpath") == FALSE)
	{
		print "<TD vAlign=top align=left width=\"65%\">
		      <SPAN class=\"sas_module_title\">" . $sas_lang['lang_install_step1'] . "<BR></SPAN>" . $sas_lang['lang_install_6'] . "</span></TD>
		      <TD vAlign=top align=\"middle\" width=\"10%\" rowspan=\"3\">&nbsp;</TD>
		      </TR>
		      <TR>
		      <TD vAlign=top align=middle width=\"65%\">
		      <table border=\"1\" height=\"300\" cellpadding=\"5\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#E5E5E5\" width=\"100%\" id=\"AutoNumber4\" bgcolor=\"#F7F7F7\">
		      <tr>
		         <td width=\"100%\" valign=\"top\"><span class=text><br><font color=red><b>" . $serverpath . $userpath . $sas_lang['lang_install_46'] . "</td>
		      </tr>
		      </table>
		      </TD></TR>
		      <TR>
		         <TD vAlign=top align=right width=\"65%\">
		      <input type=button value=\"" . $sas_lang['lang_install_return'] . "\" onClick=javascript:history.go(-1) class=BUTTON>
		      </TD>
		        </TR>
		              </TBODY></TABLE></TD></TR></TBODY></TABLE></TD>
		    </TR></TBODY></TABLE></BODY></HTML>";
		exit;
	}
	if (is_writable("$serverpath$userpath/configuration/database.inc.php") == FALSE)
	{
		print "<TD vAlign=top align=left width=\"65%\">
		      <SPAN class=\"sas_module_title\">Step 1<BR></SPAN>" . $sas_lang['lang_install_6'] . "</span></TD>
		      <TD vAlign=top align=\"middle\" width=\"10%\" rowspan=\"3\">&nbsp;</TD>
		      </TR>
		      <TR>
		      <TD vAlign=top align=middle width=\"65%\">
		      <table border=\"1\" height=\"300\" cellpadding=\"5\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#E5E5E5\" width=\"100%\" id=\"AutoNumber4\" bgcolor=\"#F7F7F7\">
		      <tr>
		         <td width=\"100%\" valign=\"top\">";
		if (file_exists("$serverpath$userpath/configuration/database.inc.php") == FALSE)
		{
			print "<span class=text><br><font color=red>" . $sas_lang['lang_install_47'];
		}
		else
		{
			print "<span class=text><br><font color=red><b>$serverpath$userpath/configuration/database.inc.php " . $sas_lang['lang_install_48'];
		}
		print "<p> " . $sas_lang['lang_install_49'] . "</td>
		      </tr>
		      </table>
		      </TD></TR>
		      <TR>
		         <TD vAlign=top align=right width=\"65%\">
		         <input type=button value=\"" . $sas_lang['lang_install_return'] . "\" onClick=javascript:history.go(-1) class=BUTTON>
		         </TD>
		        </TR>
		              </TBODY></TABLE></TD></TR></TBODY></TABLE></TD>
		    </TR></TBODY></TABLE></BODY></HTML>";
		exit;
	}
?>
		<TD vAlign=top align=left width="65%">
		<SPAN class=\"sas_module_title\"><?php print $sas_lang['lang_install_step2'] ?><BR></SPAN>
		<span class="text"><?php print $sas_lang['lang_install_16'] ?></span></TD>
		<TD vAlign=top align=middle width="10%" rowspan="3">&nbsp;</TD>
	  </TR>
	  <TR>
		<TD vAlign=top align=middle width="65%">
		<form method="POST" action="install.php?language=<?php echo $language ?>&step=3">
		<table border="1" height="300" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#E5E5E5" width="100%" id="AutoNumber4" bgcolor="#F7F7F7">
		  <tr>
			<td width="100%" valign="top"><span class=text>

<table border=0 cellspacing=0 cellpadding=3>
<tr>
	<td valign=top width=180><span class=link><?php print $sas_lang['lang_install_17'] ?></span></td>
	<td><input type=text name="dbserver" value="localhost" size=25><br>
	<font size=1><?php print $sas_lang['lang_install_18'] ?></font></td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
	<td valign=top><span class=link><?php print $sas_lang['lang_install_19'] ?></span></td>
	<td><input type=text name="dbuser" value="" size=25><br>
	<font size=1><?php print $sas_lang['lang_install_20'] ?></font></td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
	<td valign=top><span class=link><?php print $sas_lang['lang_install_21'] ?></span></td>
	<td><input type=password name="dbpassword" value="" size=25><br>
	<font size=1><?php print $sas_lang['lang_install_22'] ?></font></td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
	<tr>
	<td valign=top><span class=link><?php print $sas_lang['lang_install_23'] ?></span></td>
	<td><input type=text name="dbname" value="syndeo" size=25><br>
	<font size=1><?php print $sas_lang['lang_install_24'] ?></font></td>
<?php

	print "<input type=\"hidden\" name=\"sitename\" value=\"$sitename\">";
	print "<input type=\"hidden\" name=\"serverurl\" value=\"$serverurl\">";
	print "<input type=\"hidden\" name=\"serverpath\" value=\"$serverpath\">";
	print "<input type=\"hidden\" name=\"userpath\" value=\"$userpath\">";
	print "<input type=\"hidden\" name=\"sessioncode\" value=\"$sessioncode\">";
?>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
	<tr>
	<td valign=top><span class=link><?php print $sas_lang['lang_install_25'] ?></span></td>
	<td><input type=text name="dbprefix" value="syn_" size=25><br>
	<font size=1><?php print $sas_lang['lang_install_26'] ?></b></font></td>
</tr>
</table><br><br></td>
                  </tr>
                </table>
                </TD></TR>
              <TR>
                <TD vAlign=top align=right width="65%">
                  <input type="submit" value="<?php print $sas_lang['lang_install_continue'] ?>" name="B1" class="BUTTON">
                  <input type="reset" value="<?php print $sas_lang['lang_install_reset'] ?>" name="B2" class="BUTTON"></p>
                </form>

<?php

}
if ($_GET["step"] == "3" OR $step == "3")
{
	if (IsSet ($serverpath))
	{}
	else
	{
		$sitename = $_POST['sitename'];
		$serverurl = $_POST['serverurl'];
		$serverpath = $_POST['serverpath'];
		$userpath = $_POST['userpath'];
		$dbserver = $_POST['dbserver'];
		$dbname = $_POST['dbname'];
		$dbuser = $_POST['dbuser'];
		$dbprefix = $_POST['dbprefix'];
		$dbpassword = $_POST['dbpassword'];
		$sessioncode = $_POST['sessioncode'];
	}

	$table_sections = $dbprefix . "sections";
	$table_pages = $dbprefix . "pages";
	$table_users = $dbprefix . "users";
	$table_modules = $dbprefix . "modules";
	$table_editors = $dbprefix . "editors";
	$table_classes = $dbprefix . "classes";
	$table_configuration = $dbprefix . "configuration";
	$table_prot_pages = $dbprefix . "prot_pages";
	$table_prot_sections = $dbprefix . "prot_sections";
	$table_sessions = $dbprefix . "sessions";

	$table_studentpages = $dbprefix . "m_studentpages";
	$modtable_news_categories = $dbprefix . "m_news_cat";
	$modtable_news_articles = $dbprefix . "m_news_articles";


	$dbsettings = "<script language=\"php\">\n";
	$dbsettings = $dbsettings . '$db_server = "';
	$dbsettings = $dbsettings . "$dbserver";
	$dbsettings = $dbsettings . '";';
	$dbsettings = $dbsettings . "\n";
	$dbsettings = $dbsettings . '$db_name = "';
	$dbsettings = $dbsettings . "$dbname";
	$dbsettings = $dbsettings . '";';
	$dbsettings = $dbsettings . "\n";
	$dbsettings = $dbsettings . '$db_username = "';
	$dbsettings = $dbsettings . "$dbuser";
	$dbsettings = $dbsettings . '";';
	$dbsettings = $dbsettings . "\n";
	$dbsettings = $dbsettings . '$db_password = "';
	$dbsettings = $dbsettings . "$dbpassword";
	$dbsettings = $dbsettings . '";';
	$dbsettings = $dbsettings . "\n";
	$dbsettings = $dbsettings . '$dbprefix = "';
	$dbsettings = $dbsettings . $dbprefix;
	$dbsettings = $dbsettings . '";';
	$dbsettings = $dbsettings . "\n";
	$dbsettings = $dbsettings . '$table_configuration = "';
	$dbsettings = $dbsettings . "$table_configuration";
	$dbsettings = $dbsettings . '";';
	$dbsettings = $dbsettings . "\n";
	$dbsettings = $dbsettings . '$table_editors = "';
	$dbsettings = $dbsettings . "$table_editors";
	$dbsettings = $dbsettings . '";';
	$dbsettings = $dbsettings . "\n";
	$dbsettings = $dbsettings . '$table_modules = "';
	$dbsettings = $dbsettings . "$table_modules";
	$dbsettings = $dbsettings . '";';
	$dbsettings = $dbsettings . "\n";
	$dbsettings = $dbsettings . '$table_users = "';
	$dbsettings = $dbsettings . "$table_users";
	$dbsettings = $dbsettings . '";';
	$dbsettings = $dbsettings . "\n";
	$dbsettings = $dbsettings . '$table_pages = "';
	$dbsettings = $dbsettings . "$table_pages";
	$dbsettings = $dbsettings . '";';
	$dbsettings = $dbsettings . "\n";
	$dbsettings = $dbsettings . '$table_sections = "';
	$dbsettings = $dbsettings . "$table_sections";
	$dbsettings = $dbsettings . '";';
	$dbsettings = $dbsettings . "\n";
	$dbsettings = $dbsettings . '$table_studentpages = "';
	$dbsettings = $dbsettings . "$table_studentpages";
	$dbsettings = $dbsettings . '";';
	$dbsettings = $dbsettings . "\n";
	$dbsettings = $dbsettings . '$table_classes = "';
	$dbsettings = $dbsettings . "$table_classes";
	$dbsettings = $dbsettings . '";';
	$dbsettings = $dbsettings . "\n";
	$dbsettings = $dbsettings . "</script>";

	// This include file should NOT be 0777! It can be changed to 0440 or even 0400
	// after the file is properly closed (!). 2006-05-30/PF
	@ chmod("$serverpath$userpath/configuration/database.inc.php", 0640);
	$dbconfig = fopen("$serverpath$userpath/configuration/database.inc.php", "w");
	fwrite($dbconfig, "$dbsettings");
	fclose($dbconfig);
	@ chmod("$serverpath$userpath/configuration/database.inc.php", 0440);

	$link = @ mysql_connect("$dbserver", "$dbuser", "$dbpassword"); // connecting to database
	if (!$link)
	{
		print "<TD vAlign=top align=left width=\"65%\">
		      <SPAN class=\"sas_module_title\">Step 1<BR></SPAN>" . $sas_lang['lang_install_6'] . "</span></TD>
		      <TD vAlign=top align=\"middle\" width=\"10%\" rowspan=\"3\">&nbsp;</TD>
		      </TR>
		      <TR>
		      <TD vAlign=top align=middle width=\"65%\">
		      <table border=\"1\" height=\"300\" cellpadding=\"5\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#E5E5E5\" width=\"100%\" id=\"AutoNumber4\" bgcolor=\"#F7F7F7\">
		      <tr>
		         <td width=\"100%\" valign=\"top\"><span class=text><br><font color=red>
		         <b>" . $sas_lang['lang_install_51'] . "<br>" . mysql_error() . "</b></font>
		        <p><b>" . $sas_lang['lang_install_52'] . "</b></td>
		      </tr>
		      </table>
		      </TD></TR>
		      <TR>
		         <TD vAlign=top align=right width=\"65%\">
		         <input type=button value=\"" . $sas_lang['lang_install_return'] . "\" onClick=javascript:history.go(-1) class=BUTTON>
		         </TD>
		        </TR>
		        </TBODY></TABLE></TD></TR></TBODY></TABLE></TD>
		    </TR></TBODY></TABLE></BODY></HTML>";
		exit;
	}
	mysql_query("CREATE DATABASE IF NOT EXISTS $dbname");
	mysql_select_db("$dbname");
	if (mysql_errno() != 0)
	{
		print "<TD vAlign=top align=left width=\"65%\">
		      <SPAN class=\"sas_module_title\">" . $sas_lang['lang_install_step1'] . "<BR></SPAN>" . $sas_lang['lang_install_6'] . "</span></TD>
		      <TD vAlign=top align=\"middle\" width=\"10%\" rowspan=\"3\">&nbsp;</TD>
		      </TR>
		      <TR>
		      <TD vAlign=top align=middle width=\"65%\">
		      <table border=\"1\" height=\"300\" cellpadding=\"5\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#E5E5E5\" width=\"100%\" id=\"AutoNumber4\" bgcolor=\"#F7F7F7\">
		      <tr>
		         <td width=\"100%\" valign=\"top\"><span class=text><br><font color=red><b>Mysql error: " . mysql_error() . "</b></font>
		        <p>" . $sas_lang['lang_install_50'] . "</td>
		      </tr>
		      </table>
		      </TD></TR>
		      <TR>
		         <TD vAlign=top align=right width=\"65%\">
		         <input type=button value=\"" . $sas_lang['lang_install_return'] . "\" onClick=javascript:history.go(-1) class=BUTTON>
		         </TD>
		        </TR>
		        </TBODY></TABLE></TD></TR></TBODY></TABLE></TD>
		    </TR></TBODY></TABLE></BODY></HTML>";
		exit;
	}

	mysql_query("CREATE TABLE $table_sessions (ses_id varchar(32) NOT NULL default '', ses_time int(11) NOT NULL default 0, ses_start int(11) NOT NULL default 0, ses_value text NOT NULL, PRIMARY KEY  (ses_id))");
	mysql_query("CREATE TABLE $table_configuration (config_key varchar(64) not NULL,config_value text not NULL, description varchar(255), PRIMARY KEY (config_key))");
	mysql_query("INSERT INTO $table_configuration VALUES ('serverpath', '$serverpath', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('user_path', '$userpath', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('url', '$serverurl', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('sessioncode', '$sessioncode', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('theme', 'contrast_80', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('protected_theme', 'editable', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('sitename', '$sitename', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('tagline', 'Here come a description', 'Tagline description')");
	mysql_query("INSERT INTO $table_configuration VALUES ('startsection', '1', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('protected_startsection', '1', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('dateformat', '%d-%m-%Y', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('htmlarea_editor_rows', '30', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('editor_width', '800', 'width of the editor in pixels')");
	mysql_query("INSERT INTO $table_configuration VALUES ('allow_javascript', '0', 'Allow javascript in editor')");
	mysql_query("INSERT INTO $table_configuration VALUES ('number_pupilpages', '3', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('edex_file_name' , '' , '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('meta_keywords', 'Syndeocms , CMS for primary schools', 'Meta tag keywords')");
	mysql_query("INSERT INTO $table_configuration VALUES ('meta_description', 'Sydeoncms, Site@School, CMS for primary Schools', 'Meta tag description')");
	# change by AGJ 30/06/2004
	mysql_query("INSERT INTO $table_configuration VALUES ('media_dir', 'media', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('studentpages_dir', 'studentpages', '')");
	$today = time();
	//mysql_query("INSERT INTO $table_configuration VALUES ('last_backup_date', '$today', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('valid_file_extentions', 'jpg,gif,png,bmp,doc,txt,html,htm,mov,mp3,avi,zip,xls,pdf,rtf,csv,jpeg,mpg,mpeg,swf,fla,ppt,rar,mov,wmv,', '')");
	//2.8.02
	mysql_query("INSERT INTO $table_configuration VALUES ('forbidden_file_extentions', 'php,php3,php5,phtml,asp,aspx,ascx,jsp,cfm,cfc,pl,bat,exe,dll,reg,cgi', NULL);");
	
	mysql_query("CREATE TABLE $table_editors (id int(11) NOT NULL auto_increment, name varchar(40) NOT NULL default '', location varchar(40) NOT NULL default '', description text NOT NULL, PRIMARY KEY  (id))");
	mysql_query("INSERT INTO $table_editors VALUES (1, 'Plain text Editor', 'sn_plain/editor.php', '')");
	mysql_query("INSERT INTO $table_editors VALUES (2, 'CKEditor', 'ckeditor/editor.php', '')");

	mysql_query("CREATE TABLE $table_modules (id int(11) NOT NULL auto_increment, name varchar(60) NOT NULL default '', location varchar(60) NOT NULL default '', options text NOT NULL, css text NOT NULL, css_prot text NOT NULL, PRIMARY KEY  (id))");
			
	mysql_query("CREATE TABLE $table_pages (id int(11) NOT NULL auto_increment, section int(11) NOT NULL , name varchar(80) NOT NULL default '', invisible char(3) NOT NULL default '', hidden char(3) NOT NULL default '', content longtext NOT NULL, module varchar(120) NOT NULL default '', sort INT(11) NOT NULL default 0, count int(11), createdate date, lastvisitdate date, category char(20) NOT NULL, cat_sort int(11) NOT NULL default 0, lastupdate DATETIME, history varchar(20), locked_by int(11) default null, PRIMARY KEY  (id))");
	mysql_query("CREATE TABLE $table_sections (id int(11) NOT NULL auto_increment, name varchar(80) NOT NULL default '', invisible varchar(20) NOT NULL default '', frontpage int(11) NOT NULL default 0, parent varchar(120) NOT NULL default '', sort int(11) NOT NULL default 0, PRIMARY KEY  (id))");

	mysql_query("CREATE TABLE $table_users (id int(11) NOT NULL auto_increment, name varchar(60) NOT NULL default '', username varchar(20) NOT NULL default '', password varchar(40) NOT NULL default '', email varchar(80) NOT NULL default '', access varchar(50) NOT NULL default '', editor tinyint(4) NOT NULL default 1, type tinyint(4), class varchar(80), sections varchar(80) NOT NULL default '', project varchar(80), initial tinyint(1) default 0, code varchar(20) default NULL, invalid_logins tinyint(1) default 0, PRIMARY KEY  (id))");
	mysql_query("CREATE TABLE $table_studentpages (studentid int(11) NOT NULL auto_increment, content text NOT NULL, newcontent text NOT NULL, pcheck tinyint(4) NOT NULL default 1, approved tinyint(4) NOT NULL default 0, send_email tinyint NOT NULL default 0, title varchar(50) NOT NULL, dir_number varchar(5) NOT NULL, change_date DATE NOT NULL, sort int(11) not null default 0, invisible tinyint(1) not null default 0, PRIMARY KEY  (studentid))");
	mysql_query("CREATE TABLE $table_classes (id int(11) NOT NULL auto_increment, name varchar(40) NOT NULL default '', teachers text NOT NULL, project tinyint(4) NOT NULL DEFAULT 0, sort int(11) NOT NULL default 0, welcome text, dir_number varchar(5) NULL default '', show_teacherpage tinyint(1) NOT NULL default 0, recent_first tinyint(1) NOT NULL default '0', PRIMARY KEY (id))");
	mysql_query("INSERT INTO $table_classes VALUES ('', '**dummy**', '', '0' , '', '', '', '0')");
	// version 2.0
	mysql_query("CREATE TABLE $table_prot_pages (id int(11) NOT NULL auto_increment, section int(11) NOT NULL, name varchar(80) NOT NULL default '', invisible char(3) NOT NULL default '', hidden char(3) NOT NULL default '', content longtext NOT NULL, module varchar(80) NOT NULL default '', sort INT(11) NOT NULL default 0, count int(11), createdate date, lastvisitdate date, category char(20) NOT NULL, cat_sort int(11) NOT NULL default 0, lastupdate DATETIME, history varchar(20), locked_by int(11) default null, PRIMARY KEY (id))");
	mysql_query("CREATE TABLE $table_prot_sections (id int(11) NOT NULL auto_increment, name varchar(80) NOT NULL default '', invisible varchar(20) NOT NULL default '', frontpage int(11) NOT NULL default 0, parent varchar(120) NOT NULL default '', sort int(11) NOT NULL default 0, PRIMARY KEY (id))");

	//alerts 
	$table_alerts = $dbprefix . "alerts";
	mysql_query("INSERT INTO $table_configuration VALUES ('send_alerts', '0', '')");
	mysql_query("CREATE TABLE $table_alerts (id int(11) NOT NULL auto_increment, email varchar(80) NOT NULL default '', sections varchar(50) NOT NULL default '', name char(40) NOT NULL default '', PRIMARY KEY (id))");
	mysql_query("INSERT INTO $table_configuration VALUES ('send_alerts_per_section', '0', '')");

	//stats
	$table_stats = $dbprefix . "stats";
	mysql_query("CREATE TABLE $table_stats (id int(11) NOT NULL auto_increment, ip varchar(15) not null, received date not null, 
	pageid varchar(10) not null, sectionid varchar(10) not null, count int(11) NOT NULL default 0, public tinyint(4), primary key (id) )");
	if (mysql_errno() != 0)
	{
		echo mysql_errno() . ": " . mysql_error() . "\n";
	}
	mysql_query("INSERT INTO $table_configuration VALUES ('stats_ip_filter', '127.0.0.1', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('stats_ip_names', 'localhost', '')");
	
	if (mysql_errno() != 0)
	{
		echo mysql_errno() . ": " . mysql_error() . "\n";
	}

	//ads module
	$table_ads = $dbprefix . "m_adtext";
	$table_ads_cat = $dbprefix . "m_adtext_cat";
	mysql_query("CREATE TABLE $table_ads_cat (id int(11) NOT NULL auto_increment, name VARCHAR(50) NOT NULL , welcome TEXT NOT NULL , disclaimer TEXT NOT NULL , email VARCHAR(80) NOT NULL , max_days TINYINT(4) NOT NULL, check_before_post tinyint(1) default 1, show_picture TINYINT(1) DEFAULT '0' NOT NULL, public tinyint(1) default 0, icon varchar(100) default null, PRIMARY KEY (id))"); 
	mysql_query("CREATE TABLE $table_ads (ad_id int(11) NOT NULL auto_increment, email varchar(40) NOT NULL default '', ad_text text NOT NULL, date date, name varchar(45), initial tinyint(1) default 0, ads_id tinyint(4) not null, PRIMARY KEY (ad_id))");

	//photo module
	$picture_table = $dbprefix . "m_album_pictures";
	$picture_cat_table = $dbprefix . "m_album_cat";
	
	
	mysql_query("CREATE TABLE $picture_table (
	  id int(11) NOT NULL auto_increment,
	  album_id int(11) NOT NULL default '0',
	  title varchar(120) NOT NULL default '',
	  file_name varchar(100) NOT NULL default '',
	  description text NOT NULL,
	  sort int(11) NOT NULL default '1',
	  last_update datetime NOT NULL default '0000-00-00 00:00:00',
	  PRIMARY KEY  (id),
	  KEY album_id (album_id))") ;
	
	mysql_query("CREATE TABLE $picture_cat_table (
	  id int(11) NOT NULL auto_increment,
	  pagename varchar(80) NOT NULL default '',
	  welcome text NOT NULL,
	  number_of_thumbs tinyint(4) NOT NULL default '1',
	  public int(1) NOT NULL default '1',
	  thumb_size int(4) NOT NULL default '150',
	  normal_size int(4) NOT NULL default '400',
	  path varchar(250) NOT NULL default '',
	  show_title tinyint(1) NOT NULL default '0',
	  slideshow tinyint(1) NOT NULL default '0',
	  last_update datetime NOT NULL default '0000-00-00 00:00:00',
	  in_overview tinyint(1) NOT NULL default '1',
	  overview_name varchar(50) NOT NULL default '',
	  front_picture varchar(100) NOT NULL default '',
	  sort int(11) NOT NULL default '0',
	  parent int(11) NOT NULL default '0',
	  resize tinyint(1) NOT NULL default '1',
	  publish tinyint(1) NOT NULL default '0',
	  PRIMARY KEY (id))") ;

	mysql_query("INSERT INTO $table_configuration VALUES ('allbum_max_allbums_per_page','10','max albums per page')");
	mysql_query("INSERT INTO $table_configuration VALUES ('allbum_hor_thumbs', '3', 'number of pictures horizontally')");
	mysql_query("INSERT INTO $table_configuration VALUES ('allbum_display_hor', '0', 'show pictures horizontally')");
	mysql_query("INSERT INTO $table_configuration VALUES ('allbum_max_pictures_per_page', '99', 'maximum number of pictures on a page')");
	mysql_query("INSERT INTO $table_configuration VALUES ('allbum_parent_upload_email', '', 'parent upload owner email')");
	mysql_query("INSERT INTO $table_configuration VALUES ('allbum_parent_upload_user', '', NULL)");
	mysql_query("INSERT INTO $table_configuration VALUES ('allbum_parent_upload_password', '', NULL)");
	mysql_query("INSERT INTO $table_configuration VALUES ('allbum_parent_upload_max_pixels', '600', NULL)");

	//calendar
	$calendar_table = $dbprefix . "m_calendar_events";
	$calendars_table = $dbprefix . "m_calendars";

	mysql_query("CREATE TABLE $calendars_table (id int(11) NOT NULL auto_increment, name varchar(50) NOT NULL, options text NOT NULL, title text, PRIMARY KEY (id))");
	mysql_query("CREATE TABLE $calendar_table (id int(11) NOT NULL auto_increment,	month tinyint(4) NOT NULL, year int(8), description text, calendar int(11) NOT NULL, PRIMARY KEY (id))");

	//Up/download
	$downloadstable = $dbprefix . "m_downloads";
	$downloadcategorytable = $dbprefix . "m_downloads_cat";
	mysql_query("CREATE TABLE $downloadcategorytable (id int(11) NOT NULL auto_increment, title varchar(40) NOT NULL default '', ispage tinyint NOT NULL default 0, public tinyint(4) NOT NULL default 0, KEY  (id))");
	mysql_query("CREATE TABLE $downloadstable (id int(11) NOT NULL auto_increment, description text NOT NULL, category int(11) NOT NULL default 0, creator varchar(80) NOT NULL default '', filename varchar(80) NOT NULL default '', date datetime, counter int(11) NOT NULL default 0, stored_file varchar(40), last_download date, PRIMARY KEY  (id))");

	//forms module
	$forms_table = $dbprefix . "m_forms";
	$forms_config_table = $dbprefix . "m_forms_config";
	$forms_data_table = $dbprefix . "m_forms_data";

	mysql_query("CREATE TABLE $forms_table (id int(11) NOT NULL auto_increment,	name text NOT NULL, length varchar(5), form_id int(11) NOT NULL, sort int(11), required tinyint(4) NOT NULL default 0, export tinyint( 1 ), lf tinyint(1) not null default 1, PRIMARY KEY (id))");
	mysql_query("CREATE TABLE $forms_config_table (id int(11) NOT NULL auto_increment, welcome text, email_text text, form_name varchar(60), email text, email_subject varchar(50),	send_copy tinyint(4), thank_you text, mode tinyint(4) ,lastupdate datetime, width INT( 11 ) NOT NULL DEFAULT '700', email_return_field int(11) NOT NULL DEFAULT 0, PRIMARY KEY (id))");
	mysql_query("CREATE TABLE $forms_data_table (form_id int(11) NOT NULL, field_id int(11) NOT NULL, field_content text, data_index int(11) NOT NULL)");
	mysql_query("ALTER TABLE $forms_data_table ADD INDEX data_index (data_index)");
	mysql_query("ALTER TABLE $forms_data_table ADD INDEX form_id (form_id)");
	mysql_query("ALTER TABLE $forms_config_table ADD mode tinyint( 4 )");

	//guestbook
	$table_gbook = $dbprefix . "m_gbook";
	$table_gbook_cat = $dbprefix . "m_gbook_cat";
	mysql_query("CREATE TABLE $table_gbook_cat (id INT NOT NULL AUTO_INCREMENT , name VARCHAR(50) NOT NULL , welcome TEXT NOT NULL , email VARCHAR(80) NOT NULL , items TINYINT(4) NOT NULL DEFAULT 15, show_website TINYINT(1) NOT NULL DEFAULT 1, show_email tinyint(1) NOT NULL default 1, email_req tinyint(1) NOT NULL default 1, guestbook_id tinyint(4), check_before_post tinyint(1) default 1, public tinyint(1) default 0, PRIMARY KEY (id))"); 
	mysql_query("CREATE TABLE $table_gbook (id int(11) NOT NULL auto_increment, name varchar(45) NOT NULL default '',email varchar(80) NOT NULL default '' ,homepage varchar(50) NOT NULL default '', date datetime, message text NOT NULL, initial tinyint(1) default 0, guestbook_id int(11) NOT NULL, reply text default NULL, IP varchar(15) NOT NULL default '', PRIMARY KEY (id))");

	//include 
	$result = mysql_query("select id from $table_modules WHERE location = 'include'");
	$RecordCount = mysql_num_rows($result);
	
	if($RecordCount == 0) 
	{
		mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Include', 'include', 'include.php,Include', '', '')");
	}
	mysql_query("INSERT INTO $table_configuration VALUES ('include_module_path', '', '')");
	
	//mail
	$table_email = $dbprefix . "m_mail_address";
	mysql_query("CREATE TABLE $table_email (id int(11) NOT NULL auto_increment, name varchar(60) NOT NULL default '', description text, email varchar(80) NOT NULL default '', welcometext text, thankyoutext text, sort int(11) NOT NULL default 0, public TINYINT(1) NOT NULL DEFAULT 0, PRIMARY KEY  (id))");
	mysql_query("INSERT INTO $table_configuration VALUES ('email_picture', 'starnet/graphics/email3.gif', '')");

	//message
	$table_message = $dbprefix . "m_message";
	$table_message_cat = $dbprefix . "m_message_cat";
	
	mysql_query("CREATE TABLE $table_message_cat (
				id INT NOT NULL AUTO_INCREMENT , 
				pagename VARCHAR(50) NOT NULL , 
				welcome TEXT NOT NULL , 
				public TINYINT(4) NOT NULL DEFAULT 0, 
				icon varchar(100) NOT NULL default '',
				show_latest TINYINT(1) NOT NULL DEFAULT 0,
				PRIMARY KEY (id))");  

	mysql_query("CREATE TABLE $table_message (
	            id int(11) NOT NULL auto_increment,
				intro_message text DEFAULT NULL,
	            message text NOT NULL,
	            date datetime default NULL,
	            name varchar(45) default NULL,
				days int(11) default 0,
				todate date,
				public tinyint(4) DEFAULT 0,
				message_id tinyint(4) not null,
	            PRIMARY KEY (id))");

	//links
	$links_table = $dbprefix . "m_links";
	$links_cat_table = $dbprefix . "m_links_cat";

	mysql_query("CREATE TABLE $links_table (
				  id int(11) NOT NULL auto_increment,
				  title varchar(50) NOT NULL default '',
				  url tinytext NOT NULL,
				  description text NOT NULL,
				  pagename int(11) NOT NULL default '0',
				  initial tinyint(1) NOT NULL default '1',
				  sort int(11) NOT NULL default '0',
				  category varchar(30) NOT NULL default '',
				  PRIMARY KEY  (id))");
				  
	mysql_query("CREATE TABLE $links_cat_table (
				  id int(11) NOT NULL auto_increment,
				  pagename varchar(50) NOT NULL default '',
				  owner_email varchar(80) NOT NULL default '',
				  row_count tinyint(4) NOT NULL default '0',
				  welcome text NOT NULL,
				  icon varchar(100) NOT NULL default '',
				  propose tinyint(1) NOT NULL default '0',
				  propose_welcome text,
				  showlink tinyint(1) NOT NULL default '0',
				  public tinyint(1) NOT NULL default '0',
				  PRIMARY KEY  (id))");

	$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_links'");
	$RecordCount = mysql_num_rows($result);
	if ($RecordCount == 0)
	{
		mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Links', 'sn_links', 'view_links.php,Show Links on page', '', '')");
		mysql_query("INSERT INTO $table_configuration VALUES ('links_module_row_count', '1', '')");
		mysql_query("INSERT INTO $table_configuration VALUES ('links_module_icon', '/starnet/modules/sn_links/link.gif', '')");
	}

	//news
	mysql_query("CREATE TABLE $modtable_news_categories (id int(11) NOT NULL auto_increment, title varchar(40) NOT NULL default '', ispage tinyint(4) NOT NULL default 0, header text NOT NULL, number_of_days int(11) NOT NULL default 0, show_archive tinyint(1) NOT NULL DEFAULT 1, PRIMARY KEY  (id))");
	mysql_query("CREATE TABLE $modtable_news_articles (id int(11) NOT NULL auto_increment, title varchar(80) NOT NULL default '', date date NOT NULL, category int(11) NOT NULL default 0, content text NOT NULL, archive tinyint(1) NOT NULL default 0, public tinyint(4) NOT NULL default 0, todate date NOT NULL, PRIMARY KEY  (id))");
	mysql_query("INSERT INTO $table_configuration VALUES ('news_template', 'standard', '')");

	//newsletter module
	$table_newsletter_content = $dbprefix . "m_newsletters";
	$table_newsletters = $dbprefix . "m_newsletter_cat";
	$table_email_adresses = $dbprefix . "m_newsletter_emails";

	mysql_query("CREATE TABLE $table_email_adresses (id int(11) NOT NULL auto_increment,name varchar(100) not null, email varchar(80),remarks varchar(100),newsletter_id varchar(30), date date,
	enable tinyint(4), surename varchar(35) not null, code varchar(12), PRIMARY KEY (id))");
	mysql_query("CREATE TABLE $table_newsletter_content (id int(11) NOT NULL auto_increment, title text, archive tinyint(4) default 0, content text, newsletter_id tinyint(4), date date, published tinyint(4) not null default 0, sent tinyint(4) not null default 0, header text, footer text, public tinyint(4) NOT NULL default 0 , locked_by int(11) default null, PRIMARY KEY (id))");
	mysql_query("CREATE TABLE $table_newsletters (id int(11) NOT NULL auto_increment, name varchar(50) , title text, link tinyint(4),email varchar(80) not null, confirm tinyint(4) not null, register_text text
	,decline_text text , contribute_text text, contribute tinyint(4), extra_info varchar(40), contribute_thanks text, public tinyint(4) NOT NULL default 0, template text default null, sender_email varchar(80) not null, locked_by int(11) default null, PRIMARY KEY (id))");

//portal  module tables
$table_portal_entries = $dbprefix . "m_portal_entries";
$table_portal_pages = $dbprefix . "m_portal_pages";

mysql_query("CREATE TABLE $table_portal_pages (
  id int(11) NOT NULL auto_increment,
  welcome_text text NOT NULL,
  pagename varchar(50) NOT NULL default '',
  link_type enum('_self','_blank') NOT NULL default '_self',
  cols enum('1','2') NOT NULL default '1',
  PRIMARY KEY (id))");

mysql_query("CREATE TABLE $table_portal_entries (
  id int(11) NOT NULL auto_increment,
  module_loc varchar(50) NOT NULL default '',
  description text,
  count int(11) NOT NULL default '1',
  portal_id int(11) NOT NULL default '0',
  sort int(11) NOT NULL default '0',
  PRIMARY KEY (id))");
			
mysql_query("INSERT INTO $table_modules VALUES ('', 'Portal', 'sn_portal', 'view_portal.php,View portal', '', '')");

	//search
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_results', '10', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_name1', 'sn_news,m_news_articles,1,0,0', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_name2', 'sn_newsletter,m_newsletters,1,0,0', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_name3', 'sn_studentpages,m_studentpages,0,0,0', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_name4', 'sn_allbum,m_album_cat,1,0,0', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_searchfield1', 'title, content', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_searchfield2', 'title, content', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_searchfield3', 'content,title', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_searchfield4', 'pagename,welcome', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_returnfield1', 'id, title, content', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_returnfield2', 'id, title, content', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_returnfield3', 'studentid,title,content', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_returnfield4', 'id,pagename,welcome', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_url1', '&article=@0@#@0@', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_url2', '&option=view&newsletter_id=@0@', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_url3', '&student=@0@', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_url4', '&modoption=list&cat_id=@0@', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_pageid1', '2,4,1,1', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_pageid2', '4,11,1,2', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_pageid3', '3,7,1,3', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_pageid4', '5,10,1,4', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_extra_select1', 'AND archive = 0', 'Only search in non archived news')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_extra_select2', 'AND published = 1', 'Only search in public/published newsletters')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_extra_select3', '', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_extra_select4', '', ' ')");
	mysql_query("INSERT INTO $table_configuration VALUES ('search_module_invisible', '0', ' ')");

	//template editor
	$template_table = $dbprefix . "m_template";
	mysql_query("CREATE TABLE $template_table (script varchar(20) NOT NULL default '', descr text NOT NULL,
	  type1 char(1) default NULL, name1 varchar(100) default '',
	  type2 char(1) default NULL, name2 varchar(100) default '',
	  type3 char(1) default NULL, name3 varchar(100) default '',
	  type4 char(1) default NULL, name4 varchar(100) default '',
	  type5 char(1) default NULL, name5 varchar(100) default '',
	  type6 char(1) default NULL, name6 varchar(100) default '',
	  type7 char(1) default NULL, name7 varchar(100) default '',
	  type8 char(1) default NULL, name8 varchar(100) default '')");
	$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_templates'");
	$RecordCount = mysql_num_rows($result);
	if ($RecordCount == 0)
	{
		mysql_query("INSERT INTO $table_modules VALUES ('', 'Template editor', 'sn_templates', '', '', '')");
	}

	//TV module
	$table_scripts = $dbprefix . "m_scripts";
	mysql_query("CREATE TABLE $table_scripts (id int(11) NOT NULL auto_increment,
	  name varchar(50) NOT NULL default '',
	  script varchar(30) NOT NULL default '',
	  active tinyint(4) default NULL,
	  varname1 varchar(15) default NULL,
	  value1 text default NULL,
	  varname2 varchar(15) default NULL,
	  value2 text default NULL,
	  varname3 varchar(15) default NULL,
	  value3 text default NULL,
	  welcome text,
	  loc_id int(11),
	  PRIMARY KEY  (id))");	  
	
	mysql_query("INSERT INTO $table_scripts VALUES (1, 'Scrollscript', 'scroll_page.php', 1, 'Page number', '1', 'Speed', '2', NULL, '', '', '1')");
	mysql_query("INSERT INTO $table_scripts VALUES (2, 'Slideshow', 'slideshow_full.php', 0, 'Album name', 'slideshow', 'Speed', '5', 'Width', '300', '', '1')");
	mysql_query("INSERT INTO $table_scripts VALUES (3, 'Showpage', 'show_page.php', 0, 'Page number', '1', NULL, '', NULL, '', '', '1')");
	mysql_query("INSERT INTO $table_scripts VALUES (4, 'Page slideshow', 'page_slideshow.php', 0, 'Pages', '1', NULL, '', NULL, '', '', '1')");

	$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_tvmodule'");
	$RecordCount = mysql_num_rows($result);
	if ($RecordCount == 0)
	{
		mysql_query("INSERT INTO $table_modules VALUES (NULL, 'TV Module', 'sn_tvmodule', '', '', '')");
	}
	
	//video module
	
	$table_videos = $dbprefix."m_videos";

    mysql_query("CREATE TABLE $table_videos (
			  id int(11) NOT NULL auto_increment,
			  name varchar(80) NOT NULL default '',
			  description text NOT NULL,
			  file_name varchar(100) NOT NULL default '',
			  options text NOT NULL,
			  public tinyint(1) NOT NULL default '0',
			  sort int(11) NOT NULL default '0',
			  overview_name varchar(60) NOT NULL default '',
			  PRIMARY KEY (id))");

	$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'video'");
	$RecordCount = mysql_num_rows($result);
	if ($RecordCount == 0)
	{
		mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Video', 'video', 'view_video.php,View single video,video_overview.php,Video overview', '', '')");
	}
	mysql_query("INSERT INTO $table_configuration VALUES ('video_welcome_text', 'video module overview welcome text<br><br>', 'Video module')");
	mysql_query("INSERT INTO $table_configuration VALUES ('video_number_of_items', '3', 'Video module')");	


//poll
$table_comment = $dbprefix."m_poll_comment";

mysql_query("CREATE TABLE IF NOT EXISTS $table_comment (
  com_id int(9) NOT NULL AUTO_INCREMENT,
  poll_id int(9) NOT NULL DEFAULT '0',
  time int(11) NOT NULL DEFAULT '0',
  host varchar(255) NOT NULL,
  browser varchar(255) NOT NULL,
  name varchar(60) NOT NULL,
  email varchar(100) NOT NULL,
  message text NOT NULL,
  PRIMARY KEY (com_id)
)");

$table_config = $dbprefix."m_poll_config";
mysql_query("CREATE TABLE IF NOT EXISTS $table_config (
  config_id smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  title varchar(60) NOT NULL,
  vote_button varchar(30) NOT NULL,
  result_text varchar(40) NOT NULL,
  total_text varchar(40) NOT NULL,
  voted varchar(40) NOT NULL,
  send_com varchar(40) NOT NULL,
  img_height int(5) NOT NULL DEFAULT '0',
  img_length int(5) NOT NULL DEFAULT '0',
  table_width varchar(6) NOT NULL,
  bgcolor_tab varchar(7) NOT NULL,
  bgcolor_fr varchar(7) NOT NULL,
  font_face varchar(70) NOT NULL,
  font_color varchar(7) NOT NULL,
  type varchar(10) NOT NULL DEFAULT '0',
  check_ip smallint(2) NOT NULL DEFAULT '0',
  lock_timeout int(9) NOT NULL DEFAULT '0',
  time_offset varchar(5) NOT NULL DEFAULT '0',
  entry_pp int(4) unsigned NOT NULL DEFAULT '0',
  poll_version varchar(5) NOT NULL DEFAULT '0',
  result_order varchar(20) NOT NULL DEFAULT '',
  def_options smallint(3) unsigned NOT NULL DEFAULT '0',
  polls_pp int(5) unsigned NOT NULL DEFAULT '0',
  captcha varchar(5) NOT NULL,
  base_url varchar(100) NOT NULL DEFAULT '',
  base_gif varchar(60) NOT NULL,
  PRIMARY KEY (config_id)
)") ;


$table_data = $dbprefix."m_poll_data";
mysql_query("CREATE TABLE IF NOT EXISTS $table_data (
  id int(11) NOT NULL AUTO_INCREMENT,
  poll_id int(11) NOT NULL DEFAULT '0',
  option_id int(11) NOT NULL DEFAULT '0',
  option_text varchar(100) NOT NULL,
  color varchar(20) NOT NULL,
  votes int(14) NOT NULL DEFAULT '0',
  PRIMARY KEY (poll_id,option_id),
  KEY id (id)
)");

$table_index = $dbprefix."m_poll_index";
mysql_query("CREATE TABLE IF NOT EXISTS $table_index (
  poll_id int(11) unsigned NOT NULL AUTO_INCREMENT,
  name varchar(50) DEFAULT NULL,
  question varchar(100) NOT NULL,
  timestamp int(11) NOT NULL DEFAULT '0',
  status smallint(2) NOT NULL DEFAULT '0',
  logging smallint(2) NOT NULL DEFAULT '0',
  exp_time int(11) NOT NULL DEFAULT '0',
  expire smallint(2) NOT NULL DEFAULT '0',
  comments smallint(2) NOT NULL DEFAULT '0',
  template varchar(15) NOT NULL DEFAULT '',
  PRIMARY KEY (poll_id)
)") ;

$table_ip = $dbprefix."m_poll_ip";
mysql_query("CREATE TABLE IF NOT EXISTS $table_ip (
  ip_id int(11) NOT NULL AUTO_INCREMENT,
  poll_id int(11) NOT NULL DEFAULT '0',
  ip_addr varchar(15) NOT NULL,
  timestamp int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (ip_id)
)") ;

$table_log = $dbprefix."m_poll_log";
mysql_query("CREATE TABLE IF NOT EXISTS $table_log (
  log_id int(11) unsigned NOT NULL AUTO_INCREMENT,
  poll_id int(11) NOT NULL DEFAULT '0',
  option_id int(11) NOT NULL DEFAULT '0',
  timestamp int(11) NOT NULL DEFAULT '0',
  ip_addr varchar(15) NOT NULL,
  host varchar(255) NOT NULL,
  agent varchar(255) NOT NULL DEFAULT '0',
  PRIMARY KEY (log_id)
)") ;

$table_templates = $dbprefix."m_poll_templates";
mysql_query("CREATE TABLE IF NOT EXISTS $table_templates (
  tpl_id int(10) unsigned NOT NULL AUTO_INCREMENT,
  tplset_id int(10) unsigned NOT NULL DEFAULT '0',
  title varchar(100) NOT NULL DEFAULT '',
  template mediumtext NOT NULL,
  PRIMARY KEY (tpl_id)
)") ;

mysql_query("INSERT INTO $table_templates (tpl_id, tplset_id, title, template) VALUES
(1, 1, 'display_head', '<table width=\"\$pollvars[table_width]\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"\$pollvars[bgcolor_fr]\">\r\n  <tr align=\"center\">\r\n    <td>\r\n      <style type=\"text/css\">\r\n <!--\r\n  .input { font-family: \$pollvars[font_face]; font-size: 8pt}\r\n -->\r\n</style>\r\n      <font face=\"\$pollvars[font_face]\" size=\"-1\" color=\"#FFFFFF\"><b>\$pollvars[title]</b></font></td>\r\n  </tr>\r\n  <tr align=\"center\"> \r\n    <td> \r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" align=\"center\" bgcolor=\"\$pollvars[bgcolor_tab]\">\r\n        <tr> \r\n          <td height=\"40\" valign=\"middle\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><b>\$question</b></font></td>\r\n        </tr>\r\n        <tr align=\"right\" valign=\"top\"> \r\n          <td>\r\n            <form method=\"post\" action=\"index.php?page=\$this->page&amp;section=\$this->section\">\r\n              <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n                <tr valign=\"top\" align=\"center\"> \r\n                  <td> \r\n                    <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\">\r\n'),
(2, 1, 'display_loop', ' <tr> \r\n   <td width=\"15%\"><input type=\"radio\" name=\"option_id\" value=\"\$data[option_id]\"></td>\r\n   <td width=\"85%\"><font face=\"\$pollvars[font_face]\" size=\"1\" color=\"\$pollvars[font_color]\">\$data[option_text]</font></td>\r\n </tr>\r\n'),
(3, 1, 'display_foot', '                    </table>\r\n                    <input type=\"hidden\" name=\"action\" value=\"vote\">\r\n                    <input type=\"hidden\" name=\"poll_ident\" value=\"\$poll_id\">\r\n                    <input type=\"submit\" value=\"\$pollvars[vote_button]\" class=\"input\">\r\n                    <br>\r\n                    <br>\r\n                    <font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><a href=\"index.php?page=\$this->page&amp;section=\$this->section&amp;action=results&amp;poll_ident=\$poll_id\">\$pollvars[result_text]</a></font>\r\n                  </td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n            <font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
(4, 1, 'result_head', '<table width=\"\$pollvars[table_width]\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"\$pollvars[bgcolor_fr]\">\r\n<tr align=\"center\">\r\n<td>\r\n<style type=\"text/css\">\r\n<!--\r\n .input { font-family: \$pollvars[font_face]; font-size: 8pt}\r\n .links { font-family: \$pollvars[font_face]; font-size: 7.5pt; color: \$pollvars[font_color]}\r\n-->\r\n</style>\r\n<font face=\"\$pollvars[font_face]\" size=\"-1\" color=\"#FFFFFF\"><b>\$pollvars[title]</b></font></td>\r\n</tr>\r\n<tr align=\"center\">\r\n <td><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" align=\"center\" bgcolor=\"\$pollvars[bgcolor_tab]\">\r\n <tr valign=\"middle\">\r\n   <td height=\"40\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><b>\$question</b></font></td>\r\n </tr>\r\n <tr align=\"right\" valign=\"bottom\">\r\n   <td>\r\n     <table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" width=\"100%\" align=\"center\">\r\n       <tr valign=\"top\">\r\n        <td>\r\n         <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\">\r\n'),
(5, 1, 'result_loop', '<tr>\r\n    <td height=\"22\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$option_text</font></td>\r\n    <td nowrap height=\"22\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><img src=\"starnet/modules/poll/image/\$poll_color.gif\" width=\"\$img_width\" height=\"\$pollvars[img_height]\"> \$vote_val</font></td>\r\n</tr>\r\n'),
(6, 1, 'result_foot', '       </table>\r\n       <font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><br>\r\n       \$pollvars[total_text]: <font color=\"#CC0000\">\$total_votes</font><br>\r\n       \$VOTE<br><br><div align=\"center\">\r\n       \$COMMENT&nbsp;</div></font>\r\n       </td></tr>\r\n      <tr><td height=\"2\">&nbsp;</td></tr>\r\n     </table>\r\n    <font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font></td>\r\n   </tr>\r\n </table>\r\n</td>\r\n</tr>\r\n</table>\r\n'),
(7, 1, 'comment', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\" bgcolor=\"#666699\">\r\n  <tr align=\"center\">\r\n    <td>\r\n     <style type=\"text/css\">\r\n      <!--\r\n       .button {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt}\r\n       .textarea {  font-family: \"MS Sans Serif\"; font-size: 9pt; width: 195px}\r\n       .input {  width: 195px}\r\n      -->\r\n    </style><font color=\"#FFFFFF\" face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"2\"><b>Send Your Comment</b></font></td>\r\n  </tr>\r\n  <tr>\r\n    <td>\r\n      <table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" align=\"center\" bgcolor=\"#FFFFFF\" width=\"200\">\r\n        <tr>\r\n          <td width=\"149\">\r\n            <form method=\"post\" action=\"comments.php\">\r\n              <table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"\" align=\"center\">\r\n                <tr>\r\n                  <td class=\"td1\" height=\"40\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">\$question</font></b></td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Name:</font><br>\r\n                    <input type=\"text\" name=\"name\" maxlength=\"25\" class=\"input\" size=\"23\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">e-mail:</font><br>\r\n                    <input type=\"text\" name=\"email\" size=\"23\" maxlength=\"50\" class=\"input\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Comment(*):</font><br>\r\n                    <font face=\"MS Sans Serif\" size=\"1\">\r\n                    <textarea name=\"message\" cols=\"19\" wrap=\"VIRTUAL\" rows=\"3\" class=\"textarea\"></textarea>\r\n                    </font>\r\n                    \$POLL_CAPTCHA\r\n                  </td>\r\n                </tr>\r\n                <tr valign=\"top\">\r\n                  <td>\r\n                    <input type=\"submit\" value=\"Submit\" class=\"button\">\r\n                    <input type=\"reset\" value=\"Reset\" class=\"button\">\r\n                    <input type=\"hidden\" name=\"action\" value=\"add\">\r\n                    <input type=\"hidden\" name=\"id\" value=\"\$poll_id\">\r\n		    <input type=\"hidden\" name=\"time\" value=\"\$poll_time\">\r\n                  </td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
(8, 2, 'display_head', '<table width=\"\$pollvars[table_width]\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\" bgcolor=\"#F3F3F3\">\r\n  <tr valign=\"top\"> \r\n    <td valign=\"top\" align=\"right\">\r\n      <form method=\"post\" action=\"\$this->form_forward\">\r\n        <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\">\r\n          <tr bgcolor=\"\$pollvars[bgcolor_fr]\"> \r\n            <td colspan=\"2\" height=\"30\"><font face=\"\$pollvars[font_face]\" color=\"#FFFFFF\" size=\"1\"><b>\r\n              \$question</b></font></td>\r\n          </tr>\r\n'),
(9, 2, 'display_loop', '<tr> \r\n    <td width=\"14%\"><input type=\"radio\" name=\"option_id\" value=\"\$data[option_id]\"></td>\r\n    <td width=\"86%\"><font face=\"\$pollvars[font_face]\" size=\"1\" color=\"\$pollvars[font_color]\">\$data[option_text]</font></td>\r\n</tr>\r\n'),
(10, 2, 'display_foot', '          <tr align=\"center\"> \r\n            <td colspan=\"2\"> \r\n              <input type=\"image\" border=\"0\" src=\"starnet/modules/poll/image/vote.gif\" width=\"110\" height=\"48\">\r\n              <input type=\"hidden\" name=\"action\" value=\"vote\">\r\n              <input type=\"hidden\" name=\"poll_ident\" value=\"\$poll_id\">\r\n              <br>\r\n              <font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><a href=\"\index.php?page=\$this->page&amp;section=\$this->section&amp;action=results&amp;poll_ident=\$poll_id\">\$pollvars[result_text]</a>\r\n            </td>\r\n          </tr>\r\n        </table>\r\n      </form>\r\n      <font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font>\r\n     </td>\r\n  </tr>\r\n</table>\r\n'),
(11, 2, 'result_head', '<table width=\"170\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\" bgcolor=\"#F3F3F3\">\r\n  <tr> \r\n    <td colspan=\"2\" height=\"25\" bgcolor=\"\$pollvars[bgcolor_fr]\"><font face=\"\$pollvars[font_face]\" color=\"#FFFFFF\" size=\"1\"><b>\$question</b></font></td>\r\n  </tr>\r\n\r\n'),
(12, 2, 'result_loop', '  <tr> \r\n    <td colspan=\"2\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$option_text</font></td>\r\n  </tr>\r\n  <tr> \r\n    <td width=\"52%\"><img src=\"starnet/modules/poll/image/greenbar.gif\" width=\"\$img_width\" height=\"7\"></td>\r\n    <td width=\"48%\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$vote_val</font></td>\r\n  </tr>\r\n'),
(13, 2, 'result_foot', '  <tr> \r\n    <td colspan=\"2\" height=\"40\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"> \r\n      \$pollvars[total_text]: <font color=\"#CC0000\">\$total_votes</font>\r\n      <br>\$VOTE</font><br><div align=\"center\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$COMMENT</font></div>\r\n    </td>\r\n  </tr>\r\n  <tr align=\"right\" valign=\"bottom\" height=\"30\"> \r\n    <td colspan=\"2\"><font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font></td>\r\n  </tr>\r\n</table>\r\n'),
(14, 2, 'comment', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\" bgcolor=\"#666699\">\r\n  <tr align=\"center\">\r\n    <td>\r\n     <style type=\"text/css\">\r\n      <!--\r\n       .button {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt}\r\n       .textarea {  font-family: \"MS Sans Serif\"; font-size: 9pt; width: 195px}\r\n       .input {  width: 195px}\r\n      -->\r\n    </style><font color=\"#FFFFFF\" face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"2\"><b>Send Your Comment</b></font></td>\r\n  </tr>\r\n  <tr>\r\n    <td>\r\n      <table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" align=\"center\" bgcolor=\"#F3F3F3\" width=\"200\">\r\n        <tr>\r\n          <td width=\"149\">\r\n            <form method=\"post\" action=\"\$this->form_forward\">\r\n              <table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"\" align=\"center\">\r\n                <tr>\r\n                  <td class=\"td1\" height=\"40\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">\$question</font></b></td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Name:</font><br>\r\n                    <input type=\"text\" name=\"name\" maxlength=\"25\" class=\"input\" size=\"23\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">e-mail:</font><br>\r\n                    <input type=\"text\" name=\"email\" size=\"23\" maxlength=\"50\" class=\"input\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Comment(*):</font><br>\r\n                    <font face=\"MS Sans Serif\" size=\"1\">\r\n                    <textarea name=\"message\" cols=\"19\" wrap=\"VIRTUAL\" rows=\"3\" class=\"textarea\"></textarea>\r\n                    </font>\r\n                    \$POLL_CAPTCHA\r\n                  </td>\r\n                </tr>\r\n                <tr valign=\"top\">\r\n                  <td>\r\n                    <input type=\"submit\" value=\"Submit\" class=\"button\">\r\n                    <input type=\"reset\" value=\"Reset\" class=\"button\">\r\n                    <input type=\"hidden\" name=\"action\" value=\"add\">\r\n                    <input type=\"hidden\" name=\"id\" value=\"\$poll_id\">\r\n                    <input type=\"hidden\" name=\"time\" value=\"\$poll_time\">\r\n                  </td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
(15, 3, 'display_head', '<table width=\"\$pollvars[table_width]\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"\$pollvars[bgcolor_fr]\">\r\n  <tr align=\"center\">\r\n    <td>\r\n      <style type=\"text/css\">\r\n <!--\r\n  .input { font-family: \$pollvars[font_face]; font-size: 8pt}\r\n -->\r\n</style>\r\n      <font face=\"\$pollvars[font_face]\" size=\"-1\" color=\"#FFFFFF\"><b>\$pollvars[title]</b></font></td>\r\n  </tr>\r\n  <tr align=\"center\"> \r\n    <td> \r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" align=\"center\" bgcolor=\"\$pollvars[bgcolor_tab]\">\r\n        <tr> \r\n          <td height=\"40\" valign=\"middle\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><b>\$question</b></font></td>\r\n        </tr>\r\n        <tr align=\"right\" valign=\"top\"> \r\n          <td>\r\n            <form method=\"post\" name=\"poll_\$poll_id\" onsubmit=\"return poll_results_\$poll_id(''vote'',''starnet/modules/poll/popup.php'',''Poll'',''500'',''350'',''toolbar=no,scrollbars=yes'');\">\r\n              <script language=\"JavaScript\">\r\n<!--\r\nfunction poll_results_\$poll_id(action,theURL,winName,winWidth,winHeight,features) {      \r\n    var w = (screen.width - winWidth)/2;\r\n    var h = (screen.height - winHeight)/2 - 20;\r\n    features = features+'',width=''+winWidth+'',height=''+winHeight+'',top=''+h+'',left=''+w;\r\n    var poll_ident = self.document.poll_\$poll_id.poll_ident.value;\r\n    option_id = '''';\r\n    for (i=0; i<self.document.poll_\$poll_id.option_id.length; i++) {\r\n        if(self.document.poll_\$poll_id.option_id[i].checked == true) {\r\n            option_id = self.document.poll_\$poll_id.option_id[i].value;\r\n            break;\r\n        }\r\n    }\r\n    option_id = (option_id != '''') ? ''&option_id=''+option_id : '''';\r\n    if (action==''results'' || (option_id != '''' && action==''vote'')) {\r\n        theURL = theURL+''?action=''+action+''&poll_ident=''+poll_ident+option_id;\r\n        poll_popup = window.open(theURL,winName,features);\r\n        poll_popup.focus();\r\n    }\r\n    return false;\r\n}\r\n//-->\r\n        </script>\r\n              <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n                <tr valign=\"top\" align=\"center\"> \r\n                  <td> \r\n                    <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\">\r\n'),
(16, 3, 'display_loop', ' <tr> \r\n   <td width=\"15%\"><input type=\"radio\" name=\"option_id\" value=\"\$data[option_id]\"></td>\r\n   <td width=\"85%\"><font face=\"\$pollvars[font_face]\" size=\"1\" color=\"\$pollvars[font_color]\">\$data[option_text]</font></td>\r\n </tr>\r\n'),
(17, 3, 'display_foot', '                    </table>\r\n                    <input type=\"hidden\" name=\"action\" value=\"vote\">\r\n                    <input type=\"hidden\" name=\"poll_ident\" value=\"\$poll_id\">\r\n                    <input type=\"submit\" value=\"\$pollvars[vote_button]\" class=\"input\">\r\n                    <br>\r\n                    <br>\r\n                    <font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><a href=\"javascript:void(poll_results_\$poll_id(''results'',''starnet/modules/poll/popup.php'',''Poll'',''500'',''350'',''toolbar=no,scrollbars=yes''))\">\$pollvars[result_text]</a><br>\r\n                    </font></td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n            <font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
(18, 3, 'result_head', '<table width=\"450\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"#CCCCCC\">\r\n  <tr>\r\n    <td align=\"center\"> \r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\" bgcolor=\"#F6F6F6\">\r\n        <tr align=\"center\"> \r\n          <td colspan=\"3\" height=\"40\"><font face=\"\$pollvars[font_face]\" size=\"1\" color=\"#000000\"><b>\$question</b></font></td>\r\n        </tr>\r\n'),
(19, 3, 'result_loop', '        <tr>\r\n          <td width=\"3%\">&nbsp;</td>\r\n          <td><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$option_text</font></td>\r\n          <td><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><img src=\"starnet/modules/poll/image/\$poll_color.gif\" width=\"\$img_width\" height=\"\$pollvars[img_height]\"> \$vote_percent % (\$vote_count)</font></td>\r\n        </tr>\r\n'),
(20, 3, 'result_foot', '        <tr> \r\n          <td colspan=\"3\" valign=\"bottom\" align=\"center\"><b><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$pollvars[total_text]: \r\n            \$total_votes</font></b></td>\r\n        </tr>\r\n        <tr align=\"center\"> \r\n          <td colspan=\"3\" valign=\"top\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$VOTE \r\n            <br>\r\n            \$COMMENT</font></td>\r\n        </tr>\r\n        <tr align=\"right\"> \r\n          <td colspan=\"3\"><font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font></td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
(21, 3, 'comment', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\" bgcolor=\"#666699\">\r\n  <tr align=\"center\">\r\n    <td>\r\n     <style type=\"text/css\">\r\n      <!--\r\n       .button {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt}\r\n       .textarea {  font-family: \"MS Sans Serif\"; font-size: 9pt; width: 195px}\r\n       .input {  width: 195px}\r\n      -->\r\n    </style><font color=\"#FFFFFF\" face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"2\"><b>Submit Your Comment</b></font></td>\r\n  </tr>\r\n  <tr>\r\n    <td>\r\n      <table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" align=\"center\" bgcolor=\"#FFFFFF\" width=\"200\">\r\n        <tr>\r\n          <td width=\"149\">\r\n            <form method=\"post\" action=\"\$this->form_forward\">\r\n              <table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"\" align=\"center\">\r\n                <tr>\r\n                  <td class=\"td1\" height=\"40\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">\$question</font></b></td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Name:</font><br>\r\n                    <input type=\"text\" name=\"name\" maxlength=\"25\" class=\"input\" size=\"23\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">e-mail:</font><br>\r\n                    <input type=\"text\" name=\"email\" size=\"23\" maxlength=\"50\" class=\"input\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Comment(*):</font><br>\r\n                    <font face=\"MS Sans Serif\" size=\"1\">\r\n                    <textarea name=\"message\" cols=\"19\" wrap=\"VIRTUAL\" rows=\"3\" class=\"textarea\"></textarea>\r\n                    </font>\r\n                    \$POLL_CAPTCHA\r\n                  </td>\r\n                </tr>\r\n                <tr valign=\"top\">\r\n                  <td>\r\n                    <input type=\"submit\" value=\"Submit\" class=\"button\">\r\n                    <input type=\"reset\" value=\"Reset\" class=\"button\">\r\n                    <input type=\"hidden\" name=\"action\" value=\"add\">\r\n                    <input type=\"hidden\" name=\"id\" value=\"\$poll_id\">\r\n                    <input type=\"hidden\" name=\"time\" value=\"\$poll_time\">\r\n                  </td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
(22, 4, 'display_head', '<table width=\"\$pollvars[table_width]\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"\$pollvars[bgcolor_fr]\">\r\n  <tr align=\"center\">\r\n    <td>\r\n      <style type=\"text/css\">\r\n <!--\r\n  .input { font-family: \$pollvars[font_face]; font-size: 8pt}\r\n -->\r\n</style>\r\n      <font face=\"\$pollvars[font_face]\" size=\"-1\" color=\"#FFFFFF\"><b>\$pollvars[title]</b></font></td>\r\n  </tr>\r\n  <tr align=\"center\"> \r\n    <td> \r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" align=\"center\" bgcolor=\"\$pollvars[bgcolor_tab]\">\r\n        <tr> \r\n          <td height=\"40\" valign=\"middle\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><b>\$question</b></font></td>\r\n        </tr>\r\n        <tr align=\"right\" valign=\"top\"> \r\n          <td>\r\n            <form method=\"post\" action=\"\$this->form_forward\">\r\n               <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n                <tr valign=\"top\" align=\"center\"> \r\n                  <td> \r\n                    <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\">\r\n'),
(23, 4, 'display_loop', '<tr> \r\n   <td width=\"15%\"><input type=\"radio\" name=\"option_id\" value=\"\$data[option_id]\"></td>\r\n   <td width=\"85%\"><font face=\"\$pollvars[font_face]\" size=\"1\" color=\"\$pollvars[font_color]\">\$data[option_text]</font></td>\r\n </tr>\r\n'),
(24, 4, 'display_foot', '                    </table>\r\n                    <input type=\"hidden\" name=\"action\" value=\"vote\">\r\n                    <input type=\"hidden\" name=\"poll_ident\" value=\"\$poll_id\">\r\n                    <input type=\"submit\" value=\"\$pollvars[vote_button]\" class=\"input\">\r\n                    <br>\r\n                    <br>\r\n                    <font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><a href=\"\index.php?page=\$this->page&amp;section=\$this->section&amp;action=results&amp;poll_ident=\$poll_id\">\$pollvars[result_text]</a><br>\r\n                    </font></td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n            <font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
(25, 4, 'result_head', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" width=\"360\">\r\n  <tr> \r\n    <td colspan=\"2\"><font face=\"\$pollvars[font_face]\" size=\"2\">\$question</font></td>\r\n  </tr>\r\n  <tr> \r\n    <td><img src=\"starnet/modules/poll/png.php?poll_id=\$poll_id\"></td>\r\n    <td> \r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"#000000\">\r\n        <tr> \r\n          <td> \r\n            <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\" bgcolor=\"#EBEBEB\">'),
(26, 4, 'result_loop', '            <tr> \r\n                <td width=\"12\"><font size=\"1\" face=\"\$pollvars[font_face]\"><img src=\"starnet/modules/poll/image/\$poll_color.gif\" width=\"8\" height=\"10\"></font></td>\r\n                <td><font size=\"1\" face=\"\$pollvars[font_face]\">\$option_text -\r\n                  \$vote_val</font></td>\r\n              </tr>'),
(27, 4, 'result_foot', '              <tr> \r\n                <td>&nbsp;</td>\r\n                <td><font face=\"\$pollvars[font_face]\" size=\"1\">\$pollvars[total_text]: \r\n                 <font color=\"#990000\">\$total_votes</font><br>\r\n                 \$COMMENT&nbsp;</font></td>\r\n              </tr>\r\n            </table>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>'),
(28, 4, 'comment', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\" bgcolor=\"#666699\">\r\n  <tr align=\"center\">\r\n    <td>\r\n     <style type=\"text/css\">\r\n      <!--\r\n       .button {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt}\r\n       .textarea {  font-family: \"MS Sans Serif\"; font-size: 9pt; width: 195px}\r\n       .input {  width: 195px}\r\n      -->\r\n    </style><font color=\"#FFFFFF\" face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"2\"><b>Submit Your Comment</b></font></td>\r\n  </tr>\r\n  <tr>\r\n    <td>\r\n      <table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" align=\"center\" bgcolor=\"#FFFFFF\" width=\"200\">\r\n        <tr>\r\n          <td width=\"149\">\r\n            <form method=\"post\" action=\"\$this->form_forward\">\r\n              <table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"\" align=\"center\">\r\n                <tr>\r\n                  <td class=\"td1\" height=\"40\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">\$question</font></b></td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Name:</font><br>\r\n                    <input type=\"text\" name=\"name\" maxlength=\"25\" class=\"input\" size=\"23\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">e-mail:</font><br>\r\n                    <input type=\"text\" name=\"email\" size=\"23\" maxlength=\"50\" class=\"input\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Comment(*):</font><br>\r\n                    <font face=\"MS Sans Serif\" size=\"1\">\r\n                    <textarea name=\"message\" cols=\"19\" wrap=\"VIRTUAL\" rows=\"3\" class=\"textarea\"></textarea>\r\n                    </font>\r\n                    \$POLL_CAPTCHA\r\n                  </td>\r\n                </tr>\r\n                <tr valign=\"top\">\r\n                  <td>\r\n                    <input type=\"submit\" value=\"Submit\" class=\"button\">\r\n                    <input type=\"reset\" value=\"Reset\" class=\"button\">\r\n                    <input type=\"hidden\" name=\"action\" value=\"add\">\r\n                    <input type=\"hidden\" name=\"id\" value=\"\$poll_id\">\r\n                    <input type=\"hidden\" name=\"time\" value=\"\$poll_time\">\r\n                  </td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
(29, 5, 'display_head', '<table width=\"450\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"#CCCCCC\">\r\n  <tr>\r\n    <td align=\"center\">\r\n     <style type=\"text/css\">\r\n       <!--\r\n        .input { font-family: \$pollvars[font_face]; font-size: 9pt}\r\n       -->\r\n      </style> \r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\" bgcolor=\"#F6F6F6\">\r\n        <tr align=\"center\"> \r\n          <td colspan=\"2\" height=\"40\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><b>\$question</b></font></td>\r\n        </tr>\r\n        <tr align=\"center\"> \r\n          <td colspan=\"2\"> \r\n            <form method=\"post\" action=\"\$this->form_forward\">\r\n              <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\">'),
(30, 5, 'display_loop', ' <tr> \r\n   <td width=\"11%\" align=\"center\"><input type=\"radio\" name=\"option_id\" value=\"\$data[option_id]\"></td>\r\n   <td width=\"89%\"><font face=\"\$pollvars[font_face]\" size=\"1\" color=\"\$pollvars[font_color]\">\$data[option_text]</font></td>\r\n </tr>'),
(31, 5, 'display_foot', '                <tr align=\"center\" valign=\"bottom\"> \r\n                  <td colspan=\"2\"> \r\n                    <input type=\"submit\" value=\"\$pollvars[vote_button]\" class=\"input\" name=\"submit\">\r\n                    <input type=\"hidden\" name=\"action\" value=\"vote\">\r\n                    <input type=\"hidden\" name=\"poll_ident\" value=\"\$poll_id\">\r\n                  </td>\r\n                </tr>\r\n                <tr valign=\"bottom\"> \r\n                  <td colspan=\"2\" height=\"30\" align=\"center\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">[<a href=\"\index.php?page=\$this->page&amp;section=\$this->section&amp;action=results&amp;poll_ident=\$poll_id\">\$pollvars[result_text]</a>]</font></td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
(32, 5, 'result_head', '<table width=\"450\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"#CCCCCC\">\r\n  <tr>\r\n    <td align=\"center\"> \r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\" bgcolor=\"#F6F6F6\">\r\n        <tr align=\"center\"> \r\n          <td colspan=\"3\" height=\"40\"><font face=\"\$pollvars[font_face]\" size=\"1\" color=\"#000000\"><b>\$question</b></font></td>\r\n        </tr>\r\n'),
(33, 5, 'result_loop', '        <tr>\r\n          <td width=\"3%\">&nbsp;</td>\r\n          <td><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$option_text</font></td>\r\n          <td><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><img src=\"starnet/modules/poll/image/\$poll_color.gif\" width=\"\$img_width\" height=\"\$pollvars[img_height]\"> \$vote_percent % (\$vote_count)</font></td>\r\n        </tr>\r\n'),
(34, 5, 'result_foot', '        <tr> \r\n          <td colspan=\"3\" valign=\"bottom\" align=\"center\"><b><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$pollvars[total_text]: \r\n            \$total_votes</font></b></td>\r\n        </tr>\r\n        <tr align=\"center\"> \r\n          <td colspan=\"3\" valign=\"top\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$VOTE \r\n            <br>\r\n            \$COMMENT</font></td>\r\n        </tr>\r\n        <tr align=\"right\"> \r\n          <td colspan=\"3\"><font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font></td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
(35, 5, 'comment', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\" bgcolor=\"#666699\">\r\n  <tr align=\"center\">\r\n    <td>\r\n     <style type=\"text/css\">\r\n      <!--\r\n       .button {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt}\r\n       .textarea {  font-family: \"MS Sans Serif\"; font-size: 9pt; width: 195px}\r\n       .input {  width: 195px}\r\n      -->\r\n    </style><font color=\"#FFFFFF\" face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"2\"><b>Send Your Comment</b></font></td>\r\n  </tr>\r\n  <tr>\r\n    <td>\r\n      <table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" align=\"center\" bgcolor=\"#F3F3F3\" width=\"200\">\r\n        <tr>\r\n          <td width=\"149\">\r\n            <form method=\"post\" action=\"\$this->form_forward\">\r\n              <table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"\" align=\"center\">\r\n                <tr>\r\n                  <td class=\"td1\" height=\"40\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">\$question</font></b></td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Name:</font><br>\r\n                    <input type=\"text\" name=\"name\" maxlength=\"25\" class=\"input\" size=\"23\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">e-mail:</font><br>\r\n                    <input type=\"text\" name=\"email\" size=\"23\" maxlength=\"50\" class=\"input\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Comment(*):</font><br>\r\n                    <font face=\"MS Sans Serif\" size=\"1\">\r\n                    <textarea name=\"message\" cols=\"19\" wrap=\"VIRTUAL\" rows=\"3\" class=\"textarea\"></textarea>\r\n                    </font>\r\n                    \$POLL_CAPTCHA\r\n                  </td>\r\n                </tr>\r\n                <tr valign=\"top\">\r\n                  <td>\r\n                    <input type=\"submit\" value=\"Submit\" class=\"button\">\r\n                    <input type=\"reset\" value=\"Reset\" class=\"button\">\r\n                    <input type=\"hidden\" name=\"action\" value=\"add\">\r\n                    <input type=\"hidden\" name=\"id\" value=\"\$poll_id\">\r\n                    <input type=\"hidden\" name=\"time\" value=\"\$poll_time\">\r\n                  </td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
(36, 0, 'poll_comment', '<table border=\"0\" cellspacing=\"1\" cellpadding=\"2\" width=\"450\">\r\n  <tr bgcolor=\"#E4E4E4\"> \r\n    <td bgcolor=\"#F2F2F2\"><b><font size=\"1\" face=\"Verdana, Arial, Helvetica, sans-serif\">\$data[name]</font></b> \r\n      <i><font size=\"1\" face=\"Verdana, Arial, Helvetica, sans-serif\">\$data[email]</font></i> \r\n      - <font size=\"1\" face=\"Verdana, Arial, Helvetica, sans-serif\">\$data[time]</font>\r\n    </td>\r\n  </tr>\r\n  <tr>\r\n    <td><font size=\"2\" face=\"Verdana, Arial, Helvetica, sans-serif\">\$data[message]</font> \r\n    </td>\r\n  </tr>\r\n  <tr> \r\n    <td height=\"15\">&nbsp;</td>\r\n  </tr>\r\n</table>\r\n'),
(37, 0, 'poll_list', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"4\" width=\"450\">\r\n  <tr> \r\n    <td width=\"80\" valign=\"top\"> &#0149; <font size=\"2\" face=\"Arial, Helvetica, sans-serif\"><i>\$data[timestamp]</i></font></td>\r\n    <td width=\"354\"><font face=\"Arial, Helvetica, sans-serif\" size=\"2\"><a href=\"\$PHP_SELF?poll_id=\$data[poll_id]\">\$data[question]</a></font></td>\r\n  </tr>\r\n</table>\r\n'),
(38, 0, 'poll_form', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n  <tr> \r\n    <td> \r\n      <style type=\"text/css\">\r\n      <!--\r\n       .button {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt}\r\n       .poll_textarea {  font-family: \"MS Sans Serif\"; font-size: 9pt; width: 300px}\r\n       .poll_input {  width: 300px}\r\n      -->\r\n    </style>\r\n      <form method=\"post\" action=\"\$this->form_forward\">\r\n        <table border=\"0\" cellspacing=\"0\" cellpadding=\"4\">\r\n          <tr>\r\n            <td class=\"td1\"><font color=\"#CC0000\" face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\"><b>\$msg</b></font></td>\r\n          </tr>\r\n          <tr> \r\n            <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Name:</font><br>\r\n              <input type=\"text\" name=\"name\" value=\"\$comment[name]\" maxlength=\"30\" class=\"poll_input\" size=\"25\">\r\n            </td>\r\n          </tr>\r\n          <tr> \r\n            <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">E-mail:</font><br>\r\n              <input type=\"text\" name=\"email\" value=\"\$comment[email]\" size=\"25\" maxlength=\"50\" class=\"poll_input\">\r\n            </td>\r\n          </tr>\r\n          <tr> \r\n            <td class=\"td1\"> <font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Comment:</font><br>\r\n              <font face=\"MS Sans Serif\" size=\"1\"> \r\n              <textarea name=\"message\" cols=\"25\" wrap=\"VIRTUAL\" rows=\"8\" class=\"poll_textarea\">\$comment[message]</textarea>\r\n              </font>\r\n              \$POLL_CAPTCHA\r\n              </td>\r\n          </tr>\r\n          <tr valign=\"top\"> \r\n            <td>              \r\n              <input type=\"submit\" value=\"Submit\" class=\"button\" name=\"submit\">\r\n              <input type=\"reset\" value=\"Reset\" class=\"button\" name=\"reset\">\r\n              <input type=\"hidden\" name=\"action\" value=\"add\">\r\n              <input type=\"hidden\" name=\"pcomment\" value=\"\$poll_id\">\r\n              <input type=\"hidden\" name=\"time\" value=\"\$poll_time\">\r\n            </td>\r\n          </tr>\r\n        </table>\r\n      </form>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
(40, 0, 'poll_captcha', '<div style=\"margin-top:3px;display:block;\">\r\n	<img src=\"/starnet/modules/poll/captcha.php?time=\$poll_time\" border=\"0\" style=\"float:left;margin-right:6px\"><input type=\"text\" name=\"captcha\" maxlength=\"20\" style=\"width:100px;margin-top:4px\">\r\n</div>\r\n')");

$table_templateset = $dbprefix."m_poll_templateset";
mysql_query("CREATE TABLE IF NOT EXISTS $table_templateset (
  tplset_id int(10) unsigned NOT NULL AUTO_INCREMENT,
  tplset_name varchar(50) NOT NULL DEFAULT '',
  created datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (tplset_id)
)") ;

mysql_query("INSERT INTO $table_templateset (tplset_id, tplset_name, created) VALUES
(1, 'default', '2008-12-31 15:54:18'),
(2, 'simple', '2008-12-31 15:54:18'),
(3, 'popup', '2008-12-31 15:54:18'),
(4, 'graphic', '2008-12-31 15:54:18'),
(5, 'plain', '2008-12-31 15:54:18')");

if (file_exists("mysql_" . $language . ".php"))
{
	include ("mysql_" . $language . ".php");
}
else
{
	include ("mysql_EN.php");
}

//webfonts
$table_webfonts = $dbprefix."fonts";

mysql_query("CREATE TABLE IF NOT EXISTS $table_webfonts (id int(11) NOT NULL AUTO_INCREMENT, font_family varchar(50) NOT NULL, link varchar(250) NOT NULL, PRIMARY KEY (id))");
mysql_query("INSERT INTO $table_webfonts VALUES (1, 'Condiment', 'http://fonts.googleapis.com/css?family=Condiment')");
mysql_query("INSERT INTO $table_webfonts VALUES (2, 'Petit Formal Script', 'http://fonts.googleapis.com/css?family=Petit+Formal+Script')");
//css
$css = ".sas_module_table {
/* defines the table properties for modules */
width : 550px;
}
.sas_module_title {
/* defines properties for the welcome text in modules */
/* left empty */
}
.sas_module_subtitle {
/* left empty */
}
.sas_module_lbl1 {
/* defines properties text labels used in modules */
/* eg. description for input fields */
font-weight: bold;
}
.sas_module_lbl2 {
/* defines properties text labels used in modules */
/* descriptive smaller text like \'required field\' */
font-size: 10px;
}
.sas_module_error {
/* defines properties for error messages */
color: red;
}
.sas_module_text {
/* defines properties for normal text in modules */
/* left empty */
}
.sas_module_input {
/* defines properties for input fields in modules */
/* left empty */
}
.sas_module_link {
/* defines properties for url links in modules */
text-decoration: underline;
}
.sas_row_color_odd {
/* defines background color for tabular listings (eg. forum) */
/* this is for the odd rows */
background-color: #FFFFFF ;
}
.sas_row_color_even {
/* defines background color for tabular listings (eg. forum) */
/* this is for the even rows */
background-color: #C0C0FF ;
}";
	mysql_query("UPDATE $table_modules SET css = '$css' WHERE id > 0 ");
	mysql_query("UPDATE $table_modules SET css_prot = '$css' WHERE id > 0 ");
	
	//logging
	$table_logging = $dbprefix."logging";
	mysql_query("CREATE TABLE $table_logging (id int(11) NOT NULL auto_increment, filename varchar(200) NOT NULL default '',  line int(11) NOT NULL default '0', code varchar(100) NOT NULL default '', message text NOT NULL, date datetime default NULL, PRIMARY KEY  (id))") ;
	mysql_query("INSERT INTO $table_configuration VALUES ('use_encryption', '1', 'Encrypt passwords 1=yes 0=no')");
	mysql_query("INSERT INTO $table_configuration VALUES ('sas_version', '3.0', 'Sas main version')");
	mysql_query("INSERT INTO $table_configuration VALUES ('sas_patch_version', '00', 'Sas patch version')");
	mysql_query("INSERT INTO $table_configuration VALUES ('file_permissions', '0755', 'File permissions for upload')");

	//check if all tables are created.
	$sas_tables[0] = $dbprefix . "configuration";
	$sas_tables[1] = $dbprefix . "users";
	$sas_tables[2] = $dbprefix . "editors";
	$sas_tables[3] = $dbprefix . "pages";
	$sas_tables[4] = $dbprefix . "sections";
	$sas_tables[5] = $dbprefix . "prot_pages";
	$sas_tables[6] = $dbprefix . "prot_sections";
	$sas_tables[7] = $dbprefix . "classes";
	$sas_tables[8] = $dbprefix . "modules";
	$sas_tables[9] = $dbprefix . "stats";
	$sas_tables[10] = $dbprefix . "alerts";
	$sas_tables[11] = $dbprefix . "m_studentpages";
	$sas_tables[12] = $dbprefix . "sessions";
	$sas_tables[13] = $dbprefix . "logging";

	$sas_mod_tables[0] = $dbprefix . "m_gbook";
	$sas_mod_tables[1] = $dbprefix . "m_gbook_cat";
	$sas_mod_tables[2] = $dbprefix . "m_adtext";
	$sas_mod_tables[3] = $dbprefix . "m_adtext_cat";
	$sas_mod_tables[4] = $dbprefix . "m_mail_address";
	$sas_mod_tables[5] = $dbprefix . "m_album_cat";
	$sas_mod_tables[6] = $dbprefix . "m_template";
	$sas_mod_tables[7] = $dbprefix . "m_downloads";
	$sas_mod_tables[8] = $dbprefix . "m_downloads_cat";
	$sas_mod_tables[9] = $dbprefix . "m_news_articles";
	$sas_mod_tables[10] = $dbprefix . "m_news_cat";
	$sas_mod_tables[11] = $dbprefix . "m_calendars";
	$sas_mod_tables[12] = $dbprefix . "m_calendar_events";
	$sas_mod_tables[13] = $dbprefix . "m_newsletters";
	$sas_mod_tables[14] = $dbprefix . "m_newsletter_cat";
	$sas_mod_tables[15] = $dbprefix . "m_newsletter_emails";
	$sas_mod_tables[16] = $dbprefix . "m_scripts";
	$sas_mod_tables[17] = $dbprefix . "m_message";
	$sas_mod_tables[18] = $dbprefix . "m_message_cat";
	$sas_mod_tables[19] = $dbprefix . "m_links";
	$sas_mod_tables[20] = $dbprefix . "m_links_cat";
	$sas_mod_tables[21] = $dbprefix . "m_forms";
	$sas_mod_tables[22] = $dbprefix . "m_forms_config";
	$sas_mod_tables[23] = $dbprefix . "m_forms_data";
	$sas_mod_tables[24] = $dbprefix . "m_videos";
	$sas_mod_tables[25] = $dbprefix . "m_album_pictures";
	$sas_mod_tables[26] = $dbprefix . "m_portal_entries";
	$sas_mod_tables[27] = $dbprefix . "m_portal_pages";

	$sas_mod_tables_name[0] = "sn_gbook";
	$sas_mod_tables_name[1] = "sn_gbook";
	$sas_mod_tables_name[2] = "sn_ads";
	$sas_mod_tables_name[3] = "sn_ads";
	$sas_mod_tables_name[4] = "sn_mailpage";
	$sas_mod_tables_name[5] = "sn_allbum";
	$sas_mod_tables_name[6] = "sn_template";
	$sas_mod_tables_name[7] = "sn_downloads";
	$sas_mod_tables_name[8] = "sn_downloads";
	$sas_mod_tables_name[9] = "sn_news";
	$sas_mod_tables_name[10] = "sn_news";
	$sas_mod_tables_name[11] = "sn_calendar";
	$sas_mod_tables_name[12] = "sn_calendar";
	$sas_mod_tables_name[13] = "sn_newsletter";
	$sas_mod_tables_name[14] = "sn_newsletter";
	$sas_mod_tables_name[15] = "sn_newsletter";
	$sas_mod_tables_name[16] = "sn_tvmodule";
	$sas_mod_tables_name[17] = "sn_message";
	$sas_mod_tables_name[18] = "sn_message";
	$sas_mod_tables_name[19] = "sn_links";
	$sas_mod_tables_name[20] = "sn_links";
	$sas_mod_tables_name[21] = "sn_forms";
	$sas_mod_tables_name[22] = "sn_forms";
	$sas_mod_tables_name[23] = "sn_forms";
	$sas_mod_tables_name[24] = "video";
	$sas_mod_tables_name[25] = "sn_allbum";
	$sas_mod_tables_name[26] = "sn_portal";
	$sas_mod_tables_name[27] = "sn_portal";

	$error = 0;
	$count = count($sas_tables);
	for ($k = 0; $k < $count; $k++)
	{
		$check = mysql_query("SELECT * FROM $sas_tables[$k] LIMIT 0,1");

		if (!$check)
		{
			$error++;
			$check_result[$error] = "Table NOT installed! <b>" . $sas_tables[$k] . "</b>";
		}
	}

	$count = count($sas_mod_tables);
	for ($j = 0; $j < $count; $j++)
	{
		$check = mysql_query("SELECT * FROM $sas_mod_tables[$j] LIMIT 0,1");

		if (!$check)
		{
			$error++;
			$check_result[$error] = str_replace("%tablename%", $sas_mod_tables[$j], $sas_lang['lang_install_312']);
			$check_result[$error] = $check_result[$error] . $sas_mod_tables_name[$j];
		}
	}

	if ($error == 0) //do we have errors?
	{
		$msg = $sas_lang['lang_install_311'];
	}
	else
	{
		$msg = "<font color=\"red\">";
		for ($j = 0; $j <= $error; $j++)
		{
			$msg .= $check_result[$j] . "<br>";
		}
		$msg .= "</font>";
	}
?>
                <TD vAlign=top align=left width="65%">
                <SPAN class=\"sas_module_title\"><?php print $sas_lang['lang_install_step3'] ?><BR></SPAN><span class="text"><?php print $sas_lang['lang_install_27'] ?></span></TD>
                <TD vAlign=top align=middle width="10%" rowspan="3">&nbsp;</TD>
              </TR>
              <TR>
                <TD vAlign=top align=middle width="65%">
                <form method="POST" action="<?php print "install.php?language=$language&step=4" ?>">
                <table border="1" height="300" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#E5E5E5" width="100%" id="AutoNumber4" bgcolor="#F7F7F7">
                  <tr>
				   <td><span class=text><?php print $msg ?></span></td>
				  </tr>
				  <tr>
                    <td width="100%" valign="top"><span class=text><p><?php print $sas_lang['lang_install_28'] ?></span>
                    <span class=text><?php print $sas_lang['lang_install_29'] ?>&nbsp;
                    <input type="radio" value="1" name="q" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php print $sas_lang['lang_install_30'] ?>&nbsp;
                    <input type="radio" value="0" name="q" checked></span></td>
                  </tr>
                </table>
                </TD></TR>
              <TR>
                <TD vAlign=top align=right width="65%">
                  <input type="submit" value="<?php print $sas_lang['lang_install_continue'] ?>" name="B1" class="BUTTON">
                  <input type="reset" value="<?php print $sas_lang['lang_install_reset'] ?>" name="B2" class="BUTTON"></p>
                </form>
<?php

}
if ($_GET["step"] == "4" OR $step == "4")
{
	$q = $_POST[q];
	include ("../configuration/database.inc.php"); // connecting to database
	mysql_connect("$db_server", "$db_username", "$db_password");
	mysql_select_db("$db_name");

	if (file_exists("demodata_" . $language . ".php"))
	{
		include ("demodata_" . $language . ".php");
	}
	else
	{
		include ("demodata_EN.php");
	}
?>
                <TD vAlign=top align=left width="65%">
                <SPAN class=\"sas_module_title\"><?php echo $sas_lang['lang_install_step4'] ?><BR></SPAN><span class="text"><?php print $sas_lang['lang_install_31'] ?></span></TD>
                <TD vAlign=top align=middle width="10%" rowspan="3">&nbsp;</TD>
              </TR>
              <TR>
                <TD vAlign=top align=middle width="65%">
                <form method="POST" enctype="multipart/form-data" action="install.php?language=<?php echo $language ?>&step=5&q=<?php echo $q ?>" onsubmit="return checkinput(this);">
                <table border="1" height="300" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#E5E5E5" width="100%" id="AutoNumber4" bgcolor="#F7F7F7">
                  <tr>
                    <td width="100%" valign="top"><span class=text>

<table border=0 cellspacing=0 cellpadding=3>
<tr>
	<td valign=top width=180><span class=link><?php print $sas_lang['lang_install_32'] ?></span></td>
	<td><input type=text name="fullname" value="" size=35><br>
	<font size=1><?php print $sas_lang['lang_install_33'] ?></font></td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
	<td valign=top><span class=link><?php print $sas_lang['lang_install_34'] ?></span></td>
	<td><input type=text name="username" value="" size=35><br>
	<font size=1><?php print $sas_lang['lang_install_35'] ?></font></td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
	<td valign=top><span class=link><?php print $sas_lang['lang_install_36'] ?></span></td>
	<td><input type=password name="password" value="" size=35><br>
	<font size=1><?php print $sas_lang['lang_install_37'] ?></font></td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
	<td valign=top><span class=link><?php print $sas_lang['lang_install_38'] ?></span></td>
	<td><input type=text name="email" value="" size=35><br>
	<font size=1><?php print $sas_lang['lang_install_39'] ?>

</b></font></td>
</tr>
</table><br><br></td>
                  </tr>
                </table>
                </TD></TR>
              <TR>
                <TD vAlign=top align=right width="65%">
                  <input type="submit" value="<?php print $sas_lang['lang_install_continue'] ?>" name="B1" class="BUTTON">
                  <input type="reset" value="<?php print $sas_lang['lang_install_reset'] ?>" name="B2" class="BUTTON"></p>
                </form>
<?php

}
if ($_GET["step"] == "5" OR $step == "5")
{
	$fullname = $_POST['fullname'];
	$username = $_POST['username'];
	$password_encr = md5($_POST['password']);
	$email = $_POST['email'];
	$q = $_GET['q'];

	include ("../configuration/database.inc.php"); // connecting to database
	mysql_connect("$db_server", "$db_username", "$db_password");
	mysql_select_db("$db_name");

	mysql_query("INSERT INTO $table_users (name, username, password, email, access, editor, type, class, sections, project, initial, code) 
	VALUES ('$fullname', '$username', '$password_encr', '$email', '1111111111111111,1111111111111111111111', '2', '20' , '', '', '', '0', '')");
	mysql_query("INSERT INTO $table_configuration VALUES ('newsletter_admin_email', '$email', 'Email address of newsletter module administrator')");
	mysql_query("INSERT INTO $table_configuration VALUES ('email', '$email', 'Site Email address')");
	mysql_query("INSERT INTO $table_configuration VALUES ('logging_email', '$email', 'Logging Email address')");
	mysql_query("INSERT INTO $table_configuration VALUES ('logging_retention_period', '30', 'Keep logging entries for so many days.')");

	$query = "SELECT config_value FROM $table_configuration WHERE config_key='url'"; // getting the url
	$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	$site_url = mysql_result($result, 0);
	unset ($query);
	unset ($result);
	$query = "SELECT config_value FROM $table_configuration WHERE config_key='user_path'";
	$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	$userpath = mysql_result($result, 0); //get the directoryname of the cms
	unset ($query);
	unset ($result);

	if (file_exists($language . ".php"))
	{
		include ($language . ".php");
	}
	else
	{
		include ("EN.php");
	}
?>
                <TD vAlign=top align=left width="65%">
                <SPAN class=\"sas_module_title\"><?php print $sas_lang['lang_install_step5'] ?><BR></SPAN><span class="text"><?php print $sas_lang['lang_install_40'] ?></span></TD>
                <TD vAlign=top align=middle width="10%" rowspan="3">&nbsp;</TD>
              </TR>
              <TR>
                <TD vAlign=top align=middle width="65%">
                <form method="POST" action="<?php print "../index.php"; ?>">
                <table border="1" height="300" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#E5E5E5" width="100%" id="AutoNumber4" bgcolor="#F7F7F7">
                  <tr>
                    <td width="100%" valign="top"><span class=text>
<?php print $sas_lang['lang_install_41']."<a href=../index.php>here</a>"; ?><br>
<?php print $sas_lang['lang_install_42']." <b>$username</b><br> ".$sas_lang['lang_install_43']." <b>".$_POST['password']."</b>"; ?><br><br>
<?php

	if ($q == 1)
	{
		$path = substr($userpath, 0, strlen($userpath) - 8);
		print $sas_lang['lang_install_44'];
	}
	print $sas_lang['lang_install_45']
?><br>
                    </span></td>
                  </tr>
                </table>
                </TD></TR>
              <TR>
                <TD vAlign=top align=right width="65%">
                  <input type="submit" value="Login" name="B1" class="BUTTON">
                </form>
<?php
 }
?>
</TD>
</TR>
</TBODY></TABLE></TD></TR></TBODY></TABLE></TD>
</TR></TBODY></TABLE></BODY></HTML>