<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Ads module : 
* view_ads.php: last changed 28/07/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
$lang = strtolower($language);
if (!file_exists("starnet/interface/jquery/localization/messages_$lang.js"))
{
	$lang = "en" ;
}
?>
<link rel="stylesheet" type="text/css" href="starnet/interface/css-form.css" />
<script>
//check if jquery is already loaded, if not load it
if(typeof jQuery == 'undefined') {
document.write('<script type="text/javascript" src="starnet/interface/jquery/jquery.js"></'+'script>');
var __noconflict = true;
}
</script>
<script src="starnet/interface/jquery/jquery.validate_en.js" type="text/javascript"></script>
<script src="starnet/interface/jquery/localization/messages_<?php echo strtolower($lang) ?>.js" type="text/javascript"></script>
<script type="text/javascript">
$(document).ready(function() {
	$("#theForm").validate({
	  errorLabelContainer: "#ErrorBox",
	  groups: {group1:"name email message security_code"},
	  rules: {
		name: {
		  required: true,
		  rangelength: [2, 60]
		},
		email: {
		  required: true,
		  email: true
		},
		subject: {
		  required: true,
		  rangelength: [4, 80]
		},
		message: {
		  required: true,
		  rangelength: [10, 3000]
		},
		security_code: {
		  required: true,
		  minlength: 6
		}
	}
  })
});
</script> 
<?php
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

//initialize vars
$name = "";
$message = "";
$email = "";

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}

if (IsSet ($_POST['name']))
{
	$name = sanitize($_POST['name'], 60 , 'S'); //sanitize the input
}

if (IsSet ($_POST['email']))
{
	$email = sanitize($_POST['email'], 80 , 'A'); //sanitize the input, max 80 characters
}

if (IsSet ($_POST['message']))
{
	$message = sanitize($_POST['message'], 500 , 'S'); //sanitize the input
}

function address2text($address)
{
	// address2text -- convert email address to text; more difficult to harvest
	// Peter Fokker - 2004-03-13 - peter (at) berestijn (dot) nl ;-)
	$at = "at";
	$dot = "dot";
	return str_replace("@", " ($at) ", str_replace(".", " ($dot) ", $address));
} // address2text

load_language($cmsdir . '/', 'sn_ads'); //load language file

$table_adtext = $dbprefix . "m_adtext";
$table_ads_cat = $dbprefix . "m_adtext_cat";

$date_format = $sas_config['dateformat'];

if ($_SESSION['site'] == "protected")
{
	$public = 1;	
}
else
{
	$public = 0 ;
}

$pagetitle = addslashes($pagetitle) ; //add slashes for the query
$query = "SELECT id, welcome, disclaimer, email, max_days, check_before_post, icon, show_picture FROM $table_ads_cat 
			WHERE name = '".$pagetitle."' AND public = '$public' LIMIT 1";
$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$RecordCount = mysql_num_rows($result);

if ($RecordCount > 0)
{
	$ads_id = mysql_result($result, 0, 0);
	$ads_welcome_text = mysql_result($result, 0, 1);
	$ads_disclaimer_text = mysql_result($result, 0, 2);
	$email_owner = mysql_result($result, 0, 3);
	$ads_max_days = mysql_result($result, 0, 4);
	$check_before_post = mysql_result($result, 0, 5);
	$ads_icon = mysql_result($result, 0, 6);
	$show_picture = mysql_result($result, 0, 'show_picture');
	
	if ($ads_max_days != 0) //do not delete when 0 days!
	{
		mysql_query("DELETE from $table_adtext WHERE date < current_date() - INTERVAL $ads_max_days day"); //delete old entries
	}
	
	switch ($modoption) // start of switch
	{
		default :		//list ads 
			
			$query = "SELECT ad_id, name, email, ad_text, UNIX_TIMESTAMP(date) FROM $table_adtext 
						WHERE initial = 1 AND ads_id = '".$ads_id."' ORDER BY ad_id DESC";

			$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 

			print "<span class=\"sas_module_title\">$ads_welcome_text</span>";
			print "<center><input type=\"button\" value=\"" . $sas_lang['ads_module_add'] . "\" 
					onclick=\"javascript:parent.location='index.php?section=$section&amp;page=$page&amp;modoption=add';\"/></center><br/>";
	
			while ($ad_list = mysql_fetch_array($result))
			{
				$ad_text = str_replace("\n", "<br>", $ad_list[3]);
				$date1 = strftime($date_format, $ad_list[4]);
				$photo = "$cmsdir/media/temp/" . $ad_list[0] . ".jpg" ;
				
				print "<table border=\"1\" cellpadding=\"0\" cellspacing=\"0\" class=\"sas_module_table\">
						<tr><td>
						<table width=\"100%\" border=\"0\">";
				print "<tr>
			              <td align=\"left\">";
						  
				if ($ads_icon != "")
				{
					print "<img src=\"$ads_icon\" alt=\"$ads_icon\"/>";
				}
				else
				{
					print "&nbsp;";
				}
				print "</td>
			              <td colspan=\"2\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_date'] . "</span>" .
			              "<span class=\"sas_module_text\">$date1</span></td>
						</tr>";
				print "<tr>
			              <td valign=\"top\"><table cellpadding=\"2\" cellspacing=\"0\">";
				print "<tr>
			              <td align=\"right\" width=\"70\" height=\"25\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_name'] . "</span></td>
			              <td><span class=\"sas_module_text\">$ad_list[1]</span></td></tr>";
				print "<tr>
			              <td align=\"right\" height=\"25\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_email'] . "</span></td>
			              <td><span class=\"sas_module_text\">" . address2text($ad_list[2]) . "</span></td>
						</tr>";
				print "<tr>
			              <td valign=\"top\" align=\"right\" height=\"25\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_text'] . "</span></td>
			              <td valign=\"top\"><span class=\"sas_module_text\">$ad_text</span></td>
						</tr>";		  
				print "</table></td>";
				if(file_exists($photo))
				{
					print "<td><img src=\"$photo\" border=\"0\" height=\"150\"></td>";
				}
				else
				{
					print " <td>&nbsp;</td>";				
				}
						 
				print "</tr>";
				print "</table></td></tr></table><br/>";
			}
			
		break;
	
		case add :
	
			//set a code in a session var which is checked at submit time.
			$submit_check_code = random_code(10) ;
			$_SESSION['submit_check_code'] = $submit_check_code ;
			$_SESSION['som1'] = rand(0,10);
			$_SESSION['som2'] = rand(0,10);
			$_SESSION['somfield'] = md5(rand(10,25));
		
			print "<span class=\"sas_module_title\">$ads_disclaimer_text</span>
					<br clear=\"all\" />
					<div id=\"ErrorBox\"></div>
					<div id=\"theform\">
					<form name=\"theForm\" id=\"theForm\" style=\"width: 600px;\" enctype=\"multipart/form-data\" action=\"index.php?section=$section&amp;page=$page&amp;modoption=save&amp;ads_id=$ads_id\" method=\"post\">       
			        
			        <ol>
					<li style=\"width: 588px;\">
					<label style=\"width: 170px;\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_name'] . " (*)</span></label>
			        	<td><input class=\"sas_module_input\" type=\"text\" name=\"name\" id=\"input1\" size=\"40\" value=\"$name\"/>
			        </li>
			        <li style=\"width: 588px;\">
					<label style=\"width: 170px;\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_email'] . " (*)</span></label>
			        	<td><input class=\"sas_module_input\" type=\"text\" name=\"email\" id=\"input3\" size=\"40\" value=\"$email\"/>
			        </li>
			        <li style=\"width: 588px;\">
					<label style=\"width: 170px;\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_text'] . " (*)</span></label>
			        	<td><textarea class=\"sas_module_input\" name=\"message\" rows=\"6\" cols=\"50\">$message</textarea>
					</li>
					<li style=\"width: 588px;\">";
				
				if($show_picture == 1)
				{
					print "<label style=\"width: 170px;\"><span class=\"sas_module_lbl1\">" . $sas_lang['ads_module_photo_upload'] . "</span></label>\n
							<input type=\"file\" name=\"file\" size=\"40\" />\n";
				}

			    print "<p style=\"margin: 0 0 0 180px;\"><span class=\"sas_module_lbl2\">".$sas_lang['required_fields']."</span></p>
					<input type=\"hidden\" name=\"submit_check_code\" value=\"$submit_check_code\"/>
					<input id=\"" . $_SESSION['somfield'] . "\" name=\"" . $_SESSION['somfield'] . "\" value=\"\" type=\"hidden\" />
					<input type=\"hidden\" name=\"leegt\" value=\"\" /></li>
					
					<li style=\"padding-left: 310px; width: 284px;\"><button onclick=\"javascript:parent.location='index.php?section=$section&page=$page'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>
					<button type=\"submit\" class=\"button\"><em><span>" . $sas_lang['save'] . "</span></em></button></li>
			        </ol></form>
					</div>";
			print '<script type="text/javascript">document.getElementById(\'' . $_SESSION['somfield'] . '\').value = \'' . ((int)$_SESSION['som1'] + (int)$_SESSION['som2']) . '\'; </script>';
			
		break;
	
		case save :
			
			//try to prevent spam postings
			//if the submit_check_code stored in the session is equal to the one submitted
			//we allow submission
			if ($_POST['submit_check_code'] != $_SESSION['submit_check_code'] || !empty($_POST['leegt']) || $_POST[$_SESSION['somfield']] != ((int)$_SESSION['som1'] + (int)$_SESSION['som2'])) 
			{
			   print "<span class=\"sas_module_error\">".$sas_lang['invalid_submission']."</span>";
			   print "<input type=\"button\" value=\"" . $sas_lang['goback'] . "\" name=\"backbutton\" 
					onClick=\"javascript:history.go(-1)\" class=\"backbutton\">";
			   exit;
			}
			
			$submitted_time_key = $pagetitle."_submitted_time";
			if (IsSet ($_SESSION['$submitted_time_key']))
			{
				//we have had a previous submit from this session
				//calculate how many seconds ago and
				//allow submission if the last submission is not longer than 5 minutes ago.
				$delta_time = time() - $_SESSION[$submitted_time_key] ; 
				if ($delta_time < 300)
				{
					print "<span class=\"sas_module_error\">".$sas_lang['invalid_submission']."</span>";
					exit;
				}
			}
			
			if ($check_before_post == 1 ) 			//do we publish directly
			{
				$initial = 0 ;
				$check = $sas_lang['no'] ;
			}
			else
			{
				$initial = 1 ;
				$check = $sas_lang['yes'] ;
			}
			
			mysql_query("INSERT INTO $table_adtext (ad_id, email, ad_text, date, name, initial, ads_id) 
							VALUES (NULL, '$email', '$message', NOW(), '$name', '$initial', '$ads_id')");
					
			if (trim($_FILES["file"]["name"]) != "")
			{
				$pos = strrpos($_FILES["file"]["name"], ".");
				$ext = strtoupper(substr($_FILES["file"]["name"], $pos+1)) ;
				if($ext == "JPG")	//only allow JPG files
				{
					//if a photo was selected, upload it to temp dir.
					$temp_file = $_FILES["file"]["tmp_name"];
					$photo_id = mysql_insert_id() ;
					$photo_path = "/media/temp" ;
					$filename = $photo_id . ".jpg";
					$temp_directory = $serverpath . $photo_path ;

					if(!file_exists($temp_directory))	//if temp doesn't exist create it
					{
						$perm = $sas_config['file_permissions'];
						mkdir($temp_directory, 0755);
						chmod($temp_directory, octdec($perm)); //chmod it with permissions stored in configuration table.
					}
					
					sas_move_uploaded_file($photo_path."/", $filename, $temp_file) ;
					include("starnet/modules/sn_allbum/functions.inc.php");
					resize_picture($serverpath . $photo_path ."/" . $filename, 300) ; //resize to 300 pixels max.
				}
			}

			$ip = $_SERVER["REMOTE_ADDR"];
			// set the last update date for the page
			$date1 = date("Y-m-d H:i:s");
			mysql_query("UPDATE $table_pages SET lastupdate = '$date1' WHERE id = '".$page."'");

			if ($email_owner != "")
			{
				$date1 = date("d-m-Y - H:i:s");
				$subject = "$sitename: " . $sas_lang['ads_module_added'];
				$message = stripslashes(nl2br($message));
				$message_to_sent = "<html>
									<head>
									<meta http-equiv=\"Content-Type\" content=\"text/html; charset=" . $sas_lang['lang_charset'] . "\">
									<title>".$pagetitle."</title>
									</head>
									<body>
									<b><font size=\"4\">" . $sas_lang['ads_module_mailtext'] . "&nbsp;" . $sitename . "</font></b>
									<table width=\"70%\">
									<tr>
									<td width=\"30%\">" . $sas_lang['ads_module_date'] . " </td>
									<td><b>$date1</b></td>
									</tr>
									<tr>
									<td valign=\"top\">" . $sas_lang['page'] . " </td>
									<td><b>$pagetitle </b></td>
									</tr>
									<tr>
									<td valign=\"top\">" . $sas_lang['ads_module_publish_directly'] . ": </td>
									<td valign=\"top\" colspan=\"2\"><b>$check </b></td>";
				$photo = "starnet/media/temp/" . $photo_id . ".jpg";
				if(file_exists($photo))
				{
					$message_to_sent .= "<td rowspan=\"4\"><img src=\"". $site_url . $photo ."\" border=\"0\"></td>";
				}
				$message_to_sent .=	"</tr><tr>
									<td>" . $sas_lang['ads_module_name'] . " </td>
									<td><b>$name</b></td>
									</tr><tr>
									<td>" . $sas_lang['ads_module_email'] . " </td>
									<td><b>$email</b></td>
									</tr><tr>
									<td valign=top>" . $sas_lang['ads_module_text'] . " </td>
									<td><b>$message </b></td>
									</tr><tr>
									<td>IP:</td>
									<td><b>$ip</b></td>
									</tr></table>
									</body></html>";
				require ("$cmsdir/core/class.phpmailer.php"); //use the phpmailer class
				$mail = new PHPMailer();
				$mail->CharSet = $sas_lang['lang_charset'] ;
				$mail->From = $email; //email address of submitter
				$mail->FromName = $sitename;
				$mail->Subject = $subject;
				$mail->Body = $message_to_sent;
				$mail->IsHTML(true);
				$mail->AddAddress($email_owner); //add email address ads owner.
				$mail->Send();
			}
			
			unset($_SESSION['security_code']); //clear the code so it cannot be used again!
			$_SESSION[$submitted_time_key] = time(); //record the time of this submission
			
			if ($check_before_post == 1 ) 
			{
				print "<script language=\"Javascript\">
				   <!--
				   alert (\"" . $sas_lang['ads_module_publish_warning'] . "\");	
				   //-->
				   </script>";
			}
			//return to the ads page.
			echo "<script language='javascript'>window.location = 'index.php?section=$section&page=$page'</script>";
			
		break;
	}//end switch
}
else
{
	print "<span class=\"sas_module_error\">".$sas_lang['ads_module_not_exists']."</span>" ;
}
?>