<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* Syndeo CMS Software Version: 2.7.00  
* Copyright (C) 2008: Fred Stuurman (fc.stuurman@gmail.com)
* Album module: 
* overview.php: last changed 30/09/2008 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$modoption = "overview";	//default choice for switch
$items_per_page = $sas_config['allbum_max_allbums_per_page'] ;
$pictures_per_page = $sas_config['allbum_max_pictures_per_page'] ;
$display_vertical = $sas_config['allbum_display_hor'] ;
$number_of_thumbs = $sas_config['allbum_hor_thumbs'] ;

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 25, 'A');
}
if (IsSet ($_GET['start']))
{
	$start = intval($_GET['start']);
}
else
{
	$start = 1;
}
if($start == 0)	//cannot be 0
{
	$start = 1;
}

if (IsSet ($_GET['picture_id']))
{
	$picture_id = intval($_GET['picture_id']);
}


// include shared functions:
include ("$cmsdir/modules/sn_allbum/functions.inc.php");
include ("$cmsdir/core/file_functions.php");
load_language($cmsdir . '/', 'sn_allbum'); //load language file

//set the pictures table names
$table_pictures_cat = $dbprefix . "m_album_cat";
$table_pictures = $dbprefix . "m_album_pictures";
$template_path = $cmsdir . "/modules/sn_allbum/" ;

//get pictures information
if ($_SESSION['site'] == "protected")
{
	$public = 0 ; 
	$welcome = $sas_config['allbum_welcome_prot'] ;
}
else
{
	$public = 1 ; 
	$welcome = $sas_config['allbum_welcome'] ;
}

if (IsSet ($_GET['cat_id']))
{
	$cat_id = intval($_GET['cat_id']);
	//if we have an cat_id we need to get information about that album for the script lateron.
	$query = "SELECT pagename, welcome, number_of_thumbs, thumb_size, normal_size, show_title, slideshow, front_picture, path 
		FROM $table_pictures_cat WHERE id = '".$cat_id."' AND public = $public AND publish = 1 LIMIT 1"; 
	$result = mysql_query($query) or trigger_error(mysql_error().'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
	$rec_number = mysql_num_rows($result); //number of albums
	if ($rec_number > 0)
	{
		$welcome_text = mysql_result($result, 0, 'welcome');
		$number_of_thumbs = mysql_result($result, 0, 'number_of_thumbs');
		$template = "template.html";
		$thumb_size = mysql_result($result, 0, 'thumb_size');
		$normal_size = mysql_result($result, 0, 'normal_size');
		$show_title = mysql_result($result, 0, 'show_title');
		$slideshow = mysql_result($result, 0, 'slideshow');
		$album_name = mysql_result($result, 0, 'pagename');
		$front_picture = mysql_result($result, 0, 'front_picture');
		$path = mysql_result($result, 0, 'path');
		
		$template = $template_path.$template ;
		$picture_path = $cmsdir . "/media/gallery/" . $path . "/";
	}
	else
	{
		$modoption = "overview"; //no valid album, so we go to overview of albums
	}
} 

	switch ($modoption) // start of switch
	{
		case "overview" :
		
			//do we have albums with an overview name
			$pagetitle = addslashes($pagetitle) ; //add slashes for the query
			$query = "SELECT c.id FROM $table_pictures_cat c
					LEFT JOIN $table_pictures p ON c.id = p.album_id
					WHERE c.public = '$public' AND c.in_overview = 1 AND overview_name = '$pagetitle' AND p.album_id != '' AND publish = 1
					GROUP BY c.pagename
					ORDER BY c.sort,c.last_update DESC";
		
			$result = mysql_query($query) or trigger_error(mysql_error().'"<br/>Query : "' . $query . '".',E_USER_WARNING);
			$extra_where = "AND overview_name = '$pagetitle'";
			$rec_number = mysql_num_rows($result); //number of albums
			
			if ($rec_number == 0) //see if we have albums without an overview name
			{
				$query = "SELECT c.id FROM $table_pictures_cat c
					WHERE c.public = '$public' AND c.in_overview = 1 AND publish = 1
					GROUP BY c.pagename
					ORDER BY c.sort,c.last_update DESC";
	
				$result = mysql_query($query) or trigger_error(mysql_error().'"<br/>Query : "' . $query . '".',E_USER_WARNING);
				$rec_number = mysql_num_rows($result); //number of albums
				$extra_where = "";
			}
			
			if ($rec_number > 0)
			{
				print "<span class=\"sas_module_title\">" . $welcome . "</span>" ;
				$begin_limit = $start * $items_per_page - $items_per_page;
				$query = "SELECT c.id, c.pagename, c.thumb_size, c.welcome, c.front_picture, c.path FROM $table_pictures_cat c
						WHERE public = '$public' AND in_overview = 1 $extra_where AND publish = 1 
						ORDER BY c.sort,c.last_update DESC 
						LIMIT $begin_limit,$items_per_page";						

				$result = mysql_query($query) or trigger_error(mysql_error().'"<br/>Query : "' . $query . '".',E_USER_WARNING); 

				$pages = ceil($rec_number / $items_per_page); //number of pages 
				$next = $start + 1; //next page number
				$prev = $start - 1; //previous page number
				print "<table class=\"sas_module_table\">\n";
				
				$i = 0 ; //cell index
				while ($album_list = mysql_fetch_array($result))
				{	
					if($album_list[4] != "")
					{
						$file_name = $album_list[4]; //front picture
					}
					else
					{
						$query2 = "SELECT file_name FROM $table_pictures WHERE album_id = '$album_list[0]' ORDER BY sort LIMIT 1";
						$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br/>Query : "' . $query2 . '".',E_USER_WARNING); 
						$pic_number = mysql_num_rows($result2); //any pictures in album?
						if ($pic_number == 1)
						{
							$file_name = mysql_result($result2, 0, 0); //first picture found
						}
					}

					$picture_path = $cmsdir . "/media/gallery/" . $album_list[5] . "/";

					if((file_exists($picture_path . $file_name)) AND ($file_name != ""))
					{
						$thumb = make_thumb($picture_path . $file_name, $album_list[2], "_t") ; //create thumb if it is not already there
						$size = getimagesize($thumb);
						$x = $size[0];
					}
					else
					{
						$thumb = "$cmsdir/modules/sn_allbum/empty-ico.gif";
						$x = 100 ;
					}
					
					if($display_vertical == 0)
					{
						print "<tr><td align=\"center\" width=\"40%\"><a href=\"index.php?section=$section&amp;page=$page&modoption=list&cat_id=$album_list[0]\">
							<img src=\"$thumb\" width=\"$x\" border=\"0\" alt=\"".$sas_lang['picture_module_click_to_details']."\" title=\"".$sas_lang['picture_module_click_to_details']."\"></a>\n</td>\n";
						print "<td valign=\"center\" width=\"60%\"><span class=\"sas_module_lbl1\">$album_list[1]</span><br />
							<span class=\"sas_module_text\">$album_list[3]</span></td>\n";	
						print "</tr>";
						$colspan = 2 ;
					}
					else
					{
						$i++;
						$width = 100/$number_of_thumbs ;
						if ($i == 1)
						{
							print "<tr>\n";
						}
						print "<td width=\"$width%\" valign=\"top\" align=\"left\"><span class=\"sas_module_lbl1\">$album_list[1]</span><br />
							<a href=\"index.php?section=$section&amp;page=$page&modoption=list&cat_id=$album_list[0]\">
							<img src=\"$thumb\" width=\"$x\" border=\"0\" alt=\"".$sas_lang['picture_module_click_to_details']."\" title=\"".$sas_lang['picture_module_click_to_details']."\"></a>\n";
						print "<br /><span class=\"sas_module_text\">$album_list[3]</span></td>\n";
						
						if ($i == $number_of_thumbs) //last cell
						{
							print "</tr>\n";
							$i = 0;
						}
						$colspan = $number_of_thumbs ;
					}
				}
				
				if($pages > 1)
				{
					//create the previous and next links.
					print "<tr><td colspan=\"$colspan\"><table width=\"100%\"><tr><td width=\"150\">";
					if ($prev > 0) //is previous page number greater than 0
					{
						print "<a href=\"index.php?section=$section&amp;page=$page&start=$prev\" class=\"sas_module_link\">".$sas_lang['picture_module_previous_page']."</a>";
					}
					print "&nbsp;</td>";
					print "<td align=\"center\"><span class=\"sas_module_lbl2\">" . $sas_lang['page'] . " $start / $pages</span></td>";
					print "<td align=\"right\" width=\"150\">";
					
					if (($next <= $pages) AND ($rec_number > 0)) //does next page number not exceed the number of pages
					{
						print "<a href=\"index.php?section=$section&amp;page=$page&start=$next\" class=\"sas_module_link\">".$sas_lang['picture_module_next_page']."</a>";
					}
					print "</td></tr></table></td></tr>";
				}
				print "</table>\n";
			}
			else
			{
				//we shouldn't come here, because we filter out empty albums.
				print "<span class=\"sas_module_error\">" . $sas_lang['pictures_module_empty'] . "</span>\n";
			}
			
		break;
		
		case "list" :
		
			$width = 100/$number_of_thumbs ;
			print "<table class=\"sas_module_table\">\n";
			print "<tr><td colspan=\"$number_of_thumbs\"><table width=\"100%\">
					<tr><td><a href=\"index.php?section=$section&amp;page=$page&amp;modoption=overview\" class=\"sas_module_link\">".$sas_lang['picture_module_album_overview']."</a> >>";
			show_album_path ($cat_id) ;
			print "</td>";
			
			if($slideshow == 1)
			{
				print "<td align=\"right\"><span class=\"sas_module_link\"><a href=\"index.php?section=$section&amp;page=$page&amp;modoption=slideshow&cat_id=$cat_id\">Slideshow</a></span></td>\n";
			}
			
			print "</table></td></tr>\n";
			
			print "<tr><td colspan=\"$number_of_thumbs\"><span class=\"sas_module_title\">". $album_name ."</span></td><tr>";
			
			if($welcome_text != "")
			{
				print "<tr><td colspan=\"$number_of_thumbs\"><span class=\"sas_module_subtitle\">". $welcome_text ."</span></td></tr>\n";
			}
			
			//get subalbums
			$query2 = "SELECT id, pagename, front_picture, thumb_size FROM $table_pictures_cat 
						WHERE public = '$public' AND parent = '".$cat_id."' ORDER BY sort,last_update DESC";
	
			$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
			$Recordcount = mysql_num_rows($result2); //number of subalbums
	
			if ($Recordcount > 0)
			{		
				while ($album_list = mysql_fetch_array($result2)) //loop through subalbums
				{
					$sub_pagename = remove_special_characters($album_list[1]);
					$picture_sub_path = $picture_path . "/" . $sub_pagename . "/";
					if ((!file_exists($picture_sub_path . $album_list[2])) OR ($album_list[2] == ""))
					{
						$thumb = $cmsdir . "/modules/sn_allbum/empty-ico.gif" ;	
					}
					else
					{
						$thumb = make_thumb($picture_sub_path . $album_list[2], $album_list[3], "_t") ; //create thumb if it is not already there
					}
					
					print "	<tr><td colspan=\"$number_of_thumbs\"><a href=\"index.php?section=$section&amp;page=$page&modoption=list&cat_id=$album_list[0]\" alt=\"".$sas_lang['picture_module_click_to_details']."\" title=\"".$sas_lang['picture_module_click_to_details']."\"><img src=\"$thumb\" border=\"0\"></a></td></tr>
							<tr><td colspan=\"$number_of_thumbs\"><span class=\"sas_module_lbl1\">" . $album_list[1] . "</td></tr>
							<tr><td><hr></td></tr>";
				}
			}
			
			//get the number of pictures
			$query1 = "SELECT id, title, file_name FROM $table_pictures WHERE album_id = '".$cat_id."' ORDER BY sort"; // do we have pictures 
			$result1 = mysql_query($query1) or trigger_error(mysql_error().'"<br/>Query : "' . $query1 . '".',E_USER_WARNING);
			$RecordCount1 = mysql_num_rows($result1);
			
			if ($RecordCount1 > 0)
			{
				$begin_limit = $start * $pictures_per_page - $pictures_per_page;
				$query1 = "SELECT id, title, file_name FROM $table_pictures WHERE album_id = '".$cat_id."' 
						ORDER BY sort LIMIT $begin_limit,$pictures_per_page";						

				$result1 = mysql_query($query1) or trigger_error(mysql_error().'"<br/>Query : "' . $query1 . '".',E_USER_WARNING); 

				$pages = ceil($RecordCount1 / $pictures_per_page); //number of pages 
				$next = $start + 1; //next page number
				$prev = $start - 1; //previous page number
				
				$i = 0 ; //cell index
				while ($picture_list = mysql_fetch_array($result1))
				{
					$thumb = make_thumb($picture_path . $picture_list[2], $thumb_size, "_t") ; //create thumb if it is not already there
					$picture_id = $picture_list[0] ;
					$size = getimagesize($thumb);
					$x = $size[0];
					
					$i++;
					if ($i == 1)
					{
						print "<tr>\n";
					}
					print "<td valign=\"top\" align=\"center\" width=\"".$width."%\">
							<a href=\"index.php?section=$section&amp;page=$page&amp;modoption=detail&amp;picture_id=$picture_id&cat_id=$cat_id\">
							<img src=\"$thumb\" width=\"$x\" alt=\"".$sas_lang['picture_module_click_to_details']."\" title=\"".$sas_lang['picture_module_click_to_details']."\" border=\"0\"></a>";
					
					if($show_title == 1)
					{
						print "<br /><span class=\"sas_module_lbl1\">" . $picture_list[1] . "</span>" ;
					}
					print "</td>\n";
					
					if ($i == $number_of_thumbs) //last cell
					{
						print "</tr>\n";
						$i = 0;
					}	
				}
				
				for ($j = $i; $j < $number_of_thumbs; $j++) 
				{
					print "<td>&nbsp;</td>";	//add empty cells
				}
				
				if($pages > 1)
				{
					//create the previous and next links.
					print "<tr><td colspan=\"$number_of_thumbs\"><table width=\"100%\"><tr><td width=\"150\">";
					if ($prev > 0) //is previous page number greater than 0
					{
						print "<a href=\"index.php?section=$section&amp;page=$page&amp;modoption=list&amp;cat_id=$cat_id&amp;start=$prev\" class=\"sas_module_link\">".$sas_lang['picture_module_previous_page']."</a>";
					}
					print "&nbsp;</td>";
					print "<td align=\"center\"><span class=\"sas_module_lbl2\">" . $sas_lang['page'] . " $start / $pages</span></td>";
					print "<td align=\"right\" width=\"150\">";
					
					if (($next <= $pages) AND ($RecordCount1 > 0)) //does next page number not exceed the number of pages
					{
						print "<a href=\"index.php?section=$section&amp;page=$page&amp;modoption=list&amp;cat_id=$cat_id&amp;start=$next\" class=\"sas_module_link\">".$sas_lang['picture_module_next_page']."</a>";
					}
					print "</td></tr></table></td></tr>";
				}
			}
			else
			{
				print "<tr><td><span class=\"sas_module_error\">" . $sas_lang['pictures_module_empty'] . "</span></td></tr>\n";
			}
			print "</table>";
			
		break;
		
		case "detail" :
			
			$query1 = "SELECT id, sort FROM $table_pictures WHERE album_id = '".$cat_id."' ORDER BY sort"; // do we have pictures 
			$result1 = mysql_query($query1) or trigger_error(mysql_error().'"<br/>Query : "' . $query1 . '".',E_USER_WARNING);
			$RecordCount = mysql_num_rows($result1);
			if ($RecordCount > 0)
			{
				while ($picture_list = mysql_fetch_array($result1))
				{
					$picture_ids[] = $picture_list[0] ;
				}
			}
		
			
			$query1 = "SELECT title, file_name, description, date_format(last_update, '$sas_config[dateformat] %H:%i') AS Readable_Date FROM $table_pictures WHERE id = '".$picture_id."'"; // get the selected picture
			$result1 = mysql_query($query1) or trigger_error(mysql_error().'"<br/>Query : "' . $query1 . '".',E_USER_WARNING);
			$RecordCount = mysql_num_rows($result1);
			
			if ($RecordCount > 0)
			{
				if (file_exists($template))
				{
					$handle = fopen($template, "r");
					$content = fread($handle, filesize($template));
					fclose($handle);
				}
				
				$id_first = reset($picture_ids) ; 	//this is the picture id of the first
				$id_last = end($picture_ids) ;		//this is the picture id of the last one.
				
				setPointer($picture_ids, $picture_id); //move the pointer in the picture ids arra to the current picture id.

				if($picture_id == $id_first) //then it is the first one in the array
				{
					$picture_id_prev = $id_last ; //use the last one from the array as previous
				}
				else
				{
					$picture_id_prev = prev($picture_ids) ; //get the id of the previous picture
				}
				
				setPointer($picture_ids, $picture_id); //move the pointer in the picture ids arra to the current picture id.
				
				if($picture_id == $id_last) //then it is the last one in the array
				{
					$picture_id_next = $id_first ; //use the first one as next
				}
				else
				{
					$picture_id_next = next($picture_ids) ; //get the id of the next picture
				}
				
				$next_link = "index.php?section=$section&amp;page=$page&amp;modoption=detail&amp;picture_id=$picture_id_next&cat_id=$cat_id";
				$prev_link = "index.php?section=$section&amp;page=$page&amp;modoption=detail&amp;picture_id=$picture_id_prev&cat_id=$cat_id";
				$overview_link = "<a href=\"index.php?section=$section&amp;page=$page&amp;modoption=list&cat_id=$cat_id\" class=\"sas_module_link\">".$sas_lang['picture_module_overview']."</a>";
				$full_size_link = "<a href=\"$cmsdir/modules/pictures/download.php?picture_id=$picture_id&cat_id=$cat_id\" class=\"sas_module_link\">";
				
				$title = mysql_result($result1, 0, 0);
				$picture = mysql_result($result1, 0, 1);
				$picture_date = mysql_result($result1, 0, 3);
				$picture = $picture_path . $picture ;
				
				if(file_exists($picture)) //check if picture exists .
				{
					$size = getimagesize($picture);
					$x = $size[0];
					$y = $size[1];
					//calculate popup window width and height
					if($x > $normal_size)
					{
						if ($x < $y)
						{
							$newy = $normal_size ; //use size from config
							$newx = $x / ($y / $newy);
						}
						else
						{
							$newx = $normal_size ; //use size from config
							$newy = $y / ($x / $newx);
						}
					}
					else
					{
						
						$newx = $x ;
						$newy = $y ;
					}
					$description = mysql_result($result1, 0, 2);
					$next_gif = $template_path . "Next.gif" ;
					$previous_gif = $template_path . "Previous.gif" ;
					$content = str_replace('%normal_size%', $normal_size, $content);
					$content = str_replace('%picture%', $picture, $content);
					$content = str_replace('%date%', $sas_lang['date']. ": ". $picture_date, $content);
					$content = str_replace('%width%', $newx, $content);
					$content = str_replace('%height%', $newy, $content);
					$content = str_replace('%description%', $description, $content);
					$content = str_replace('%title%', $title, $content);
					$content = str_replace('%previous_link%', $prev_link, $content);
					$content = str_replace('%next_link%', $next_link, $content);
					$content = str_replace('%previous_text%', $sas_lang['picture_module_previous_picture'], $content);
					$content = str_replace('%next_text%', $sas_lang['picture_module_next_picture'], $content);
					//$content = str_replace('%click_to_enlarge%', $sas_lang['picture_module_click_to_enlarge'], $content);
					//$content = str_replace('%full_version_link%', $full_size_link, $content);
					//$content = str_replace('%full_version_text%', $sas_lang['picture_module_full_version'], $content);
					$content = str_replace('%overview%', $overview_link, $content);
					print $content ;
				}
				else
				{
					print "<span class=\"sas_module_error\">".$sas_lang['picture_module_does_not_exist']."</span>";
				}
			}
					
		break;
		
		case slideshow ;
			
			include ($cmsdir."/modules/sn_allbum/slideshow.php");
			
		break;
	
	}
?>