<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Links module : 
* view_links.php: last changed 15/05/2009 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
$lang = strtolower($language);
if (!file_exists("starnet/interface/jquery/jquery.validate_$lang.js"))
{
	$lang = "en" ;
}
?>
<link rel="stylesheet" type="text/css" href="starnet/interface/css-form.css" />
<script>
//check if jquery is already loaded, if not load it
if(typeof jQuery == 'undefined') {
document.write('<script type="text/javascript" src="starnet/interface/jquery/jquery.js"></'+'script>');
var __noconflict = true;
}
</script>
<script src="starnet/interface/jquery/jquery.validate_<?php echo $lang ?>.js" type="text/javascript"></script>
<script type="text/javascript">
$(document).ready(function() {
	$("#theForm").validate({
	  errorLabelContainer: "#ErrorBox",
	  groups: {group1:"link_title link_email link_name link_description link_url"},
	  rules: {
		link_title: {
		  required: true,
		  rangelength: [2, 100]
		},
		link_name: {
		  required: true,
		  rangelength: [2, 100]
		},
		link_email: {
		  required: true,
		  email: true
		},
		link_url: {
		  required: true,
		  url : true,
		  rangelength: [4, 80]
		},
		link_description: {
		  required: true,
		  rangelength: [10, 1000]
		}
	}
  })
});
</script> 
<?php
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$modoption = "list_links";	//default choice
if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}

$links_table = $dbprefix . "m_links";
$links_table_cat = $dbprefix . "m_links_cat";

load_language($cmsdir . '/', 'sn_links'); //load language file

if ($_SESSION['site'] == "protected")
{
	$public = 1;	
}
else
{
	$public = 0 ;
}

$pagetitle = addslashes($pagetitle) ; //add slashes for the query
$query = "SELECT id, welcome, row_count, owner_email, icon, propose, propose_welcome, showlink FROM $links_table_cat 
			WHERE pagename = '".$pagetitle."'  AND public = '$public' LIMIT 1";
$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$RecordCount = mysql_num_rows($result);

if ($RecordCount > 0)
{
	$cat_id = mysql_result($result, 0, 0);
	$welcome = mysql_result($result, 0, 1);
	$row_count = mysql_result($result, 0, 2);
	$email_owner = mysql_result($result, 0, 3);
	$link_icon = mysql_result($result, 0, 4);
	$link_propose = mysql_result($result, 0, 5);
	$showlink = mysql_result($result, 0, 7);
	
	switch ($modoption) // start of switch
	{	
		case save_link:
	
			//try to prevent spam postings
			//if the submit_check_code stored in the session is equal to the one submitted
			//we allow submission
			if ($_POST['submit_check_code'] != $_SESSION['submit_check_code'] || !empty($_POST['leegt']) || $_POST[$_SESSION['somfield']] != ((int)$_SESSION['som1'] + (int)$_SESSION['som2']))  
			{
			   print "<span class=\"sas_module_error\">".$sas_lang['invalid_submission']."</span>";
			   print "<input type=\"button\" value=\"" . $sas_lang['goback'] . "\" name=\"backbutton\" 
					onClick=\"javascript:history.go(-1)\" class=\"backbutton\">";
			   exit;
			}
			
			if (IsSet ($_POST['link_url']))
			{
				$link_url = sanitize($_POST['link_url'], 255 , 'S'); //sanitize the input, max 255 characters
			}
			if (IsSet ($_POST['link_name']))
			{
				$link_name = sanitize($_POST['link_name'], 60 , 'S'); //sanitize the input
			}
			if (IsSet ($_POST['link_email']))
			{
				$link_email = sanitize($_POST['link_email'], 80 , 'A'); //sanitize the input, max 80 characters
			}
		
			if (IsSet ($_POST['link_description']))
			{
			$link_description = sanitize($_POST['link_description'], 500 , 'S'); //sanitize the input
			}
			if (IsSet ($_POST['link_title']))
			{
			$link_title = sanitize($_POST['link_title'], 50 , 'S'); //sanitize the input
			}
			
			mysql_query("INSERT INTO $links_table (id, title, url, description, pagename, initial)
				VALUES (NULL, '$link_title', '$link_url', '$link_description', '$cat_id', '0')");
		
			if ($email_owner != "")
			{
				$ip = $_SERVER["REMOTE_ADDR"];
				$message_to_sent = "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\"
									\"http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd\">
									<html>
									<head>
									<meta http-equiv=\"Content-Type\" content=\"text/html; charset=" . $sas_lang['lang_charset'] . "\">
									<title>".$sas_lang['links_module_links']."</title>
									</head><body>
									<table width=80%>
									<tr><td colspan=\"2\">" . $sas_lang['links_module_email_intro'] . "</td></tr>
									<tr><td width=20%>" . $sas_lang['links_module_pagename'] . "</td>
									<td><b>$pagetitle</b></td></tr>
									<tr><td width=20%>" . $sas_lang['links_module_title'] . "</td>
									<td><b>$link_title</b></td></tr>
									<tr><td>" . $sas_lang['links_module_url'] . " </td>
									<td><b>$link_url</b></td></tr>
									<tr><td>" . $sas_lang['links_module_description'] . " </td>
									<td><b>$link_description</b></td></tr>
									<tr><td>" . $sas_lang['email'] . " </td>
									<td><b>$link_email</b></td></tr>
									<tr><td>" . $sas_lang['links_module_name'] . " </td>
									<td><b>$link_name</b></td></tr>
									<tr><td>" . $sas_lang['links_module_ip'] . " </td>
									<td><b>$ip</b></td></tr>
									</table>
									</body></html>";

				require ("$cmsdir/core/class.phpmailer.php"); //use the phpmailer class
				$mail = new PHPMailer();
				$mail->From = $sas_config['email']; //site email address
				$mail->FromName = $sitename;
				$mail->Subject = $sas_lang['links_module_email_subject'] . " " . $pagetitle;
				$mail->Body = $message_to_sent;
				$mail->IsHTML(true);
				$mail->AddAddress($email_owner); //add email address links module owner
				$mail->Send();
			}
			print "<script language=\"Javascript\">
				   <!--
				   alert (\"" . $sas_lang['links_module_propose_link_send'] . "\");
				   window.location = 'index.php?page=$page&section=$section' ;	
				   //-->
				   </script>"; //return to the user edit window.
	
		break;
	
		case propose:
		
			$propose_welcome = mysql_result($result, 0, 6);
			
			//set a code in a session var which is checked at submit time.
			$submit_check_code = random_code(10) ;
			$_SESSION['submit_check_code'] = $submit_check_code ;
			$_SESSION['som1'] = rand(0,10);
			$_SESSION['som2'] = rand(0,10);
			$_SESSION['somfield'] = md5(rand(10,25));
			
			print "<span class=\"sas_module_title\">$propose_welcome</span>
					<br clear=\"all\" />
					<div id=\"ErrorBox\"></div>
					<div id=\"theform\">
					<form name=\"theForm\" id=\"theForm\" style=\"width: 600px;\" method=\"post\" enctype=\"multipart/link-data\" action=\"index.php?page=$page&amp;section=$section&amp;modoption=save_link\">\n
					<ol>\n";
			print "<li style=\"width: 588px;\">
					<label style=\"width: 170px;\"><span class=\"sas_module_lbl1\">" . $sas_lang['links_module_title'] . "&nbsp;(*)</span></label>
					<input type=\"text\" size=\"50\" class=\"sas_module_input\" name=\"link_title\"/></li>\n";

			print "<li style=\"width: 588px;\">
					<label style=\"width: 170px;\"><span class=\"sas_module_lbl1\">" . $sas_lang['links_module_url'] . "&nbsp;(*)</span></label>
					<input type=\"text\" size=\"50\" class=\"sas_module_input\" name=\"link_url\" value=\"http://\"/></li>\n";
			print "<li style=\"width: 588px;\">
					<label style=\"width: 170px;\"><span class=\"sas_module_lbl1\">" . $sas_lang['links_module_description'] . "&nbsp;(*)</span></label>
					<textarea cols=\"50\" rows=\"4\" class=\"sas_module_input\" name=\"link_description\"></textarea></li>\n";

			print "<li style=\"width: 588px;\">
					<label style=\"width: 170px;\"><span class=\"sas_module_lbl1\">" . $sas_lang['links_module_name'] . ":&nbsp;(*)</span></label>
					<input type=\"text\" size=\"50\" class=\"sas_module_input\" name=\"link_name\"/></li>\n";

			print "<li style=\"width: 588px;\">
					<label style=\"width: 170px;\"><span class=\"sas_module_lbl1\">" . $sas_lang['email'] . ":&nbsp;(*)</span></label>
					<input type=\"text\" size=\"50\" class=\"sas_module_input\" name=\"link_email\"/>\n";
			print "<input id=\"" . $_SESSION['somfield'] . "\" name=\"" . $_SESSION['somfield'] . "\" value=\"\" type=\"hidden\" />
					<input type=\"hidden\" name=\"leegt\" value=\"\" />
					<input type=\"hidden\" name=\"submit_check_code\" value=\"$submit_check_code\"/>\n";
			print '<script type="text/javascript">document.getElementById(\'' . $_SESSION['somfield'] . '\').value = \'' . ((int)$_SESSION['som1'] + (int)$_SESSION['som2']) . '\'; </script>';
			print "<p style=\"margin: 0 0 0 180px;\"><span class=\"sas_module_lbl2\">" . $sas_lang['required_fields'] . "</span></p>";

			print "<li style=\"padding-left: 310px; width: 284px;\"><button onclick=\"javascript:parent.location='index.php?section=$section&page=$page'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>
					<button type=\"submit\" class=\"button\"><em><span>" . $sas_lang['send'] . "</span></em></button></li>";
			print "</ol></form>
				  </div>\n";
		
		break;
		
		case list_links:
		
			print "<span class=\"sas_module_title\">" . $welcome . "</span>\n";
	
			print "<table class=\"sas_module_table\">\n";
	
			$row_percetage = round(100 / $row_count);
			$query = "SELECT category FROM $links_table WHERE pagename = '$cat_id' AND initial = 1 GROUP BY category";
			$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			while ($cat_list = mysql_fetch_array($result))
			{
				$i = 0;
				$j = 0;
				$cat = addslashes($cat_list[0]) ;
				$query2 = "SELECT id, title, url, description, category FROM $links_table WHERE pagename = '$cat_id' AND initial = 1 AND category = '$cat' ORDER BY sort";
				$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
				while ($links_list = mysql_fetch_array($result2))
				{
					if ($j == 0)
					{
						print "<tr><td colspan=\"$row_count\"><span class=\"sas_module_subtitle\">$links_list[4]</span></td></tr>\n"; //print link category
						$j = 1;
					}
					$i++;
					if ($i == 1)
					{
						print "<tr>\n";
					}
					print "<td valign=\"top\" width=\"$row_percetage%\">\n
							<table border=\"0\" cellpadding=\"0\" cellspacing=\"2\">
							<tr>\n";
					print "<td width=\"20\">
							<img border=\"0\" src=\"" . $link_icon . "\" alt=\"Link icon\"/></td>
							<td><a href=\"$links_list[2]\" class=\"sas_module_link\" target=\"_blank\">$links_list[1]</a></td></tr>\n";
					if ($showlink == "1")
					{
						print "<tr><td>&nbsp;</td>
								<td><a href=\"$links_list[2]\" class=\"sas_module_link\" target=\"_blank\">($links_list[2])</a></td></tr>\n";
					}
					if ($links_list[3] != "")
					{
						print "<tr><td>&nbsp;</td><td><span class=\"sas_module_text\">$links_list[3]</span></td></tr>\n";
					}
					print "</table>\n<br/></td>\n";
	
					if ($i == $row_count)
					{
						print "</tr>\n";
						$i = 0;
					}	
				}
			}
			if ($link_propose == "1")
			{
				print "<tr><td colspan=\"$row_count\">&nbsp;</td></tr>\n";
				print "<tr><td colspan=\"$row_count\" align=\"left\"><input type=\"button\" value=\"" . $sas_lang['links_module_propose_button'] . "\"
					onclick=\"javascript:parent.location='index.php?section=$section&amp;page=$page&amp;modoption=propose';\"/></td></tr>\n";
			}
			print "</table>";
		
		break;
	}
}
else
{
	print "<span class=\"sas_module_error\">".$sas_lang['links_module_page_error']."</span>\n" ;
}
?>