<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.7.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Messages module : 
* message.php: last changed 19/09/2008 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}

if (IsSet ($_POST['intro_message']))
{
	$intro_message = sanitize($_POST['intro_message'], 100, 'H');
}
if (IsSet ($_POST['message']))
{
	$message = sanitize($_POST['message'], 1500, 'H');
}
if (IsSet ($_POST['name']))
{
	$name = sanitize($_POST['name'], 50 , 'S');
}
if (IsSet ($_POST['days']))
{
	$days = sanitize($_POST['days'], 5 , 'I');
}
if (IsSet ($_POST['date']))
{
	$date = sanitize($_POST['date'], 15 , 'S');
	$date = convert_date($date); //put it in the form of %y-%m-%d
}
if (IsSet ($_POST['public']))
{
	$public = sanitize($_POST['public'], 1, 'I');
}
else
{
	$public = 0 ;
}
if (IsSet ($_POST['message_id']))
{
	$message_id = sanitize($_POST['message_id'], 5 , 'S'); //sanitize, 5 chars max
}

unset($userid);

if (IsSet ($_SESSION['userid']))
{
	$userid = $_SESSION['userid'];
}


if (IsSet ($userid) AND (($_SESSION['user_type'] == 2) or ($_SESSION['user_type'] == 22))) //only valid when teacher is logged in
{
load_language($cmsdir . '/', 'sn_message'); //load language file

$table_message = $dbprefix . "m_message";
$table_message_cat = $dbprefix . "m_message_cat";
$date_format = $sas_config['dateformat'];
$error = 0;

	if ($modoption == "save_message")
	{
		$days = intval($days);
	
		if ($message == "")
		{
			print stripslashes($sas_lang['message_module_nomessage']); //Error message when no message
			$error = 1;
		}
		elseif ($name == "")
		{
			print stripslashes($sas_lang['message_module_noname']); //Error message when no name
			$error = 1;
		}
		if ($error == 0)
		{
			mysql_query("INSERT INTO $table_message (id, intro_message, message, date, name, days, todate, public, message_id)
						VALUES (NULL, '$intro_message', '$message', '$date', '$name', '$days', DATE_ADD('$date', INTERVAL $days DAY), '$public', '$message_id')");
			// set the last update date for the page
			$date1 = date("Y-m-d H:i:s");
			mysql_query("UPDATE $table_pages SET lastupdate = '$date1' WHERE module = 'sn_message/view_message.php'");
	
			print "<span class=\"sas_module_text\">". $sas_lang['message_module_added']. "</span>";
		}
		print "<br><br><input type=\"button\" value=\"$sas_lang[goback]\" name=\"backbutton\" onClick=\"javascript:history.go(-1)\" class=\"backbutton\">";
	}
	
	else
	{
		$d = time();
		$d = strftime($sas_config['dateformat'], $d);
		$date_format = str_replace('%d', 'dd', $sas_config['dateformat']) ;
		$date_format = str_replace('%Y', 'yyyy', $date_format) ;
		$date_format = str_replace('%m', 'mm', $date_format) ;
		print "<link rel=\"stylesheet\" type=\"text/css\" href=\"$cmsdir/interface/calpopup.css\">
				<script src=\"$cmsdir/interface/calpopup.js\" type=\"text/javascript\"></script>" ;
		print "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" width=\"100%\">";
		print "<tr><td><span class=\"sas_module_title\">" . $sas_config['message_add_text'] . "</span></td></tr>";
		print "</table>";
	
		print "<table class=\"sas_module_table\">
			<tr>
				<td valign=\"top\"><span class=\"sas_module_title\">". $welcometext ."</span>
				<form name=\"mainform\" action=\"index.php?section=$section&amp;page=$page&amp;modoption=save_message\" method=\"post\">
			
			<table cellspacing=\"0\" cellpadding=\"4\" border=\"0\">
   
			<tr>
				<td width=\"25%\" valign=\"top\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['message_module_intro_message'] . ":</span></td>
				<td><textarea name=\"intro_message\" rows=\"2\" class=\"sas_module_input\" cols=\"40\"></textarea></td>
			</tr>

			<tr>
				<td width=\"25%\" valign=\"top\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['message_module_text'] . ":</span></td>
				<td><textarea name=\"message\" rows=\"6\" class=\"sas_module_input\" cols=\"50\"></textarea></td>
			</tr>
			<tr>
				<td width=\"25%\" valign=\"top\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['message_module_owner'] . ":</span></td>
				<td><input type=\"text\" name=\"name\" class=\"sas_module_input\" size=\"40\"/></td>
			</tr>
			<tr>
				<td width=\"25%\" valign=\"center\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['message_module_days'] . ":</span></td>
				<td><input type=\"text\" name=\"days\" class=\"sas_module_input\" size=\"10\"/>&nbsp;
				 <b>" . $sas_lang['message_module_date'] . " :</b></span>&nbsp;
				 <input type=\"text\" name=\"date\" id=\"date\" size=\"11\" value=\"$d\" class=\"textfield\"
				 onblur=\"dp_dateFormat='dd-mm-yyyy';magicDate(this)\" onfocus=\"if (this.className != 'error') this.select()\"> 
				 <a href=\"javascript:void(0);\" onclick=\"g_Calendar.show(event,'date', '$date_format')\" title=\"\">
				 <img src=\"$cmsdir/interface/calendar.gif\" border=\"0\" alt=\"\"></a></td>
			</tr>";
			
		print "<tr><td colspan=\"2\">&nbsp;</td></tr>";
		print "<tr><td valign=\"top\" align=\"right\"><span class=\"sas_module_lbl1\">" . $sas_lang['message_module_pagename'] . ": </span></td>
				<td><select size=\"1\" class=\"text\" name=\"message_id\">";
		
		$query2 = "SELECT id, pagename, public FROM $table_message_cat ORDER BY pagename";
		$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
			 
			while ($page_list = mysql_fetch_array($result2))
			{
				if ($page_list[2] == 1)
				{
					$public = "(*)" ;
				}
				else
				{
					$public = "" ;
				}
				print "<option value=\"$page_list[0]\">$page_list[1] $public</option>\n";
			}
				
		print "</select></td></tr></table>";	
	
		print "	<br/>
				<center>
				<input type=\"submit\" id=\"submit\" value=\"" . $sas_lang['save'] . "\"/>
				</center>		
				</form>
			</td>
		</tr>
		</table>";
	}
}
?>
