<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* con_configuration.inc.php: last changed 19/04/2010 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
print "<li>&nbsp;</li>";	//dummy menu item.
include ("interface/menuend.inc.php");

$modoption = "config";	//default choice
if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}

$theme = "";
if (IsSet ($_GET['theme']))
{
	$theme = $_GET['theme'];
}

if (substr($access, 4, 1) != 1) //bit 5 off the accessrights
{
	print "<span class=\"sas_module_title\">" . $sas_lang['noaccess'] . "<br></span>";
	print $sas_lang['noaccess_introduction'] . "<br><br><br>";
	include ("interface/footer.inc.php");
	exit;
}
switch ($modoption) // start of switch
{

	case save_css :
	
		if (IsSet ($_POST['content']))
		{
			$content = $_POST['content'];
		}
		
		if ((strpos($theme, "../") === FALSE) AND (strpos($theme, "..%2F") === FALSE)) //check if someone is trying to fool us.
		{
			$filename = "themes/$theme/style.css";
			$handle = fopen($filename, "w");
			fwrite($handle, $content);
			fclose($handle);
		}
		//after saving go back to the config screen
		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=configuration'</script>";

	break;

	case edit_css :
	
		$lang = strtolower($sas_config['language']);
?>
<script language="Javascript" type="text/javascript" src="interface/editarea/edit_area_full.js"></script>
	<script language="Javascript" type="text/javascript">
		//Editarea, see http://sourceforge.net/projects/editarea/
		// initialisation
		editAreaLoader.init({
			id: "content_1"	// id of the textarea to transform	
			,start_highlight: true	
			,font_size: "10"
			,font_family: "verdana, monospace"
			,language: "<?php echo $lang; ?>"
			,allow_toggle: false
			,syntax: "css"	
			,toolbar: "search, | , undo, | , redo, | , select_font, | , highlight, | , help"			
		});
	
	</script>
<?php
		$filename = "themes/$theme/style.css";
		$handle = fopen($filename, "r");
		$contents = fread($handle, filesize($filename));
		fclose($handle);
		
		print "<FORM name=\"theForm\" METHOD=\"POST\" ACTION=\"index.php?option=configuration&suboption=configuration&modoption=save_css&theme=$theme\">";
		print "<div style=\"padding: 3px 0 0 10px; background-color: #ECE9D8; border: solid #888 1px; border-bottom-style:none; width: 813px; height: 22px;\">
				Style Sheet Editor - ".$sas_lang['theme'].": <b>$theme/style.css</b></div>";
		print "<textarea style=\"height: 500px; width:825px;\" name=\"content\" id=\"content_1\">";
		print wordwrap("$contents");
		print "</textarea>
				<p><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=configuration'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";

	break;
	
	case config :
	
		print "<span class=\"sas_module_title\">" . $sas_lang['configuration2'] . "<br></span>";
		print $sas_lang['settings_introduction'] . "<br><br>";
		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=configuration&save=configuration\">";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"760\" bgcolor=\"#CECECE\">";
		
		$theme = $sas_config['theme'];
		
		$custompath = $serverpath . "/themes";
		if (is_dir($custompath))
		{
			$dir_handle = @ opendir($custompath);
			
			$i = 0;
			while ($file = readdir($dir_handle))
			{
				if (($file != "..") AND ($file != ".") AND (is_dir($custompath."/".$file)))
				{
					$template_array[$i] = $file;
					$i++;
				}
			}
			closedir($dir_handle);

			$array_lowercase = array_map('strtolower', $template_array); //convert to lowercase first
			array_multisort($array_lowercase, SORT_ASC, SORT_REGULAR, $template_array); //do the sorting
			
			print "<tr><td class=\"sas_row_color_even\">" .$sas_lang['theme'] . "</td>
				<td class=\"sas_row_color_even\" width=\"450\"><select size=\"1\" name=\"newtheme\">\n";
			
			for($i = 0; $i < sizeof($template_array); $i++)
			{
				if ($template_array[$i] == $theme)
				{
					echo "<option selected value=\"$template_array[$i]\">$template_array[$i]</option>";
				}
				else
				{
					echo "<option value=\"$template_array[$i]\">$template_array[$i]</option>";
				}
			}
			print "</select>";
			
			if (file_exists("themes/$theme/style.css"))
			{
				print "&nbsp;&nbsp;<input type=\"button\" name=\"button\" onClick=\"javascript:parent.location='index.php?option=configuration&suboption=configuration&modoption=edit_css&theme=$theme';\" name=\"button\" value=\"Edit CSS\">";
			}
			print "&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['theme_tip'] . "\" class=\"tooltip\"></td></tr>";
		}
		else
		{
			print "<tr><td colspan=\"2\"><input type=\"hidden\" name=\"newtheme\" value=\"$theme\">
					 <span class=\"error\">Unable to open $custompath</span></td></tr>";
		}
		
		$prot_theme = $sas_config['protected_theme'];
		$serverpath2 = $sas_config['user_path'];
		$serverpath1 = $sas_config['serverpath'];
		$siteemail = $sas_config['email'];
		$tagline = $sas_config['tagline'];		
		
		if (is_dir($custompath))
		{
			print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['theme'] . " " . $sas_lang['protected_area'] . "</td>
				<td class=\"sas_row_color_even\"><select size=\"1\" name=\"new_prot_theme\">\n";
			
			for($i = 0; $i < sizeof($template_array); $i++)
			{
				if ($template_array[$i] == $prot_theme)
				{
					echo "<option selected value=\"$template_array[$i]\">$template_array[$i]</option>";
				}
				else
				{
					echo "<option value=\"$template_array[$i]\">$template_array[$i]</option>";
				}
			}

			print "</select>";
			
			if (file_exists("themes/$prot_theme/style.css"))
			{
				print "&nbsp;&nbsp;<input type=\"button\" onClick=\"javascript:parent.location='index.php?option=configuration&suboption=configuration&modoption=edit_css&theme=$prot_theme';\" name=\"button\" value=\"Edit CSS\">";
			}
			print "&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['theme_tip'] . "\" class=\"tooltip\"></td></tr>";
		
		}
		else
		{
			print "<input type=\"hidden\" name=\"new_prot_theme\" value=\"$prot_theme\">";
		}
		
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['sitetitle'] . "</td>
			<td class=\"sas_row_color_even\"><input tabindex=\"1\" type=\"text\" size=\"60\" class=\"textfield\" name=\"newsitename\" value=\"$sitename\">
			&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['sitetitle_tip'] . "\" class=\"tooltip\"></td></tr>";
			print "<tr><td class=\"sas_row_color_even\" valign=\"top\">" . $sas_lang['tagline'] . "</td>
			<td class=\"sas_row_color_even\"><textarea rows=\"2\" cols=\"70\" name=\"newtagline\">".$tagline."</textarea></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['site_email'] . "</td>
			<td class=\"sas_row_color_even\"><input tabindex=\"1\" type=\"text\" size=\"60\" class=\"textfield\" name=\"newsiteemail\" value=\"$siteemail\">
			&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['email_tip'] . "\" class=\"tooltip\"></td></tr>";
		
		$query = "SELECT id FROM $table_modules WHERE location = 'sn_newsletter'";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING);  //Do we have newsletter module installed.
		$RecordCount = mysql_num_rows($result);
		if ($RecordCount > 0)
		{
			$query = "SELECT config_value FROM $table_configuration WHERE config_key = 'newsletter_admin_email'";
			$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$admin_email = mysql_result($result, 0);
			unset ($query);
			unset ($result);
			if (file_exists("languages/" . $language . "/sn_newsletter/" . $language . ".php"))
			{
				include ("languages/" . $language . "/sn_newsletter/" . $language . ".php");
			}
			else
			{
				include ("languages/EN/sn_newsletter/EN.php");
			}
			print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['newsletter_module_email_admin'] . " (" . $sas_lang['newsletter_module_newsletter'] . ")</span></td>
				<td class=\"sas_row_color_even\"><input type=\"text\" name=\"newsletter_email\" size=\"60\" value=\"$admin_email\" class=\"textfield\">
					 &nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['email_tip'] . "\" class=\"tooltip\"></td></tr>";
		}
		
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['startsection'] . "</td>
				<td class=\"sas_row_color_even\"><select tabindex=\"2\" size=\"1\" name=\"startsection\">\n"; // WYSIWYG editor selection
		
		$query = "SELECT id, name FROM $table_sections WHERE invisible != 'yes'";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		while ($startsection_list = mysql_fetch_array($result))
		{
			if ($startsection_list[0] == $sas_config['startsection'])
			{
				print "<option selected value=\"$startsection_list[0]\">$startsection_list[1]</option>\n";
			}
			else
			{
				print "<option value=\"$startsection_list[0]\">$startsection_list[1]</option>\n";
			}
		}
		print "</select>&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['startsection_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['sessioncode'] . "</td>
			<td class=\"sas_row_color_even\"><input tabindex=\"3\" type=text size=40 class=\"textfield\" name=\"sessioncode\" value=\"$check_sessioncode\">&nbsp;
				<img src=\"graphics/help.gif\"title=\"" . $sas_lang['sessioncode_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['URL_location'] . "</td>
			<td class=\"sas_row_color_even\"><input tabindex=\"4\" type=text size=60 class=\"textfield\" name=\"siteurl\" value=\"$site_url\">&nbsp;	
				<img src=\"graphics/help.gif\"title=\"" . $sas_lang['URL_location_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['serverpath'] . "</td></tr>
			<tr><td class=\"sas_row_color_even\" colspan=\"2\"><input tabindex=\"5\" type=text size=60 class=\"textfield\" name=\"serverpath\" value=\"$serverpath1\">
			   <input tabindex=\"5\" type=\"text\" size=\"20\" class=\"textfield\" name=\"userpath\" value=\"$serverpath2\">
			   &nbsp;<img src=\"graphics/help.gif\" ONMOUSEOVER=\"popup('$sas_lang[serverpath_tip]','CCDAEC')\"; ONMOUSEOUT=\"kill()\"></td></tr>";
		print "\n<tr><td class=\"sas_row_color_even\" colspan=\"2\">".$sas_lang['meta_tags_keywords'].":</td></tr> 
				<tr><td class=\"sas_row_color_even\" colspan=\"2\"><input type=\"text\" size=\"90\" class=\"textfield\" name=\"meta_keywords\" value=\"".$sas_config['meta_keywords']."\">&nbsp;\n</td></tr>";
		print "\n<tr><td class=\"sas_row_color_even\" colspan=\"2\">".$sas_lang['meta_tags_description'].":</td></tr> 
				<tr><td class=\"sas_row_color_even\" colspan=\"2\"><textarea rows=\"4\" cols=\"70\" name=\"meta_description\">".$sas_config['meta_description']."</textarea>\n</td></tr>";
		
		print "</table><p><button onclick=\"javascript:parent.location='index.php?option=configuration'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>\n";
		print "</form>";
		
	break;
	
}	//end of switch

include ("interface/footer.inc.php");
?>