<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.5.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* configuration.inc.php: last changed 03/10/2006 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['suboption']))
{
	$suboption = $_GET['suboption'];
}
else
{
	$suboption = "";
}

switch ($suboption) // start of switch
{

	case "configuration" : // settings page
		include ("core/con_configuration.inc.php");
		break;

	case "environment" :
		include ("core/con_environment.inc.php");
		break;

	case "personal" : // personal page
		include ("core/con_personal.inc.php");
		break;

	case "users" : // users page
		include ("core/con_users.inc.php");
		break;

	case "teachers" : // teachers page
		include ("core/con_teachers.inc.php");
		break;

	case "students" : // students page   
		include ("core/con_students.inc.php");
		break;

	case "projects" : // projects page   
		include ("core/con_projects.inc.php");
		break;

	case "alerts" : //alerts manager   
		include ("core/con_alerts.inc.php");
		break;
		
	case "webfonts" : //alerts manager   
		include ("core/con_webfonts.inc.php");
		break;

	default : // configuration startpage
		include ("core/con_start.inc.php");
		break;
		// end of configuration startpage
}
?>