<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.5.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Up/Download module: 
* upload.php: last changed 12/02/2007 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['savedownload']))
{
	$savedownload = $_GET['savedownload'];
}

if (IsSet ($_POST['category']))
{
	$category = sanitize($_POST['category'], 5 , 'I'); //sanitize, 5 pos max
}

if (IsSet ($_POST['description']))
{
	$description = sanitize($_POST['description'], 500 , 'H'); //sanitize the input
}
if (IsSet ($_POST['creator']))
{
	$creator = sanitize($_POST['creator'], 80 , 'S'); //sanitize, 80 characters
}
if (IsSet ($_POST['category_title']))
{
	$category_title = sanitize($_POST['category_title'], 40 , 'S'); //sanitize, 40 characters
}

unset($userid);

if (IsSet ($_SESSION['userid']))
{
	$userid = $_SESSION['userid'];
}

load_language($cmsdir . '/', 'sn_downloads'); //load language file

if (IsSet ($userid) AND (($_SESSION['user_type'] == 2) or ($_SESSION['user_type'] == 22))) //only valid when teacher is logged in
{

$table_downloads = $dbprefix . "m_downloads";
$table_downloads_cat = $dbprefix . "m_downloads_cat";

	if ($savedownload == "new")
	{
		$exists = 0; // 0 is doesn't exists, 1 = exists , 2 exists in category
		$filename = sanitize($_FILES["file"]["name"], 100, 'S'); //we remove special characters from filename
		$filename = str_replace(" ", "_", $filename);
		$store_filename = md5($filename);
		$write_path = "$serverpath/$media/downloads/" . $category . "/" . $store_filename;

		if (IsSet ($_FILES["file"]["name"]))
		{
			$temp_file = $_FILES["file"]["tmp_name"];
		}

		if (file_exists($write_path)) //file exists in downloads directory on server?
		{
			$exists = 1;
		}

		$result1 = mysql_query("SELECT id FROM $table_downloads WHERE filename='$filename' AND category = '$category'");

		if (mysql_num_rows($result1) > 0) //does file already exists in category?
		{
			$exists = 2;
		}

		if ($exists == 0)
		{
			$write_path = $media . "/downloads/" . $category;
			if (!sas_move_uploaded_file($write_path, $filename, $temp_file))
				//if(!move_uploaded_file($temp,$write_path))
			{
				print "<span class=\"sas_module_error\">There has been an error uploading the file.</span><br>";
			}
			else
			{
				$filename = str_replace(" ", "_", $filename);
				rename($serverpath . "/" . $media . "/downloads/" . $category . "/" . $filename, $serverpath . "/" . $media . "/downloads/" . $category . "/" . $store_filename);
				print "<span class=\"sas_module_lbl1\">" . $sas_lang['download_module_filename'] . " <b>" . $filename . "</b> " . $sas_lang['download_module_file_saved'] . "</span><p>";

				//make entry in downloads table for new file.
				mysql_query("INSERT INTO $table_downloads (id, description, category, creator, filename, date, stored_file) 
									VALUES (NULL, '$description', '$category', '$creator', '$filename', NOW(), md5('$filename'))");
				
			}
		}
		elseif ($exists == 2) //does file already exists in category : overwrite?
		{
			$id = mysql_result($result1, 0);
			mysql_query("UPDATE $table_downloads SET description='$description' WHERE id='$id'");
			mysql_query("UPDATE $table_downloads SET creator='$creator' WHERE id='$id'");
			mysql_query("UPDATE $table_downloads SET category='$category' WHERE id='$id'");
			mysql_query("UPDATE $table_downloads SET date=NOW() WHERE id='$id'");
			
			print "<span class=\"sas_module_lbl1\">" . $sas_lang['download_module_filename'] . " <b>" . $filename . "</b><br/>" . $sas_lang['download_module_file_replaced'] . "</span>";
		}
		else
		{
			print "<span class=\"sas_module_error\">" . $sas_lang['download_module_file_exists'] . "</span>";
		}

		print "<br/><input type=\"button\" value=\"$sas_lang[goback]\" name=\"backbutton\" onclick=\"javascript:history.go(-1)\">";
	}
	else
	{
?>
<link rel="stylesheet" type="text/css" href="starnet/interface/css-form.css" />
<script>
//check if jquery is already loaded, if not load it
if(typeof jQuery == 'undefined') {
document.write('<script type="text/javascript" src="starnet/interface/jquery/jquery.js"></'+'script>');
var __noconflict = true;
}
</script>
<script src="starnet/interface/jquery/jquery.validate_<?php echo $lang ?>.js" type="text/javascript"></script>
<script type="text/javascript">
$(document).ready(function() {
	$("#theForm").validate({
	  errorLabelContainer: "#ErrorBox",
	  groups: {group1:"name email message security_code"},
	  rules: {
		name: {
		  required: true,
		  rangelength: [2, 60]
		}
	}
  })
});
</script> 
<?php
		print "<span class=\"sas_module_title\">" . $sas_lang['download_module_add'] . "</span><p>";
		print "<div id=\"ErrorBox\"></div>
				<div id=\"theform\">
				<form name=\"theForm\" id=\"theForm\" style=\"width: 600px;\" method=\"post\" enctype=\"multipart/form-data\" action=\"index.php?section=$section&amp;page=$page&amp;savedownload=new\">";

		print "<ol>
				<li style=\"width: 588px;\">
					<label style=\"width: 170px;\"><span class=\"sas_module_text\">" . $sas_lang['category'] . "</span></label>
					<select class=\"sas_module_input\" size=\"1\" name=\"category\">";
		$query = "SELECT id,title FROM $table_downloads_cat";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		
		while ($dwnl_category_list = mysql_fetch_array($result))
		{
			print "<option value=\"$dwnl_category_list[0]\">$dwnl_category_list[1]</option>";
		}
		print "</select></li>";

		print "<li style=\"width: 588px;\">
				<label style=\"width: 170px;\"><span class=\"sas_module_text\">" . $sas_lang['download_module_creator'] . "</label>
					<input class=\"sas_module_input\" type=\"text\" name=\"creator\" size=\"40\" style=\"width: 270px;\" /></li>";
		print "<li style=\"width: 588px;\">
				<label style=\"width: 170px;\">". $sas_lang['download_module_description'] . "</label>
				<textarea class=\"sas_module_input\" name=\"description\" rows=\"2\" cols=\"60\" style=\"width: 270px;\"></textarea></li>";
		print "<li style=\"width: 588px;\">
				<label style=\"width: 170px;\"><span class=\"sas_module_text\">" . $sas_lang['uploadfile'] . ":</span></label>
				<input class=\"sas_module_input\" type=\"file\" name=\"file\" size=\"50\" style=\"width: 270px;\" /></li>";

		print "<li style=\"width: 588px;\"><button onclick=\"javascript:parent.location='index.php?option=modulemanager&amp;module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>" . $sas_lang['save'] . "</span></em></button></li>";
		print "</ol></form>
		</div>";
	}
}
else
{
	print "<span class=\"sas_module_error\">$sas_lang[noaccess] <br/>" . $sas_lang['noaccess_introduction'] . "</span>";
}
?>