<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00 
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Class pages module : 
*  admin.php: last changed 03/09/2011  by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$modoption = "pupils";	//default choice
if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}

if (IsSet ($_GET['page_id']))
{
	$page_id = sanitize($_GET['page_id'], 5 , 'A'); //sanitize, 5 pos max
}
if (IsSet ($_GET['class_id']))
{
	$class_id = sanitize($_GET['class_id'], 5 , 'I'); //sanitize, 5 pos max
}
//initial page title
if(IsSet($_GET['create']))                       
{
	$create = $_GET['create'];
}

if (IsSet ($_GET['name']))
{
	$name = rawurldecode($_GET['name']);
}
$d = date("Y-m-d"); //todays date

$num_pages = $sas_config['number_pupilpages']; //get the max number of pupilpages

//start of main page
include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
$class = "";
if($modoption == "pupils") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=pupils\">" . $sas_lang['student_pages'] . "</a></li>\n";
$class = "";
if($suboption == "protected") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=projects\">" . $sas_lang['student_projects'] . "</a></li>\n";
if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}
include ("interface/menuend.inc.php");

switch ($modoption) // start of switch
{

	case create_page :	//create a pupils or projects page 
	
		$query2 = "SELECT pcheck, send_email FROM $table_studentpages WHERE dir_number = '$page_id'"; //get number of pages
		$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
		$num_rows = mysql_num_rows($result2);
	
		
		$query = "SELECT type FROM $table_users WHERE id = '$page_id'"; //get type of user pupil or teacher
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$count = mysql_num_rows($result);
		
		if ($count > 0) //pupil or teacher
		{
			$type = mysql_result($result, 0);
		}
		
		if (($type == "2") OR ($type == "22")) //user is teacher
		{
			$send = 0;
			$check = 2;
		}
		else //user is pupil
		{
			if ($num_rows > 0) //there are previous pages
			{
				$check = mysql_result($result2, 0, 'pcheck'); //get the previous pcheck and send_email values
				$send = mysql_result($result2, 0, 'send_email');
			}
			else
			{
				$check = 1; //use default 1     
				$send = 0;
			}
		}
	
		if ($suboption == "projects")
		{
			mysql_query("INSERT INTO $table_studentpages VALUES ('', '', '', '$check', '0', '$send', '[$create]', '$page_id', '$d', '$create' , 0)");
		}
		else
		{
			if ($num_rows < $num_pages) //not more than the maximum defined pages.
			{
				mysql_query("INSERT INTO $table_studentpages VALUES ('', '', '', '$check', '0', '$send', '[$create]', '$page_id', '$d' , '$create' , 0)");
			}
		}
	
		$custompath = $serverpath . "/studentpages/$page_id";
		
		if (!is_dir($custompath))	//check if the personal diectory exists, if not create it.
		{
			$perm = $sas_config['file_permissions'];
			mkdir($custompath,0755);				//create directory 
			chmod($custompath,octdec($perm));		//chmod it with permissions stored in configuration table.	
		}
		//return to the list
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=$suboption&class_id=$class_id'</script>";

	break;

	case delete_page:

		mysql_query("DELETE FROM $table_studentpages WHERE studentid = '$page_id'"); //delete page from table
		//code removed which deleted the directory when last page was deleted
		//directory and files will be deleted when pupil itself is deleted via config.
		
		//return to the list
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=$suboption&class_id=$class_id'</script>";
	
	break;

	case update_page: //approve the studentpage

		mysql_query("UPDATE $table_studentpages SET content = newcontent, newcontent = '' WHERE studentid = '$page_id' AND newcontent <> ''");
		//return to the list
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=$suboption&class_id=$class_id'</script>";
		
	break;

	case view_page: // view the studentpage 

		$query = "SELECT newcontent FROM $table_studentpages WHERE studentid = '$page_id'";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$content = mysql_result($result, 0);
		unset ($query);
		unset ($result);
	
		if ($content == "") // newcontent is empty so we need to get the content.
		{
			$query = "SELECT content FROM $table_studentpages WHERE studentid = '$page_id'"; // getting the content
			$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$content = mysql_result($result, 0);
			unset ($query);
			unset ($result);
		}
	
		print $sas_lang['student_header'] . " <b>$name</b>";
		$content = str_replace("../", "", $content);
		print "<table height=\"380\" border=\"0\" cellpadding=\"10\" cellspacing=\"0\" width=\"100%\"><tr><td valign=\"top\" width=\"100%\">";
		print $content;
		print "\n<br><button onclick=\"javascript:history.go(-1)\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "</td></tr></table>";
	
	break;

	case projects:

		print "<span class=\"sas_module_title\">" . $sas_lang['student_projects'] . "<br></span>";
		print "" . $sas_lang['student_pages_intro'] . "</span><br><br>";

		print "<table border=\"0\" width=\"90%\">
					<tr>
					   <td>&nbsp;</td>";

		$query1 = "SELECT id, name, dir_number FROM $table_classes WHERE project = 1 ORDER BY sort"; //only get the projects 
		$result1 = mysql_query($query1) or trigger_error(mysql_error().'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
		print "<td><b>" . $sas_lang['student_project'] . ":</b></span></td>";

		$bgcolor = "E7E7EF";
		print "<td><b>" . $sas_lang['student_update'] . ":</b></span></td>
			   <td><b>" . $sas_lang['student_view'] . ":</b></span></td>
			   <td><b>" . $sas_lang['student_create_delete'] . ":</b></span></td>
			   <td><b>" . $sas_lang['student_create_page'] . ":</b></span></td></tr>";

		while ($student_list = mysql_fetch_array($result1))
		{
			print "<tr bgcolor=\"$bgcolor\">
				   <td><a href=\"index.php?option=configuration&suboption=projects&modoption=edit_project&project_id=$student_list[0]\">
				   <img src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" border=\"0\" class=\"tooltip\" ></a>";
			print "</td><td>";

			// block for creation of the student data
			$query2 = "SELECT studentid, newcontent, pcheck, title 
							 FROM $table_studentpages 
							 WHERE dir_number = '$student_list[2]' ORDER BY sort";
			$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
			$num_rows = mysql_num_rows($result2);

			unset ($newcontent_list); //clear the new contents array
			unset ($studentid_list);
			unset ($student_title);

			while ($row = mysql_fetch_array($result2))
			{
				$newcontent_list[] = $row['newcontent'];
				$studentid_list[] = $row['studentid'];
				$student_title[] = $row['title'];
			}

			$name = htmlspecialchars(rawurlencode($student_list[1]));
			print "<span class=\"link\"><a href=\"index.php?option=configuration&suboption=projects&modoption=edit_project&project_id=$student_list[0]\"
					alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" class=\"tooltip\" >$student_list[1]</a></span>";
			if (($student_list[3] == "2") OR ($student_list[3] == "22"))
			{
				print "<font size=\"1\"> (*)</font>";
			}
			print "</td><td>";
			if ($num_rows > 0)
			{
				$i = 0;
				foreach ($newcontent_list as $c) //check if newcontent is filled.
				{
					if ($c != "")
					{
						print "<span class=\"link\"><a href=index.php?option=modulemanager&module=$module&modoption=update_page&suboption=projects&page_id=$studentid_list[$i]&viewclass=$viewclass
								alt=\"$student_title[$i]\" title=\"$student_title[$i]\" >";
						$k = $i +1;
						print "[$k] </a></span>";
					}
					$i++;
				}
				print "&nbsp;</td><td>";
				$i = 0;
				foreach ($studentid_list as $p)
				{
					print "<span class=\"link\"><a href=\"index.php?option=modulemanager&modoption=student&module=$module&modoption=view_page&page_id=$studentid_list[$i]&name=$name\"
							alt=\"$student_title[$i]\" title=\"$student_title[$i]\" >";
					$i++;
					print "[$i] </a></span>";
				}
				print "</td><td>";
				$i = 0;
				foreach ($studentid_list as $p)
				{
					print "<span class=\"link\"><a href=index.php?option=modulemanager&modoption=project&module=$module&modoption=delete_page&suboption=projects&page_id=$studentid_list[$i] 
							alt=\"$student_title[$i]\" title=\"$student_title[$i]\" onClick=\"return confirm('" . $sas_lang['page_delete_confirm'] . "')\">";
					$i++;
					print "[$i] </a></span>";
				}
			}
			else
			{
				print "<td>&nbsp;</td><td>&nbsp;</td>";
			}
			print "</td><td>";
			$i++;
			print "<span class=\"link\"><a href=index.php?option=modulemanager&module=$module&modoption=create_page&suboption=projects&page_id=$student_list[2]&create=$i&class_id=$student_list[0]>[" . $sas_lang['newpage'] . "]</a></span>";
			print "</td>";

			// end of block for creation of the student data		

			print "</td></tr>";

			if ($bgcolor == "#FFFFFF")
			{
				$bgcolor = "#E7E7EF";
			}
			else
			{
				$bgcolor = "#FFFFFF";
			}
		}
		print "</table><p>";
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	break;

	case pupils :
	
		print "<span class=\"sas_module_title\">" . $sas_lang['student_pages'] . "<br></span>";
		print $sas_lang['student_pages_intro'] . "<br><br>";

		if (IsSet ($class_id)) //is there a class selected
		{
			$query = "SELECT name FROM $table_classes WHERE id = '$class_id'"; //get the class name
			$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$class_name = stripslashes(mysql_result($result, 0, 0));
			print "<table border=\"0\" width=\"90%\"><tr>
					<td colspan=\"2\"><span class=\"sas_module_subtitle\">$class_name</span></span></td>";

			//teachers can have multiple class numbers, eg. "3,4,8" thus need to get them too. 
			$query1 = "SELECT id, name, class, type FROM $table_users 
						WHERE (class = '$class_id' OR class like '%,$class_id,%' OR class like '$class_id,%' OR class like '%,$class_id')
						AND (type = 1 OR type = 21 OR type = 2 OR type = 22) ORDER BY name";

			$result1 = mysql_query($query1) or trigger_error(mysql_error().'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 

			$row_class = "sas_row_color_even";
			print "<td><b>" . $sas_lang['student_update'] . ":</b></td>
				   <td><b>" . $sas_lang['student_view'] . ":</b></td>
				   <td><b>" . $sas_lang['student_create_delete'] . ":</b></td>
				   <td><b>" . $sas_lang['student_create_page'] . ":</b></td></tr>";
							   
			while ($student_list = mysql_fetch_array($result1))
			{
				print " <tr bgcolor=\"$row_class\">";

				// block for creation of the student data
				$query2 = "SELECT studentid, newcontent, pcheck, title 
						 FROM $table_studentpages 
						 WHERE dir_number='$student_list[0]' ORDER BY title";
				$result2 = mysql_query($query2) or trigger_error(mysql_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
				$num_rows = mysql_num_rows($result2);
				unset ($newcontent_list); //clear the new contents array
				unset ($studentid_list);
				unset ($student_title);
				while ($row = mysql_fetch_array($result2))
				{
					$newcontent_list[] = $row['newcontent'];
					$studentid_list[] = $row['studentid'];
					$student_title[] = $row['title'];
				}

				$name = htmlspecialchars(rawurlencode($student_list[1]));

				print " <tr class=\"$row_class\"><td width=\"20\">";
									
				if (($student_list[3] == "2") OR ($student_list[3] == "22"))
				{
					print "<a href=\"index.php?option=configuration&suboption=teachers&modoption=edit_teacher&teacher_id=$student_list[0]&class1=$class_id\">
							<img src=\"graphics/edit.gif\" alt=\"$student_list[1]\" title=\"$student_list[1]\" border=\"0\" class=\"tooltip\" ></a></td>\n
							<td><a href=\"index.php?option=configuration&suboption=teachers&modoption=edit_teacher&teacher_id=$student_list[0]&class1=$class_id\"
							alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" class=\"tooltip\" >$student_list[1]</a>";
					print "<font size=\"1\"> (*)</font>";
				}
				else
				{
					print "<a href=\"index.php?option=configuration&suboption=students&modoption=edit_student&student_id=$student_list[0]&class_id=$class_id\">
							<img src=\"graphics/edit.gif\" alt=\"$student_list[1]\" title=\"$student_list[1]\" border=\"0\" class=\"tooltip\" ></a></td>\n
							<td><a href=\"index.php?option=configuration&suboption=students&modoption=edit_student&student_id=$student_list[0]&class_id=$class_id\"
							alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" class=\"tooltip\" >$student_list[1]</a>";
				}
				print "</td><td>\n";

				if ($num_rows > 0) // we have at least 1 page
				{
					$i = 0;
					foreach ($newcontent_list as $c) //check if newcontent is filled.
					{
						if ($c != "")
						{
							print "<a href=\"index.php?option=modulemanager&module=$module&modoption=update_page&suboption=pupils&page_id=$studentid_list[$i]&class_id=$class_id\"
									alt=\"$student_title[$i]\" title=\"$student_title[$i]\" >";
							$k = $i +1;
							print "[$k] </a>";
						}
						$i++;
					}
					print "&nbsp;</td><td>\n";
					$i = 0;
					foreach ($studentid_list as $p)
					{
						print "<a href=\"index.php?option=modulemanager&module=$module&modoption=view_page&class_id=$class_id&page_id=$studentid_list[$i]&name=$name\"
								alt=\"$student_title[$i]\" title=\"$student_title[$i]\" >";
						$i++;
						print "[$i] </a>";

					}
					print "</td><td>\n";
					$i = 0;
					foreach ($studentid_list as $p)
					{
						print "<a href=\"index.php?option=modulemanager&module=$module&modoption=delete_page&suboption=pupils&page_id=$studentid_list[$i]&class_id=$class_id\" 
								alt=\"$student_title[$i]\" title=\"$student_title[$i]\" onClick=\"return confirm('" . $sas_lang['page_delete_confirm'] . "')\">";
						$i++;
						print "[$i] </a>";
					}
					print "</td><td>\n";
					//if total pages is not equal to max pages so create links

					$k = $i +1; //add 1 for the next page to be created.
					
						if ($i < $num_pages)
						{
							print "<a href=index.php?option=modulemanager&module=$module&modoption=create_page&suboption=pupils&page_id=$student_list[0]&create=$k&class_id=$class_id>[" . $sas_lang['newpage'] . "]</a>";
						}
					print "</td>\n";
				}
				else //we have no pages , create a link to create them
				{
					print "<td colspan=\"2\">&nbsp;</td>\n<td>";
					print "<a href=index.php?option=modulemanager&module=$module&modoption=create_page&suboption=pupils&page_id=$student_list[0]&class_id=$class_id>[" . $sas_lang['newpage'] . "]</a>";
				}
				// end of block for creation of the student data		

				print "</td></tr>\n";

				if ($row_class == "sas_row_color_odd")
				{
					$row_class = "sas_row_color_even";
				}
				else
				{
					$row_class = "sas_row_color_odd";
				}
			}
			print "<tr><td>&nbsp;</td><td colspan=\"5\">(*) " . $sas_lang['teachers'] . "</span></td></tr></table><p>";
		}

		$query = "SELECT id, name FROM $table_classes  WHERE project = 0 AND name != '**dummy**' ORDER BY ORD(name)"; //list normal classes.
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$RecordCount = mysql_num_rows($result);
		if ($RecordCount > 0)
		{
			while ($class_list = mysql_fetch_array($result))
			{
				$class_name = stripslashes($class_list[1]);
				if ($class_list[0] != "$class_id")
				{
					if ($class_name != "--------")
					{
						print "<img border=\"0\" src=\"graphics/category.gif\">
							<a href=index.php?option=modulemanager&module=$module&modoption=pupils&class_id=$class_list[0]>$class_name </a><p>";
					}
				}
			}
		}
		else
		{
			print "<br />" . $sas_lang['empty_list'] . "<p><br />";
		}
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
			
	break;
}

include ("interface/footer.inc.php");
?>